Release History:
================

MediaMonkey 3.2.5.1306

7508 Added [Synchronization] Support for iPad 2 
7328 Added [Synchronization] Support for Verizon iPhone
7532 Fixed [Synchronization] Random errors on synchronization with iPhones/iPods with IOS 4.3
7610 Improved [Install/Config] Support for no-encoder licensing

------------------------------------------------------------------

MediaMonkey 3.2.4.1304

6731 Fixed [Synchronization] MediaMonkey incompatible with IOS 4.2.1

------------------------------------------------------------------

MediaMonkey 3.2.3.1303

6687 Fixed [Synchronization] iPhones/iPod Touches not detectable after installation of iTunes 10.1

------------------------------------------------------------------

MediaMonkey 3.2.3.1302

6682 Fixed [Synchronization] iPod Nano 6G isn't recognized by iTunes after sync

------------------------------------------------------------------

MediaMonkey 3.2.3.1301

6473 Added [Synchronization] Support for iPod nano 6G, iPod Shuffle 4G, and iPod Touch 4G
6517 Fixed [Burning / Disc Handling] Incorrect Data CD burning (regression)
6016 Fixed [Framework: Scripts/Extensions] Player.StopAfterCurrent Property GET/LET is missing
6499 Fixed [Framework: Tagging] ID3 tag is lost in some specific cases
6515 Fixed [Main Panel/Toolbars/Menus] MicroPlayer: Artist doesn't appear in PopUp
6637 Fixed [Playlist / Search] Search triggers crash in some specific cases (regression)

------------------------------------------------------------------

MediaMonkey 3.2.2.1300

6436 Fixed [Synchronization] Add support for iPhone firmware 4.1

------------------------------------------------------------------

MediaMonkey 3.2.2.1299

6000 Fixed [Burning / Disc Handling] Burning: Auto-conversion process can hang when burning multiple discs
6158 Fixed [Framework: Skinning] Tracklist background doesn't update correctly in AA views
6335 Fixed [Main Panel/Toolbars/Menus] FloatPlayer: Positions can't be reset easily
5866 Fixed [Now Playing] Drag to Now Playing selected shows focus colour (skinless mode only)
6401 Fixed [Other] Added new Windows Media Format Certificates 9/11
6426 Fixed [Synchronization] Synchronization fails when it's up to device capacity
6398 Fixed [Synchronization] Fixed Album Art sync on iPhone 4 and other issues with iOS4
6414 Fixed [Tracklist] Can't tab to tracklist in "Show album art" view
6433 Fixed [Synchronization] Drag and Drop to iPhone --> DB errors (debug build only)

------------------------------------------------------------------

MediaMonkey 3.2.2.1298

4425 Fixed [Burning / Disc Handling] Test and Burn audio CD fails on some systems
6341 Fixed [Burning / Disc Handling] Audio CD burning stalls if DAO is selected and the first track does not exist
6422 Fixed [DB/FileMonitor] FreeDB: CD info can't be searched unless CD is in drive physically
6267 Fixed [Help / Docs / Localization] Properties: 'Disc#' text is cutoff in Nederlands localization
6419 Fixed [Help / Docs / Localization] Podcast options "the X most recent" tooltip is incorrect
6424 Fixed [Help / Docs / Localization] 'Edit Subscription' dialog is missing help tooltips
6388 Fixed [Hotkeys] Specific custom hotkeys can freeze MM
6392 Fixed [Hotkeys] Newly added hotkey isn't focused in the list
6400 Fixed [Main Panel/Toolbars/Menus] Party Mode search toolbar has access to options
6209 Fixed [Other] Start of MediaMonkey without start-up splash window is significantly faster
6331 Fixed [Player] 64Bit Float WAVE files are played incorrectly
6393 Fixed [Playlist / Search] Possible SQL error in some specific situations
6421 Fixed [Properties/Auto-Tools] Pressing TAB in properties dialog can clear Album Artist field unexpectedly
6261 Fixed [Synchronization] Autosync truncates playlist names at dot (regression)
6381 Fixed [Synchronization] 'Ignore shuffle' setting is ignored for Audiobooks and Podcasts synced to iPod
6398 Added [Synchronization] Compatibility with iOS4
6399 Fixed [Synchronization] After enabling "Level volume when synchronizing", auto-sync list size doubles for FLAC files

------------------------------------------------------------------

MediaMonkey 3.2.1.1297

5987 Fixed [Framework:Skinning] Skinned active tab does not behave properly on mouseover 
6256 Fixed [Synchronization] Cannot eject iPod after viewing its contents via "Album art" views 

------------------------------------------------------------------

MediaMonkey 3.2.1.1296 Beta

6194 Fixed [Burning / Disc Handling] Ripping enhanced CDs always generates an error for the last track on some systems
6213 Fixed [Burning / Disc Handling] CD-Text info is lost after manual editing of CD track titles
6232 Fixed [Burning / Disc Handling] CD metadata doesn't persist unless running as admin
6234 Fixed [Burning / Disc Handling] System freezes when accessing inserted CD on some Windows 7 systems
6191 Fixed [Conversion/Leveling] Convert: 24/96 WMA are downsampled to 16/44.1 on convert
6208 Fixed [Conversion/Leveling] Auto-conversion fails for files with extremly long filenames (> 200 chars)
6199 Fixed [Framework: Scripts/Extensions] Script installation can fail due to lack of an onlyifdoesntexist installation flag
388 Fixed [Install/Config] MMHelper.dll sometimes prevents uninstallation/installation
6225 Fixed [Install/Config] MediaMonkey cannot read shell folders including %USERPROFILE% variable
6216 Fixed [Main Panel/Toolbars/Menus] Automatically accessing network nodes at startup can trigger freeze
6374 Fixed [Main Panel/Toolbars/Menus] Access violation on filter change
2036 Fixed [Now Playing] Auto-DJ isn't random enough
2598 Fixed [Other] Remove illegal license keys
6207 Fixed [Other] Some controls are misaligned with Vitreous Blue Skin on Win XP
6351 Fixed [Other] Improve unicode handling
6196 Fixed [Podcasts] Some Podcasts not Subscribing correctly
6192 Fixed [Properties/Auto-Tools] Title field behaves strangely when editing track properties for CDs
5821 Fixed [Skins] Bad album art size with AlbumArtOverlay
6380 Fixed [Synchronization] iPhone connection triggers a crash after iTunes 9.2 has been installed
6200 Fixed [Synchronization] MM fails to terminate correctly with multiple devices connected in some cases (regression)
6298 Fixed [Synchronization] iPod Nano 5G - Podcasts show "Unknown Release Date"
6306 Fixed [Synchronization] iPod Nano 1st gen isn't synchronized correctly in some cases
6315 Fixed [Synchronization] iPod Classic artwork can get corrupted

------------------------------------------------------------------

MediaMonkey 3.2.0.1294

4219 Fixed [Burning / Disc Handling] CD labels aren't displayed in some cases
6155 Fixed [Burning / Disc Handling] Problem when ripping more than one CD per session
6166 Fixed [Burning / Disc Handling] Data CD/DVD burning can fail when burning also Album art files and an AA file doesn't exist
6172 Fixed [Burning / Disc Handling] Including .m4p tracks in a burn list causes the burn to fail
6164 Fixed [Conversion/Leveling] WAV conversion yields artifact near track end
6122 Fixed [DB/FileMonitor] Add/Rescan aborts with SQL Error (re. Russian characters)
6134 Fixed [DB/FileMonitor] Expanding subnode takes one minute with filter enabled
6167 Fixed [DB/FileMonitor] Database fails to back up on upgrade
6160 Fixed [Framework: Scripts/Extensions] Incorrect DCOM Permission Registration
6161 Fixed [Framework: Scripts/Extensions] Scripting: Ability to Set focus to UI-controls
6165 Fixed [Framework: Skinning] Player: redraw is slow after minimizing to microplayer
6125 Fixed [Framework: Tagging] Unknown RIFF Chunks Should Be Preserved
6133 Fixed [Framework: Tagging] Adding album art in AA View mode can trigger freeze
6124 Fixed [Help / Docs / Localization] About dialog missing some credits
6108 Fixed [Hotkeys] MultiMedia Play/Pause button fails when application is minimized
6152 Fixed [Install/Config] Change MM version from 3.1.2 to 3.2
6114 Fixed [Install/Config] Web page doesn't appear on clean install
3270 Fixed [Main Panel/Toolbars/Menus] Header columns and Track Browser columns need refinement & consistency
6116 Fixed [Main Panel/Toolbars/Menus] Get info/buy > Google doesn't work
6127 Fixed [Main Panel/Toolbars/Menus] Tracks in Location node: Remove/Paste functions are disabled
6135 Fixed [Main Panel/Toolbars/Menus] Minimize / Maximize buttons don't work as expected (regression)
6138 Fixed [Main Panel/Toolbars/Menus] Enter' doesn't activate menu items
6144 Fixed [Main Panel/Toolbars/Menus] Columns in filtered views are mixed up
6145 Fixed [Main Panel/Toolbars/Menus] Sort order isn't persisted correctly
6146 Fixed [Main Panel/Toolbars/Menus] MM modal dialog focus problems (regression)
6154 Fixed [Main Panel/Toolbars/Menus] Node sort order is lost after visiting Now Playing node
6168 Fixed [Main Panel/Toolbars/Menus] Column order gets mixed up after switching nodes/views
6001 Fixed [Now Playing] CD tracks lose info when playing them (regression)
6189 Fixed [Now Playing] Sorting in Now Playing is slow for > 10k tracks
3696 Fixed [Other] Podcasts: Downloads don't start as soon as MM starts
6103 Fixed [Other] Web node disappears by going into MM options
6128 Fixed [Other] JumpLists don't work (regression in 1282)
6129 Fixed [Other] Aeropeek is 'Jumpy' due to seek bar
6130 Fixed [Other] Jumplist: incorrect icons are used
6131 Fixed [Other] Aeropeek functions don't work if run as Administrator
6136 Fixed [Other] MediaMonkey fails to start on WinXP (regression)
6142 Fixed [Other] Aeropeek: Full size Preview not showing when MM is playing
6032 Fixed [Player] Unskinned mode: Aeropeek fails to display album art
6163 Fixed [Player] MediaMonkey can crash when finished playing track (Windows 7 only)
6180 Fixed [Player] Update to Geiss 4.29
6105 Fixed [Playlist / Search] Removing tracks from playlists incorrectly updates play order
6112 Fixed [Playlist / Search] AutoPlaylist with Nested Playlists fail to load
6140 Fixed [Playlist / Search] Searchbar does not search Encoder and some others fields after Optimize DB action
6150 Fixed [Playlist / Search] Using Basic Search INS key opens Add Criteria Dialog
6162 Fixed [Playlist / Search] Searchbar: cannot search by Disk # in foreign languages
6171 Fixed [Podcasts] Podcast unsubscription/deletion fails to delete podcasts (regression)
6183 Fixed [Properties / Auto-Tools] Auto-tag window comes to front on track change
6182 Fixed [Synchronization] iPod Nano 5G FW 1.0.2 doesn't sync correctly
6123 Fixed [Synchronization] Some devices no longer recognized while MM running
6126 Fixed [Synchronization] Last time played field from iPod Nano 5G is always in UTC time
6139 Fixed [Synchronization] Playlist options: 'subdirectory for each playlist type' option is ignored
6141 Fixed [Synchronization] Crash related to Sync configuration dialog
6143 Fixed [Synchronization] Configure device dialog can freeze MediaMonkey on non-skinned version (regression)
6156 Fixed [Synchronization] iPod Synchronization: Lyrics sometimes truncated when updating already existing track in iPod
6169 Fixed [Synchronization] Some devices aren't registered by MM when using d_USBMass plug-in
6175 Fixed [Synchronization] AV on refresh device database
6179 Fixed [Synchronization] Device icon in toolbar doesn't update at startup
6173 Fixed [Tracklist] My Computer: selecting alternate album art causes initial image to appear removed
6174 Fixed [Tracklist] Sort order is lost when clicking 'hyperlinks'

------------------------------------------------------------------

MediaMonkey 3.1.2.1282 RC-2

6102 Fixed [Framework: Tagging] Some multi-char separators crash the app
6108 Fixed [Hotkeys] MultiMedia Play/Pause button fails when application is minimized
6114 Fixed [Install/Config] Web page doesn't appear on clean install
6117 Fixed [Install/Config] Track browser selection lost after click 'OK' in Tools > Options
6096 Fixed [Other] Pinning to taskbar via start menu fails; pins incorrect version of MediaMonkey
6103 Fixed [Other] Web node disappears by going into MM options
6038 Fixed [Player] Aeropeek: Rating is truncated when Album Art is tall and narrow
6097 Fixed [Playlist / Search] AutoPlaylists with Rating criteria are changed to 'none' (regression)
6110 Fixed [Playlist / Search] Find more from same folder (library) fails
6094 Fixed [Properties/Auto-Tools] Auto-organize: 'Added' and 'Original Date' behave strangely
6098 Fixed [Properties/Auto-Tools] Warning on editing > 50 files occurs unnecessarily
6101 Fixed [Synchronization] Delete from Device' dialog is sized incorrectly
6104 Fixed [Synchronization] Some Tracks trigger mixed up Album Art on the iPhone
6115 Fixed [Synchronization] Connecting an iPod --> 2 instances of the iPod in MM
6119 Fixed [Synchronization] 'Last Played' field of most tracks on iPod 5G is shifted by several years 

------------------------------------------------------------------

MediaMonkey 3.1.2.1279 RC-1

6049 Fixed [DB/FileMonitor] Database reference integrity: several missing SQL triggers
6056 Fixed [Framework: Scripts/Extensions] SDB.SelectFolder not working for Vista user folders
6069 Fixed [Framework: Scripts/Extensions] Create reports: Tracklist (HTML) total duration is incorrect
5841 Fixed [Help / Docs / Localization] Help "To back up your database and settings" omits registry
5998 Fixed [Help / Docs / Localization] Help "Synchronizing Your Tags" error
6014 Fixed [Help / Docs / Localization] Help WMA Date docs wrong
6068 Fixed [Help / Docs / Localization] Help incorrect for FLAC AA written
6051 Fixed [Install/Config] AutoPlay fails due to duplicate entries
6059 Fixed [Install/Config] Debug version should include registration info
6086 Fixed [Install/Config] First run after install: Tracklist flashes for .5s prior to Web page
5832 Fixed [Main Panel/Toolbars/Menus] Switching to Now Playing cancels Show Album Art in other nodes
6065 Fixed [Main Panel/Toolbars/Menus] Possible 'ShortCutList = NIL'  assertion
5500 Fixed [Now Playing] Linked Album Art doesn't display for currently playing track on restart
6062 Fixed [Now Playing] Minimizing to the miniplayer --> freeze
5855 Fixed [Other] Export all playlists fails with error
6063 Fixed [Other] Debug version: False reports of freeze
6066 Fixed [Other] Memory leaks
6070 Fixed [Other] Update in-product addon urls to point to the new addons site
6073 Fixed [Other] Jumplist: 'Load Playlist' fails to work correctly
6083 Fixed [Other] MediaMonkey crashed when starting in rare situations
6095 Fixed [Player] Aeropeek: Playback controls missing if maximizing from Miniplayer 
4805 Fixed [Playlist / Search] Auto-playlist can be indirectly self-referenced - add a prevention (regression)
6071 Fixed [Playlist / Search] Autoplaylist: multiple sorts don't work correctly sometimes
6081 Fixed [Playlist / Search] Search bar: works incorrectly for negative Leveling values
6082 Fixed [Playlist / Search] Search for channels is faulty
6085 Fixed [Playlist / Search] Advanced queries: Floating point values cannot be entered for Leveling (regression)
6092 Fixed [Playlist / Search] Playlists not Displayed Correctly in Classifications Tab
6064 Fixed [Properties/Auto-Tools] Tracks won't auto-organize when dragged to Library node from Windows Explorer (regression)
6089 Fixed [Properties/Auto-Tools] Multiple warning dialogs: cannot delete track on background auto-organize
6055 Fixed [Synchronization] Podcast Sync: File size indicator on the 'Podcast Subscriptions' tab doesn't work right (regression)
6072 Fixed [Synchronization] Lyrics missing in the iPod sometimes (tested on Nano 4G)
6079 Fixed [Synchronization] iPod Synchronization can fail.
6084 Fixed [Synchronization] Artists on iPod 5G aren't shown sorted on Alpine car stereo
6090 Fixed [Synchronization] Status number of tracks not updated when using manual sync

------------------------------------------------------------------

MediaMonkey 3.1.2.1275 Beta 3

5906 Fixed [Burning / Disc Handling] Ripping CD: Possible ripping slow-down after finishing of the first track
5980 Fixed [Burning / Disc Handling] Disc Burning Wizard: tab order incorrect and buttons don't work as expected
5985 Fixed [Burning / Disc Handling] Burning: Verification can fail although the disc was burnt successfully
6000 Fixed [Burning / Disc Handling] Burning: Auto-conversion process can hang when burning multiple discs
6023 Fixed [Burning / Disc Handling] Rip Audio CD track initial checkmarking can be wrong
6018 Fixed [Codec] MM doesn't play very short WAV files
5971 Fixed [DB/FileMonitor] Manual DB upgrade fails
6025 Fixed [DB/FileMonitor] File Monitor fails on UNC paths to same machine (Vista/Win7)
6047 Fixed [DB/FileMonitor] File Monitor Configuration: Paths in Quotations --> file monitor failure
6049 Fixed [DB/FileMonitor] Database reference integrity: several missing SQL triggers
4967 Fixed [Framework: Scripts/Extensions] Version String is not Correct (regression)
5945 Fixed [Framework: Scripts/Extensions] Scripting: OnNowPlayingModified triggers on track change
5997 Fixed [Framework: Scripts/Extensions] Scripting: Tracks with URL path cannot be played via script in some cases (regression)
6007 Fixed [Framework: Scripts/Extensions] Possible COM error during Windows shutdown
6016 Added [Framework: Scripts/Extensions] Scripts: Player.StopAfterCurrent Property GET/LET is missing
6040 Fixed [Framework: Skinning] Skinning: artifacts for nc area
5977 Fixed [Help / Docs / Localization] WMA Rating  storage and Help "table of properties" fail to accord
5982 Fixed [Help / Docs / Localization] Documentation should deprecate official support for older OSes
6030 Fixed [Help / Docs / Localization] Update Japanese translation strings
5826 Fixed [Install/Config] Installer not working correctly on Windows 7 x64
5992 Fixed [Install/Config] Japanese installer doesn't work correctly
5994 Fixed [Install/Config] Install to Win7: enabling quicklaunch has no effect
6010 Fixed [Main Panel/Toolbars/Menus] Genre Icon bug in 'Find more from same' menu
6046 Fixed [Main Panel/Toolbars/Menus] Main Explorer Tree: Deletion fails for Genre, Title and Rating subnodes
6001 Fixed [Now Playing] CD tracks lose info when playing them (regression)
2388 Added [Other] Default node at install should be Web node (Start Page)
5897 Fixed [Other] Party Mode: Win+M can be used to exit
5972 Fixed [Other] Party Mode: Prevention from switching to another app no longer works (regression)
6004 Fixed [Other] Party Mode: should disable Aeropeek / Jumplist player functions
6009 Fixed [Other] MediaMonkey can't run in Vista/Win 7 without admin rights
6012 Fixed [Other] Edit mode: ALTGR fails to enter some characters
6039 Fixed [Other] Clear Library' action should not delete devices
5979 Added [Player] Windows 7 Shell Integration
6020 Fixed [Player] Aero peek overlay icon doesn't refresh at end of playlist
6021 Fixed [Player] When equalizer is in use, playback isn't gapless
6026 Fixed [Player] Aeropeek: Alt-tab displays MM incorrectly
6032 Fixed [Player] Unskinned mode: Aeropeek fails to display album art
6041 Fixed [Player] Playback after stop plays small portion of previous track (regression)
6053 Fixed [Player] Gapless playback isn't always absolutely gapless
6019 Fixed [Playlist / Search] Auto-playlist's "Playlist is" feature not working properly (regression)
6050 Fixed [Playlist / Search] Pasting large amount of text into Searchbar --> freeze
6024 Fixed [Podcasts] Empty podcast entries can be created in some cases
5963 Fixed [Properties/Auto-Tools] Track Properties: Removing a playlist entry removes all references of the track from the playlist
5975 Fixed [Properties/Auto-Tools] Properties dialog: Album art can be unintentionally deleted
5976 Fixed [Properties/Auto-Tools] Auto-Organize: tracks copied to monitored folder sometimes aren't organized correctly
5949 Added [Synchronization] iPod Nano 5G compatibility
5991 Fixed [Synchronization] Updated d_iphone.dll not included with build 1269 (regression)
5993 Fixed [Synchronization] Synchronization is very slow when there's a lot of Podcasts in Library
5995 Fixed [Synchronization] Incomplete lyrics on iPods (not iPhone/touch)
6003 Fixed [Synchronization] MM sometimes doesn't see content of iPhone 3.x
6013 Fixed [Synchronization] Regression: Artists and Albums aren't synchronized to iPhone FW 3.x
6027 Fixed [Synchronization] Synchronization can be slow on voice-enabled iPods due to creation of voice files
6028 Fixed [Synchronization] Synchronization to iPhone, iPod Touch or iPod Nano 5G can freeze
6029 Fixed [Synchronization] Voice files are always deleted on synchronization on voice enabled iPods
6031 Fixed [Synchronization] Some tracks start playback from the end on iPhone
6034 Fixed [Synchronization] Device configuration container size not remembered (skinned version only)
6035 Fixed [Synchronization] iPod Touch v3 causes all kinds of problems
6036 Fixed [Synchronization] WAVs don't fully play on iPhone/Touch 3.x

------------------------------------------------------------------

MediaMonkey 3.1.2.1267 Beta 2

5906 Fixed [Burning / Disc Handling] Ripping CD: Possible ripping slow-down after finishing of the first track
5816 Fixed [Conversion/Leveling] Auto-conversion select WMA Lossless --> Error (skinless only)
5961 Fixed [Conversion/Leveling] Auto-Conversion rule can show "-1 kbps"
5951 Added [DB/FileMonitor] File Monitor functionality in standard version
5943 Fixed [Framework: Scripts/Extensions] Scripting: ISDBPlaylist::Title set property doesn't work right
5945 Fixed [Framework: Scripts/Extensions] Scripting: OnNowPlayingModified triggers on track change
5905 Fixed [Framework: Tagging] Pasting text into album art tab (properties) fails
5874 5877 5888 5891 Fixed [Help / Docs / Localization] Misc. online help updates
5832 Fixed [Main Panel/Toolbars/Menus] Switching to Now Playing cancels Show Album Art in other nodes
5929 Fixed [Main Panel/Toolbars/Menus] Drag and drop behaves inconsistenly in Track View and 'Now playing' list
5944 Fixed [Main Panel/Toolbars/Menus] F2 edit positions cursor at beginning of property rather than end
2388 Added [Other] Default node at install should be Web node (Start Page) - partially implemented
5897 Fixed [Other] Party Mode: Win+M can be used to exit
5789 Fixed [Player] Tracks from iPhone/iTouch cannot be played in MM interface (regression)
5941 Fixed [Player] No support for ASF streams
5939 Added [Synchronization] iPhone/Touch 3.1 firmware compatibility

------------------------------------------------------------------

MediaMonkey 3.1.2.1266 Beta 1

5883 Fixed [Burning / Disc Handling] Drive Speeds not detected correctly for some Burners
5839 Fixed [Burning / Disc Handling] Drive initialization takes 30 seconds or forever on some systems
5900 Fixed [Burning / Disc Handling] CD ripping doesn't work when a track from the CD is paused in Now Playing
5829 Fixed [Burning / Disc Handling] Burn and device sync wizards: TAB key doesn't switch between controls (regression)
4910 Fixed [Burning / Disc Handling] HPCDE Primo: new version 2.5.8 engine should be included
3887 Fixed [Burning / Disc Handling] MediaMonkey causes some devices not to function correctly
5853 Fixed [Cache / Preview] Some tracks cannot be ripped to the Virtual CD
5899 Fixed [Cache / Preview] AudioCD: Playback, Virtual CD, Sync  Functionality Broken in 3.1
5816 Fixed [Conversion/Leveling] Auto-conversion select WMA Lossless --> Error (skinless only)
5377 Fixed [DB/FileMonitor] Lyrics sometimes get truncated
5921 Fixed [Framework: Scripts/Extensions] Disappearing button issue
5935 Fixed [Framework: Scripts/Extensions] Buttons are misaligned on many skins
5873 Fixed [Framework: Tagging] Some WAV files have a loud Pop at the end after tag edits
5932 Fixed [Framework: Tagging] WAV album artist chunk ("IAAR") is non-compliant
5826 Fixed [Install/config] Installer not working correctly on Windows 7 x64
5852 Fixed [Install/config] Uninstall fails to ensure program not running
5890 Fixed [Main Panel/Toolbars/Menus] Album Art doesn't display in main panel in some cases
5693 Fixed [Main Panel/Toolbars/Menus] Location node should contain all tracks
5785 Fixed [Main Panel/Toolbars/Menus] Album art with details view: Column widths can be forgotten
5865 Fixed [Main Panel/Toolbars/Menus] Wrong icon on Play | Play/Pause menu command 
5882 Fixed [Now Playing] Loading Now Playing can cause an error in some cases
5783 Fixed [Now Playing] Metadata not added to Now Playing in certain cases, can lead to Tag Loss
5911 Fixed [Now Playing] Loading playlist on startup (via script) shows grey tracks
5872 Fixed [Now Playing] Now Playing node doesn't display currently playing track when first clicked  
5927 Added [Other] Open Candy software recommendation engine
5897 Fixed [Other] Party Mode: Win+M can be used to exit
5790 Added [Other] support for Amazon France MP3 downloads
5420 Fixed [Other] Dropdown buttons display incorrectly in Windows 7
5920 Fixed [Player] Equalizer doesn't work for multichannel audio
5789 Fixed [Player] Tracks from iPhone/iTouch cannot be played in MM interface (regression)
5781 Fixed [Player] Inaccessible tracks in Now Playing loop is endless when Continuous playback is enabled
5928 Fixed [Player] Some WMA tracks cannot play from the beginning
5938 Fixed [Player] iTunes 9.0 can cause MediaMonkey 3.1.1 to crash
5793 Fixed [Playlist / Search] Advanced searches on ratings don't give enough granularity
5892 Fixed [Playlist / Search] Now Playing: Drag And Drop Cursor shows wrong icon
5757 Fixed [Playlist / Search] Search bar Scope indicator fails to re-appear
5756 Fixed [Playlist / Search] Floating Searchbar Hinders input - search scope is mixed-up with search term (skinless only)
5930 Fixed [Playlist / Search] Deleting Track should not renumber playlist
4432 Fixed [Podcasts] Some podcasts cannot be downloaded
5512 Fixed [Properties/Auto-Tools] Unsyncronized version of ID3v2.3/4 tags are not correctly handeled and truncated.
5908 Fixed [Properties/Auto-Tools] Podcasts are always shown under "Unanalyzed Volume" node
5895 Fixed [Properties/Auto-Tools] Properties Dialog: Foreign characters cannot be entered via ALT + Numeric keys
5809 Fixed [Properties/Auto-Tools] Tagging of large album art on OGG tracks can crash
1483 Fixed [Properties/Auto-Tools] Rating: allow user to reset to 'unknown'
5796 Fixed [Synchronization] Crash in some cases when QuicktTime isn't properly installed
5914 Added [Synchronization] support for Palm Pre synchronization using iPod plug-in
5907 Fixed [Synchronization] Album art is sometimes corrupted on iPhone and iPods
5798 Added [Synchronization] support for iPhone 3.0 firmware

------------------------------------------------------------------

MediaMonkey 3.1.1.1261

5802 Fixed [Properties/Auto-tools] Auto-tag fails due to digital signature issues with Amazon requests 

------------------------------------------------------------------

MediaMonkey 3.1.0.1256

3007 Fixed [Burn] Disc fails to refresh in Explorer (XP) after several burns
3741 Fixed [Burn] Primoburner: unregistered copy error messages
4000 Fixed [Burn] MTP Synch to Zen Vision ignores mask location in some cases
4100 Fixed [Burn] Improved burn config - Automated 'Buffer Underrun protection'
4180 Added [Burn] CD Burning: Improved status bar feedback during + on completion
4219 Fixed [Burn] CD-Text labels aren't displayed in some cases
4340 Fixed [Burn] Some users have problems with burning to some usb drives.
4390 Fixed [Burn] Ability to Cache Network files for Audio CD Burns
4420 Fixed [Burn] Burning data DVD: Verification is slow in some cases + cannot be terminated
4837 Fixed [Burn] Confusing error message on termination of preparatory phase of Audio-CD burning
4845 Fixed [Burn] Change default burn mask
4868 Fixed [Burn] Burning message improvements: disc sequence numbers for disc-spanning burns
4915 Fixed [Burn] Estimated size of burned tracks isn't correct for ABR MP3s
4918 Fixed [Burn] Optional chime on burn completion
4928 Fixed [Burn] Disc Spanning: Burn dialog options are confusing
4929 Fixed [Burn] Burn List selection doesn't work correctly
4930 Fixed [Burn] Disc spanning: User is unnecessarily prompted to insert a disc
4931 Fixed [Burn] Audio CD Burning: Error 30C07 for Audio Disc Burns
4934 Tweaked [Burn] Burn Data CD Wizard shouldn't highlight track paths yellow
4939 Fixed [Burn] Burn error message numbers should have descriptive text
4947 Fixed [Burn] Audio CD Burn disc indicator shows wrong number of discs required
4954 Fixed [Burn] Support more CD-Text fields when burning audio CD.
4958 Tweaked [Burn] Grammar correction in burning status message: 'Copying of album art...
4969 Fixed [Burn] Burning TAO: gaps should be included when calculating overall time
5023 Fixed [Burn] Burn completes but takes hours
5066 Fixed [Burn] Confusing error message (FFFFFFFA) when no tracks are selected to burn.
5250 Fixed [Burn] Burn: Unavailable speed problem (e.g. some Plextor drives)
5336 Fixed [Burn] [Erase!] button is always greyed out (regression)
5369 Fixed [Burn] Burning common Playlist tracks and Pre-Selected tracks causes tracks to be burnt incorrectly
5386 Fixed [Burn] Burn another copy doesn't work for audio CD burning (regression)
5440 Fixed [Burn] Burn: Verify data checkbox should be disabled when just 'Test' is selected
5581 Fixed [Burn] Verification of DVD-Burn takes very long for large files
5718 Fixed [Burn] Burning fails when DVD-RW disc is used in combination with 'Track-at-once' write method
5719 Fixed [Burn] Simulated burn doesn't take effect when DVD-RW and 'Track-at-once' method is chosen (Primo)
3781 Fixed [Cache / Preview] Virtual CD: unsynchronized tags node doesn't work
4686 Fixed [Cache / Preview] Save to .m3u doesn't work properly for Virtual CD tracks
244 Fixed [Conversion/Leveling] Return rip error messages once after CD has ripped
1277 Fixed [Conversion/Leveling] Level Track Volume is not unicode enabled
2790 Added [Conversion/Leveling] Album Gain support for Burning and Ripping
3763 Fixed [Conversion/Leveling] Background volume analysis triggers errors for inaccessible tracks / CDs
4153 Fixed [Conversion/Leveling] Background volume analysis should limit tag update to Replay Gain changes
4412 Fixed [Conversion/Leveling] Fixed failed rips should generate a single error message after rip operation
4713 Fixed [Conversion/Leveling] File conversion fails for filepaths > 255 chars long with error message (auto-cutoff feature?)
4752 Fixed [Conversion/Leveling] Send to -> Folder (Rip/Convert) should always default to create copy
4898 Fixed [Conversion/Leveling] Support more WMA Lossless (sub)formats
4949 Fixed [Conversion/Leveling] CD ripping occassionaly fails for some users and CD drive is lost untill reboot
5018 Fixed [Conversion/Leveling] Comment is lost on file conversion
5150 Fixed [Conversion/Leveling] MM can throw errorneous The directory %s cannot be created message.
5206 Fixed [Conversion/Leveling] Unleveled tracks lists many analysed tracks.
5266 Fixed [Conversion/Leveling] CD Rip: If tracks are already ripped and user selects overwrite [Yes to all] then only one track is ripped (regression)
5267 Fixed [Conversion/Leveling] Ripping can freeze MM
5379 Fixed [Conversion/Leveling] WMDM synchronization changes file extension to uppercase
5506 Fixed [Conversion/Leveling] Ripping a CD causes the CD content to be unavailable until the rip process ends (regression)
5507 Fixed [Conversion/Leveling] Level Track Volume doesn't work correctly for files with Leveling not calculated yet.
5527 Fixed [Conversion/Leveling] Automatic volume analysis re-analyzes podcasts with each new episode
5577 Fixed [Conversion/Leveling] MM should try to copy only existing external covers when converting tracks to a new location
5603 Fixed [Conversion/Leveling] Conversion options: New 'fla' format exists (regression)
5618 Fixed [Conversion/Leveling] Level Playback Volume fails in some cases
5622 Fixed [Conversion/Leveling] CD ripping: Duplicate warning is poorly positioned
5633 Fixed [Conversion/Leveling] Ripping process misses some tracks for some users
5644 Fixed [Conversion/Leveling] MM freezes randomly (mostly on conversions)
5708 Fixed [Conversion/Leveling] Converting does not copy all existing tags
441 Added [DB/FileMonitor] Inaccessible tracks are not all greyed out & MM becomes non-responsive
3004 Fixed [DB/FileMonitor] Locate Moved Missing Tracks: always fails when track timestamp doesn't match
3876 Fixed [DB/FileMonitor] Add Extension as a new DB field
3877 Fixed [DB/FileMonitor] Show M4B files in Audiobook filter in MM.
4191 Fixed [DB/FileMonitor] Drag and Drop of Folders to Library node fails
4408 Fixed [DB/FileMonitor] Improve Album Art scanning (only add art if all tracks in a dir have similar Album fields)
4635 Fixed [DB/FileMonitor] File Monitor: Tags changed outside of MM aren't commited to database
4656 Fixed [DB/FileMonitor] Track Browser: Doesn't populate until all tracks in a node are read
4787 Fixed [DB/FileMonitor] Network Database Access Optimization.
4825 Fixed [DB/FileMonitor] DBUpgrader : Fixed non ASCII Album Artist can be corrupted when upgrading from MM 2.x
4846 Fixed [DB/FileMonitor] MediaMonkey fails to import the Comment field from ID3v1 tags
4926 Fixed [DB/FileMonitor] Database problems in 1192
4953 Fixed [DB/FileMonitor] MM 3.1 Fails to upgrade from MM 2.x database
4984 Fixed [DB/FileMonitor] Updating database to 3.1 can fail
5034 Fixed [DB/FileMonitor] Encoder version info added to multiple incorrect fields (regression)
5037 Fixed [DB/FileMonitor] Folder scan aborts (Regression)
5047 Fixed [DB/FileMonitor] Scanning tracks doesn't work
5057 Fixed [DB/FileMonitor] Filter Views Not Saved When DB Converted to 3.1
5080 Fixed [DB/FileMonitor] Regression: The data in the new DB field Extension has a white space character in the end.
5110 Fixed [DB/FileMonitor] DB Maintenance is very slow for large DBs
5136 Fixed [DB/FileMonitor] Need delete_playlists TRIGGER
5170 Fixed [DB/FileMonitor] Classification tab doesn't work for some users
5176 Fixed [DB/FileMonitor] Crash on Startup related to DB
5217 Fixed [DB/FileMonitor] Filters are always reappear in database
5354 Fixed [DB/FileMonitor] Scanning playlist with tracks in empty CD/DVD drive should not show up error dialogs
5366 Fixed [DB/FileMonitor] No way to save Artwork for CDs saved to the library
5368 Fixed [DB/FileMonitor] Files to Edit: Filter isn't applied for 'unlevelled' and 'unclassified' nodes
5377 Fixed [DB/FileMonitor] Lyrics sometimes get truncated
5411 Fixed [DB/FileMonitor] Failed DB updated from 2.5.5
5435 Fixed [DB/FileMonitor] Path does not get updated when renaming folders in location node.(regression)
5467 Fixed [DB/FileMonitor] Multi-attribute fields aren't displayed correctly in several different cases
5484 Fixed [DB/FileMonitor] Library appears empty on fresh scan with Available Tracks filter empty
5494 Fixed [DB/FileMonitor] M4A Can't be Imported on XP x64
5505 Fixed [DB/FileMonitor] Embedded Album Art does not get added to the Covers table on rescan (regression)
5532 Fixed [DB/FileMonitor] Auto-analysis freezes MM / Triggers AV on upgrade from 3.0 DB to 3.1 DB
5554 Fixed [DB/FileMonitor] Instability after DB upgrade
5574 Fixed [DB/FileMonitor] Add/Rescan Stats are broken
5606 Fixed [DB/FileMonitor] Year/date not detected in mp3 (converted from flac to mp3 via dbpoweramp)
5640 Fixed [DB/FileMonitor] Editing Properties can add track to the Library
5677 Fixed [DB/FileMonitor] MM fails to import empty playlists
5683 Fixed [DB/FileMonitor] Criteria Context menu not showing correctly in Edit Filter and View Options
5702 Fixed [DB/FileMonitor] Add/rescan input text is ignored
5752 Fixed [DB/FileMonitor] AV on running MM (regression in 1251)
2432 Tweaked [Docs / Localization] Clarify which properties are stored in the db
3462 Fixed [Docs / Localization] Remove some About panel entries
4187 Fixed [Docs / Localization] Help updates
4760 Tweaked [Docs / Localization] Afrikaans is spelled incorrectly in 'About' dialog
4818 Fixed [Docs / Localization] MM Help: Getting Started > 'Manage the Library' link fails
4827 Tweaked [Docs / Localization] Online help: document Send to <Device> (Synchronize)
4913 Tweaked [Docs / Localization] Update Credits in 'About' dialog for MM 3.1
5049 Tweaked [Docs / Localization] Misc strings corrections (prep for localization)
5096 Fixed [Docs / Localization] Not all masks are documented in the Help file
5097 Fixed [Docs / Localization] Localization string problems in 3.1
5102 Tweaked [Docs / Localization] "Update translations: Japanese, Portuguese-BR, Norwegian"
5127 Tweaked [Docs / Localization] "Update translations: Spanish, German (+New Finnish, Russian MMIP files)"
5133 Tweaked [Docs / Localization] Improved context help for Search bar
5161 Tweaked [Docs / Localization] Updated translations for 3.1 Beta 2
5251 Tweaked [Docs / Localization] Project ID string appears in localized Hotkey panels
5272 Tweaked [Docs / Localization] Document wav tags
5287 Tweaked [Docs / Localization] Update copyright notices for 2009
5304 Fixed [Docs / Localization] Update online help for MM 3.1
5332 Fixed [Docs / Localization] German localization is missing shortcuts
5339 Tweaked [Docs / Localization] Insufficient space for localized text in some languages
5340 Fixed [Docs / Localization] Untranslated strings
5508 Fixed [Docs / Localization] Minor typos in German translation
5564 Fixed [Docs / Localization] Date information format for WMA files documented incorrectly
5705 Fixed [Docs / Localization] Incorrect link in online help
5196 Fixed [Documentation] Duplicate Content Help error
5400 Fixed [Documentation] Help File Mask error
5351 Fixed [Export] Improve HTML export script
1586 Fixed [Install/Config] Re-enable alpha warning for prerelease software
3250 Fixed [Install/Config] Player mode (main/mini/micro) should persist
3519 Tweaked [Install/Config] 'Remove underscores when adding filenames' is unneeded
4129 Fixed [Install/Config] Proxy password shouldn't be displayed in clear text
4231 Fixed [Install/Config] deskplayer.dll can't be installed on Vista x64
4280 Fixed [Install/Config] Consistency issue: Change 'Filters and Views' to 'Filters & Views'
4568 Fixed [Install/Config] Remove 'forced db robustness' in installer
4730 Added [Install/Config] Auto-set default Amazon store based on Geography or language
4771 Fixed [Install/Config] DBUpgrader progress is visible only when it's running from MM
4937 Added [Install/Config] Database upgrade should backup old DB prior to performing upgrade
4989 Fixed [Install/Config] Initialization of 'Options' dialog is slow
5036 Fixed [Install/Config] Command line parameter for ini file path
5084 Fixed [Install/Config] Scrolling with the mouse wheel can edit disabled DropDown Controls.
5098 Fixed [Install/Config] Script configs written to .ini file incorrectly for non-western languages (regression)
5103 Fixed [Install/Config] Installing build 1205 messes up Toolbar
5173 Fixed [Install/Config] Removing icons from the Toolbar --> they seem to disappear
5185 Fixed [Install/Config] Installation Not Creating Export M3U and Export OPML Scripts (regression)
5193 Tweaked [Install/Config] "Change the post-install initial Add/Rescan to offer ""My Music"" folder, rather than C:\"
5207 Added [Install/Config] Add AppMutex to setup (to prevent installation/uninstallation while MM is running)
5213 Fixed [Install/Config] Podcast Destination option is unclear about trailing backslash use/disuse
5226 Fixed [Install/Config] Options > Performance: UI glitches when translation strings are long
5229 Fixed [Install/Config] My Computer Node does not respect 'modify timestamp' option
5349 Fixed [Install/Config] Editing Hotkeys: Hitting the play/pause button sometimes adds a single white space character
5397 Fixed [Install/Config] "Non-skinned version, Quad core: selecting 'Performance' sheet in Options leads to 'List index out of bouds (5)' error"
5398 Fixed [Install/Config] Non-skinned version: Selected Auto DJ playlist doesn't remain visible after re-open of Options dialog
5547 Fixed [Install/Config] MediaMonkey.ini  problems. (Regression)
5559 Fixed [Install/Config] Add 'Play in MediaMonkey...' explorer menu also for folders
5613 Fixed [Install/Config] Installer doesn't default to previously used skin settings on upgrade
5643 Fixed [Install/Config] Windows Explorer 'Open with' context menu has duplicate MediaMonkey entries
5675 Tweaked [Install/Config] Cosmetic: Vertical alignment issue for 'When Playback is stopped:'
5751 Fixed [Install/Config] Toolbar configuration: expanding toolbar can trigger toolbar rename dialog
5772 Fixed [Install/Config] On clean install Search bar cannot be positioned to the right
5778 Fixed [Install/Config] Installer configuration of skinless mode doesn't work correctly
90 Added [Main Panel] Configurable Toolbar
132 Fixed [Main Panel] Numbers in Track Titles are Confusing
685 Added [Main Panel] Duplicates functionality is unintuitive
1988 Added [Main Panel] Files to Edit: Unlevelled tracks
2254 Fixed [Main Panel] No Shortcut to  'My Desktop' in MediaMonkey
2364 Fixed [Main Panel] 'My Computer' node infers properties even when 'infer properties' is completely disabled
2524 Added [Main Panel] Add Send-to 'E-Mail'
2570 Fixed [Main Panel] Library node should show all tracks in Library
2635 Fixed [Main Panel] Refresh problem when dragging and dropping between playlists
2769 Fixed [Main Panel] Context menu editing commands don't appear in unskinned mode
2876 Fixed [Main Panel] Album Art Details view: Multiple track selection doesn't work correctly
2973 Fixed [Main Panel] MM doesn't span/persist properly across multiple monitors
2997 Fixed [Main Panel] Album Art View: Image editing functions missing/inconsistent
2999 Added [Main Panel] Album Art - Details View: Enable for Now Playing
3082 Added [Main Panel] Party mode: Disable multi-select (revert?)
3192 Fixed [Main Panel] Album Art Panel not resizable after titlebar is hidden
3272 Fixed [Main Panel] Album Art Details view: keyboard-based tracklist selection / navigation is inconsistent
3281 Tweaked [Main Panel] Album Art + Details: all fields should be available as headers
3416 Fixed [Main Panel] Filters & Views: per filter Track Browser config
3418 Fixed [Main Panel] Multiple Value Fields: Need clear way of removing tracks and nodes
3430 Fixed [Main Panel] Album Art Views don't refresh correctly
3443 Fixed [Main Panel] Album Artist node: Album Artist subnodes aren't shown if Album title is unknown
3546 Fixed [Main Panel] Tracklist Horizontal Scrollbar position doesn't update in some cases
3566 Fixed [Main Panel] Album Art view: if multiple images exist switching to diff. images fails alternately
3568 Fixed [Main Panel] AA views don't work properly with tracks without Album Artist
3575 Fixed [Main Panel] Album Art + Details View: Tracks listed in incorrect order sometimes
3590 Fixed [Main Panel] the clickable area in each section of the navigation toolbar is inconsistent
3646 Fixed [Main Panel] Album Art + Details view: Currently playing track isn't always bold
3653 Tweaked [Main Panel] Album Art Details view: text appears misaligned if Album Title is unknown
3816 Fixed [Main Panel] Album Art View: Deleting an Album causes view to completely refresh and lose current position
3862 Fixed [Main Panel] Skinless mode: Last part of the path in navigation bar has a different font
3865 Fixed [Main Panel] Tree: Gradient artifact when horizontal scrollbar is moved all the way to the right
3880 Fixed [Main Panel] Scanning causes tree nodes/tracks/ratings to not be editable
3992 Fixed [Main Panel] Album Art + Details: Many users don't like the auto-hide / down arrow
4107 Fixed [Main Panel] Album Art Views: scanning in library doesn't refresh view properly
4111 Fixed [Main Panel] Past searches cannot be deleted from the tree.
4139 Fixed [Main Panel] Album Art + Details view: on scan Album can generate multiple entries
4222 Fixed [Main Panel] Album art Context not Shown Correctly
4227 Fixed [Main Panel] AA + Details view: using down arrow moves focus to hidden tracks
4317 Fixed [Main Panel] 'Unsynchronized tag' node opening will holds up every other threads
4379 Fixed [Main Panel] Album Art + Details view: Get Info/Buy not working
4381 Added [Main Panel] Album Art Views: Mirror effect
4416 Fixed [Main Panel] Album Art View : Covers D&D should be available
4418 Added [Main Panel] Find More from Same Context menu should indicate field values
4454 Fixed [Main Panel] Some mnemonic characters are missing from Menu Bar
4555 Fixed [Main Panel] Audio CD Node: Context Menu has many useless functions
4575 Fixed [Main Panel] MediaMonkey fails to run by Non-Admin user on Vista when General plugins are used
4593 Fixed [Main Panel] Tracklist right-click Remove menu entry is missing its shortcut key text
4710 Fixed [Main Panel] Out of resource error for large albums (VirtualTree issue)
4711 Fixed [Main Panel] In-place Edits of Artist field do not work correctly for case changes
4731 Fixed [Main Panel] Album Art View: Clicking selected album causes selection to be lost
4732 Fixed [Main Panel] Dragging in Album Art or AA + details view may not refresh focus correctly
4754 Fixed [Main Panel] Filter config can cause device to appear in tree even if not connected (regression)
4767 Fixed [Main Panel] Scroll wheel in Album Art view becomes 'uncalibrated' on large albums
4788 Fixed [Main Panel] Track browser 'All' doesn't work in Album Art View
4793 Fixed [Main Panel] Album Art View + Details doesn't show highlighted fields in unsynchronized node
4796 Fixed [Main Panel] Tracklist operations coulds be faster and consuming less memory
4798 Fixed [Main Panel] Regression : Track# mask doesn't work well when track's Track# is set to '0'
4802 Fixed [Main Panel] Hide Title node by default
4834 Fixed [Main Panel] Tooltip enhancement: show track cover and rating
4838 Fixed [Main Panel] No easy way to hide/show Music Tree
4841 Fixed [Main Panel] Toolbars buttons should have smooth transitions like players buttons
4842 Fixed [Main Panel] Skins: Podcast download icon should be animatable
4844 Fixed [Main Panel] Album Art cache may be stored to root of C: instead of temp directory
4857 Fixed [Main Panel] Grouping tracks to Unknown albums
4870 Tweaked [Main Panel] 'About' dialog has confusing text
4877 Fixed [Main Panel] Simplify Tree: show some nodes only when they contain tracks
4887 Fixed [Main Panel] Album Art View : groups can show up total count of albums inside of it
4891 Fixed [Main Panel] Main window default layout improvements
4894 Fixed [Main Panel] Floating toolbars not labelled / mislabelled / and missing buttons
4924 Fixed [Main Panel] # column for auto-playlist starts with 0 instead of 1
4925 Fixed [Main Panel] Don't show unnecessary tagging progress information on some actions
4943 Fixed [Main Panel] AA View: Text Exceeds the margins of album art
4945 Fixed [Main Panel] Album Art + Details view: moused based selection doesn't work correctly
4946 Fixed [Main Panel] Net Radio Tree button can't be shown until restart (regression)
4959 Fixed [Main Panel] Single click of Track in AA + Details view doesn't allow tracks to be edited
4978 Fixed [Main Panel] Users accidentally open Amazon pages
4979 Fixed [Main Panel] Closing Track Properties can throw an error
4981 Fixed [Main Panel] Settings to show less than 7 in Album Art View don't work
4982 Fixed [Main Panel] Clicking on artist in AA view throw an error
4983 Fixed [Main Panel] Width of the # column doesn't persist
4987 Fixed [Main Panel] Album Art View : Album & Album Artist is truncated to one character
4990 Fixed [Main Panel] Track Browser crashes when its columns are customized with some fields (regression)
4991 Fixed [Main Panel] Album Art Window can't be resized (regression)
4994 Fixed [Main Panel] Custom Main Tree +/- icons doesn't persist
4995 Fixed [Main Panel] Double click on Track Browser doesn't work as expected
4996 Fixed [Main Panel] Unicode MP3 Tags broken in MM 3.1 (regression)
5000 Fixed [Main Panel] Album Art View + Details : Artist/Album column isn't remembered
5009 Fixed [Main Panel] Tracklist is somehow corrupted and tracks are invisible
5012 Fixed [Main Panel] Some polishing of Toolbar Configuration
5015 Fixed [Main Panel] Unorganized tracks Bar & Performance [Regression]
5016 Tweaked [Main Panel] Track order display should be configurable
5027 Fixed [Main Panel] Scrolling in Album Art View
5042 Fixed [Main Panel] List background is wrong after restart
5043 Fixed [Main Panel] Genre delete / refresh issue
5053 Fixed [Main Panel] Album Art View: allow sorting by attributes that aren't album-specific
5054 Fixed [Main Panel] changing album art view modes affects column order (regression)
5056 Fixed [Main Panel] Lost of Expansion +/- symbols of Custom Nodes
5059 Fixed [Main Panel] Freeze on node expansion/contraction at startup
5067 Fixed [Main Panel] Personal Folders under Location Node don't function properly (Vista)
5073 Fixed [Main Panel] Drag & Drop of Tree Nodes to Now Playing doesn't work
5074 Fixed [Main Panel] Access Violation after Customizing Standand Toolbar
5076 Fixed [Main Panel] AV error when opening Options
5077 Fixed [Main Panel] Toolbars dock and position should persist
5078 Fixed [Main Panel] Toolbars should persist when changing language
5079 Fixed [Main Panel] Scripted buttons should stay on toolbar even if toolbar is deleted (from UI)
5083 Fixed [Main Panel] Improve auto-complete usability for multi-value support and add switch
5092 Fixed [Main Panel] 3rd column of track browser doesn't work properly
5101 Fixed [Main Panel] Auto-suggest Dropdowns: mouse doesn't behave as expected
5109 Fixed [Main Panel] Delete command doesn't work for Composer node
5116 Fixed [Main Panel] Custom toolbars appear messed up (regression)
5119 Fixed [Main Panel] Playing track triggers duplicate Locations > My Documents Entry
5123 Fixed [Main Panel] Auto-Suggest: field can't be deleted
5124 Fixed [Main Panel] Ctrl+Enter on empty list can throw an error
5126 Fixed [Main Panel] Jump buttons on toolbar doesn't work on first use
5128 Fixed [Main Panel] Default selection in AA view should be on first album
5137 Fixed [Main Panel] One-click rating works even if tracklist doesn't have focus
5141 Fixed [Main Panel] "Remove on Tracks is disabled in ""Library\Artist\<Artist>\<Album>"" node (regression)"
5145 Fixed [Main Panel] Forward/Backward history not saved properly
5171 Fixed [Main Panel] Album Art + Details View : memory usage on startup is huge
5172 Fixed [Main Panel] View: Album Art mode doesn't persist on restart
5178 Fixed [Main Panel] Inconsistent sort order for 'Unknown' tracks between Album Art and Details views
5180 Fixed [Main Panel] Access Violation When Selecting Node
5183 Fixed [Main Panel] Switching from Details to Album Art + Details and back results in last column moving to the front
5191 Fixed [Main Panel] Some keyboard shortcuts don't work
5192 Fixed [Main Panel] Minilyrics embedder prevents Menus from being opened
5202 Fixed [Main Panel] Send To > Email fails (regression)
5203 Fixed [Main Panel] Custom Back/Forward buttons miss history drop down
5211 Fixed [Main Panel] New nodes/tracks added to wrong position of Tree/Tracklist on scan (regression)
5218 Fixed [Main Panel] 1214 Multiple file properties cause debug crash
5234 Fixed [Main Panel] Skin change and selected state
5235 Fixed [Main Panel] Minor interface bugs
5240 Fixed [Main Panel] Panel titlebar caption is too large
5242 Fixed [Main Panel] Album Art View + Details : Covers disappear when changing Album Art column size
5243 Fixed [Main Panel] Tree titlebar missing close button
5247 Fixed [Main Panel] Genre node does not read track separators correctly
5248 Fixed [Main Panel] MediaMonkey displays incorrect bitrate
5263 Fixed [Main Panel] Header (Column) height is ignored in skins
5264 Fixed [Main Panel] Tree History doesn't work well when node's title gets changed
5269 Fixed [Main Panel] Active control in skinned MM is not remembered when removing focus
5271 Fixed [Main Panel] Application Focus Problem in skinned MediaMonkey
5288 Fixed [Main Panel] MediaMonkey can freeze when fast scrolling in AA view
5294 Fixed [Main Panel] Album Art View + Details occasionally throws an GDI error
5295 Fixed [Main Panel] Now Playing: # column contents are hidden even when the column is wide enough to contain them
5296 Fixed [Main Panel] View and Search toolbar cannot be placed on same row as Navigation Toolbar
5297 Fixed [Main Panel] Album Art + Details view: refresh problems on switching to view (regression)
5299 Fixed [Main Panel] Tree: Genre > Artist doesn't display Album Artists
5305 Fixed [Main Panel] Switching from AA+Details to AA and then to Details can throw an error
5307 Fixed [Main Panel] Vertical scrollbar missing in AA views when large font size used
5315 Fixed [Main Panel] Cannot delete tracks when in Library node
5323 Fixed [Main Panel] Changing search mode doesn't update search mode until new node is selected
5331 Fixed [Main Panel] Switching to party mode with modified toolbars can crash
5338 Fixed [Main Panel] Album Art: Locked aspect ratio can be too restrictive
5358 Fixed [Main Panel] Changing artist in tracklist can throw an error
5360 Fixed [Main Panel] Custom buttons on View toolbar have no icon
5374 Fixed [Main Panel] Scan directory: Locations node doesn't refresh with scanned tracks
5376 Fixed [Main Panel] Find more from same folder doesn't work in AA+Details view
5380 Fixed [Main Panel] MM gets stuck after startup and doesn't work normal
5389 Fixed [Main Panel] Jumps from AA+Details view can fail
5399 Fixed [Main Panel] Switching from AA to AA+D throws an error in skinless mode
5401 Fixed [Main Panel] Abum Art window disapears on drag & drop
5402 Fixed [Main Panel] 'Find More from same' is empty in main panel when Now Playing is undocked
5417 Fixed [Main Panel] Refresh problem after volume leveling calculation (regression)
5434 Fixed [Main Panel] Tracklists scrollbar position issue (skinned version)
5446 Fixed [Main Panel] Many tree nodes have useless Properties entry in context menu (regression)
5451 Fixed [Main Panel] Setting font size to >= 40% causes flickering in mask selector
5455 Fixed [Main Panel] Clicking on album in AA view node calling buy/get info even it should not (regression)
5456 Fixed [Main Panel] Edit of Album Subnode fails to update the Tree
5457 Fixed [Main Panel] Tracks can fail to refresh in the Artist > Album node
5460 Fixed [Main Panel] CTRL+ALT+UP (DOWN) volume adjustment doesn't update player volume slider
5465 Fixed [Main Panel] MM can crash when copying/removing playlists in main explorer tree
5469 Fixed [Main Panel] Incorrect Year Displayed in My Computer Node
5477 Fixed [Main Panel] Paste of playlists is disabled in the Playlist node
5483 Fixed [Main Panel] 'Paste' is enabled after MM restart
5496 Fixed [Main Panel] TAB key doesn't work beyond the Rating column
5526 Fixed [Main Panel] Expanding 'Title' node can freeze MM for minutes on some systems
5537 Fixed [Main Panel] Fast clicking on playlists in MM tree can cause playlists to disappear (regression)
5542 Fixed [Main Panel] Album Art view doesn't refresh with newly tagged Album Art
5545 Fixed [Main Panel] critical error: index out of bounds on startup 1237/1240 xp 64bit
5553 Fixed [Main Panel] Sleep volume doesn't fade properly
5555 Tweaked [Main Panel] Missing field in Tracklist / Track Browser
5557 Fixed [Main Panel] Tree pop menu is scrambled/incorrectly drawn sometimes.
5569 Fixed [Main Panel] Cancelling Paste of album Art triggers shift in tracklist
5573 Tweaked [Main Panel] Playlist nodes > Remove : indication of DEL shortcut is missing
5576 Fixed [Main Panel] Ampersand Not correctly shown in Find More from same
5582 Fixed [Main Panel] Skinned mode: SHIFT doesn't select text in text-edit controls
5583 Fixed [Main Panel] CTRL-Z fails when editing Tree / Tracklist properties in-place
5586 Tweaked [Main Panel] Clean install to Vista has many dialogs that are misaligned
5589 Fixed [Main Panel] AA Views fail to update on Album Art Removal
5611 Fixed [Main Panel] Occasional AV at startup
5627 Fixed [Main Panel] ALT doesn't activate menu bar correctly
5635 Fixed [Main Panel] Miniplayer: tabbing through fields doesn't work
5636 Fixed [Main Panel] Menu bar doesn't adjust shortcuts in response to hotkey changes
5647 Fixed [Main Panel] Unskinned mode: repaint problems
5648 Fixed [Main Panel] Floating Now Playing Window: focus problems
5653 Fixed [Main Panel] Tracklist moves by itself whenever tracks are tagged
5665 Fixed [Main Panel] Hotkey shortcuts (f7 f8 etc) fail to function (regression)
5668 Fixed [Main Panel] Home key can jump to End in some cases
5669 Fixed [Main Panel] Ctrl-A (select all) broken in Album Art and Details view after editing a track
5679 Fixed [Main Panel] Album Art + Details view: 'show all tracks' indicator is obscured in some cases
5694 Fixed [Main Panel] Reading tracks... isn't shown for all longer queries
5699 Fixed [Main Panel] Right-click in tracklist can show incorrect popup menu
5709 Tweaked [Main Panel] Some menu commands are missing ellipsis
5713 Fixed [Main Panel] Tab order on main panel is incorrect
5720 Fixed [Main Panel] Now Playing / AA + Details View: Find more from same is broken (regression)
5737 Fixed [Main Panel] Undocked Now Playing window: Focus problems
5741 Tweaked [Main Panel] Album Art View: Track selection text is truncated
5742 Fixed [Main Panel] Blanking out Artist in tree sets focus incorrectly (Regression)
5743 Fixed [Main Panel] Inconsistent selection of tracks with mouse
5744 Fixed [Main Panel] ALT key may appear not to work
5753 Fixed [Main Panel] View: Properties / Equalizer shortcuts can enable but can't disable views
5762 Fixed [Main Panel] Send to -> Folder (Copy) tries to copy to wrong location on Vista/Windows 7
5769 Fixed [Main Panel] MediaMonkey appears to rate a track other than the one being rated
5774 Fixed [Main Panel] Navigation bar is included in TAB sequence
2036 Fixed [Now Playing] Auto-DJ isn't random enough
2587 Added [Now Playing] Add Play Next / Play Last options to Now Playing
2670 Fixed [Now Playing] Deleting the currently playing track --> next track doesn't show up in Now Playing
3445 Fixed [Now Playing] Tooltips don't work in Now Playing node
3446 Fixed [Now Playing] Now Playing shouldn't reposition to centre in response to user interaction
3558 Fixed [Now Playing] Cannot edit tracks in Now Playing (regression)
3805 Added [Now Playing] Increase playcounts differently for Music and Audiobooks/Podcasts
3843 Tweaked [Now Playing] Play all in Podcast node should stream podcasts that aren't downloaded
4003 Fixed [Now Playing] "Now Playing: If shuffle is enabled, and NP track is deleted, next track doesn't come into focus"
4074 Fixed [Now Playing] Now Playing menu items are hidden when 'Show Play Controls' is enabled
4156 Fixed [Now Playing] Floating Now Player: focus conflicts with Tracklist focus --> possible incorrect operations
4303 Fixed [Now Playing] Now Playing window often shifts horizontally
4407 Fixed [Now Playing] Auto-DJ adds multiple identical tracks in some cases
4589 Fixed [Now Playing] Now Playing: not refreshing tracks info when plugging-in drive
4799 Fixed [Now Playing] Now Playing: double-click selected track edits it in some cases
4876 Fixed [Now Playing] Now Playing panel does not show number of files or # selected files in status bar
4880 Tweaked [Now Playing] "Now Playing Transparency, Always on Top unavailable"
5002 Fixed [Now Playing] Pop-up info panel appears even if Now Playing is empty
5005 Fixed [Now Playing] Pop up panel 'Show only when inactive' setting doesn't work
5094 Fixed [Now Playing] Find More From Same -> Folder (Explorer) issues (regression)
5306 Fixed [Now Playing] Tagging tracks in NP list can throw an error
5327 Fixed [Now Playing] Can't delete Tempo/Mood/Occasion/Quality in Now Playing
5337 Fixed [Now Playing] Del key in Now Playing node doesn't work in album art view
5390 Fixed [Now Playing] 'Now Playing' and 'Album Art with Details' view sort problems
5395 Fixed [Now Playing] Auto DJ optimization regarding to Add tracks from: Playlist option
5433 Fixed [Now Playing] Some Get info/Buy links do not work in AAwD view
5473 Fixed [Now Playing] Double-click sometimes opens 'Buy from Amazon' web page
5476 Fixed [Now Playing] TAB key doesn't work in Now Playing Window / Node
5500 Fixed [Now Playing] Linked Album Art doesn't display for currently playing track on restart
5536 Fixed [Now Playing] Now Playing scrolls by itself in cases where user wouldn't want it to
5550 Tweaked [Now Playing] D&D to now playing: icon is incorrect if SHIFT is held down
5592 Fixed [Now Playing] AA + Details View: Album art refreshes twice in Now Playing
5620 Fixed [Now Playing] Live rating in Now Playing doesn't working in MiniPlayer mode
5659 Fixed [Now Playing] Now Playing (AA + Details): multiple tracks from same album are combined
5698 Fixed [Now Playing] Live rating doesn't working in floating Now Playing window
5700 Fixed [Now Playing] Find More From Same in floating NP window doesn't working correctly
51 Fixed [Other] Errors interrupt Caching/Normalization/Conversion/Synchronization Operations
2255 Fixed [Other] Auto-complete messes up capitalization
2430 Fixed [Other] Handling Multimedia Keyboard APPCOMMAND_MEDIA Keys sometimes misses
2686 Fixed [Other] Decrease memory requirements of internal data structures
2835 Fixed [Other] "Visualization throws ""Out of memory"""
2917 Added [Other] Skins: Add option to include custom icons within a skin
2947 Fixed [Other] Make MM accessible to blind users
3015 Fixed [Other] Add an option to manually create an Eureka debug log
3102 Fixed [Other] Podcasts: fields are sometimes assigned metadata that doesn't make sense
3107 Fixed [Other] Automatic Tab Order
3252 Added [Other] Podcasts: Import / Export OPML
3340 Fixed [Other] Podcasts: Add ability to download episodes based on time
3372 Fixed [Other] Skins: Micromonkey displays incorrectly in some cases
3444 Fixed [Other] MediaMonkey tray icon shouldn't display when microplayer is active
3460 Fixed [Other] Optimize performance of some parts of MM
3475 Fixed [Other] Party Mode isn't completely locked (Crlt+Alt+Del and media keys)
3500 Fixed [Other] context menu inconsistencies and improvements re. 'Options'
3526 Fixed [Other] Cannot focus invisible window and switch between Players
3548 Tweaked [Other] Filters 'Gold' warning is too 'Naggy'
3588 Fixed [Other] More (general functionality) hotkeys should be available
3591 Fixed [Other] hiding root nodes is not reflected in the navigation toolbar
3592 Fixed [Other] Skinning: AA+Details expand triangle should be skinnable & support transparency
3608 Added [Other] Skins: Improvements to support SilverDream skin
3621 Fixed [Other] Global Album Art image location is missing 'Any' option for some users.
3691 Tweaked [Other] Popups display incorrectly with Geiss Vis
3703 Fixed [Other] MediaMonkey focus problem: pressing cancel in modal dialogs minimizes to taskbar
3764 Fixed [Other] Unskinned Player: Vista-style navigation toolbar text doesn't fit in buttons
3791 Tweaked [Other] Change 'panning left / right' to balance left/right
3908 Fixed [Other] Podcasts: Expanding a Podcast can look like MM is frozen
3946 Fixed [Other] Use multi-kernel processor more efficiently
3947 Fixed [Other] Debug logs should contain full version number
3993 Fixed [Other] Tabbed dialogs: <ctrl><tab> doesn't switch between tabs
4065 Fixed [Other] Single Key Hotkeys are active when editing
4075 Tweaked [Other] Capitalization cleanup of field names
4151 Fixed [Other] Debug Log (via dbgview) should log correct / full version number
4170 Fixed [Other] Hotkey: General: Focus tracklist on currently playing item - doesn't bring track into focus
4212 Tweaked [Other] Create new default background images
4294 Fixed [Other] Issues with Large / Extra Large fonts
4369 Fixed [Other] Global hotkeys stop working after locking & unlocking (regression)
4409 Fixed [Other] Hotkeys: minimize / maximize window
4413 Fixed [Other] Date field resets in some cases
4475 Fixed [Other] Specific corrupted WAV files can freeze MM
4508 Fixed [Other] Some podcasts that have embedded user/pass in the feed URL appear empty
4701 Fixed [Other] Mask Edit : Hiding masks list using '>>' button misses caret position in Destination edit
4742 Fixed [Other] Missing/Incorrect hotkeys: General: Go to Artist Node goes to Artist & Album Artist node
4749 Fixed [Other] Explorer integration doesn't work correctly in Vista
4769 Fixed [Other] Podcasts: Need to add <guid> episode tag to the database
4774 Fixed [Other] "AAC Format plugins don't have version #, and both have the same name"
4777 Fixed [Other] Podcasts: PubDate field of the PodcastEpisodes table doesn't get populated with the time portion
4778 Fixed [Other] Multi value support enhancements
4790 Added [Other] Integrate with HDtracks
4801 Fixed [Other] Some opml dirs cannot be imported
4806 Tweaked [Other] Tracks storage internal changes
4813 Fixed [Other] Some unicode characters are displayed badly in OPML dirs
4816 Fixed [Other] "Renaming genre to include word ""podcast"" causes grey subscriptions to appear"
4826 Fixed [Other] Customizeable toolbars
4828 Fixed [Other] Thread creation error: Not enough storage is available to process this command.
4829 Fixed [Other] Amazon purchases: affiliate links don't seem to work for non-english builds
4830 Fixed [Other] History should remember track selection
4849 Fixed [Other] Default OPML directories: podcast.com is broken
4850 Fixed [Other] No way to browse/search content of all OPML directories at once.
4851 Fixed [Other] Some podcasts (with ASP code in their feed) fails.
4852 Fixed [Other] OPML directories: filling the Feed list by feeds could be faster
4864 Fixed [Other] Unsubscribe and Delete podcasts do not delete Playing Episode
4865 Added [Other] CoClass SDBFileSystem Do not have MoveFile VBScript feature
4872 Fixed [Other] Don't show previously removed episodes in feed list
4875 Fixed [Other] Podcasts: Lines are not properly broken in Episode's comment + subscription can get bad description
4882 Fixed [Other] Regression: AllMusic Listen links are not handeled correctly
4884 Fixed [Other] SDB.Database.ActiveFilterQuery returns empty string in some cases
4889 Fixed [Other] Skinning : Close button on dialogs is cut off
4890 Fixed [Other] Updating podcasts: manually downloaded episodes are not deleted from the queue in some cases
4892 Fixed [Other] Some toolbars are missing close buttons and the navigation toolbar is not labeled
4902 Fixed [Other] WMP11 x64 and CD rip to  WAVE Format  incomapatibility.
4917 Fixed [Other] MM can't read/write tag from some MP4 files (HEv2 AAC - Nero encoded)
4919 Fixed [Other] Skinning : MM blinks while changing skin
4927 Fixed [Other] Regression: Seeking doesn't work when playing audio CDs
4936 Fixed [Other] Deleted tracks dialog can throw an error
4992 Fixed [Other] Tray icon never shows up in some cases
4993 Fixed [Other] Occasional crashes when minimized to micro player
5001 Fixed [Other] Regression: Some podcast feeds no longer work
5003 Fixed [Other] Auto-complete : functionality is very slow on large databases
5008 Fixed [Other] Update All Podcasts finds no new podcasts (regression)
5013 Fixed [Other] Podcast: Some downloaded episodes are mal-linked in Library
5014 Tweaked [Other] Improved messaging for creating new hotkeys
5020 Tweaked [Other] UI and context help string changes for 3.1
5026 Fixed [Other] Regression: Podcast: Newest episode incorrectly determined.
5032 Fixed [Other] Auto-Tag from Web when in AA view can throw an error
5038 Fixed [Other] Scanned tracks not shown for Dead Subscriptions
5039 Fixed [Other] Remove Playlist field from Synch* tables
5051 Fixed [Other] Podcast: Directory: OPML parse error - Subscription name may be truncated
5058 Fixed [Other] Optimize several actions
5060 Fixed [Other] Error log form: [Save as Playlist] button should save regular MM playlist (not M3U as currently does)
5062 Fixed [Other] Podcasts: cannot delete Dead subscriptions
5064 Fixed [Other] Truncated Text when Large fonts are used
5085 Fixed [Other] Error on MM starting when changed default hotkeys
5090 Fixed [Other] "Podcast: Scan misses adding ""duplicates"" to PodcastEpisodes."
5091 Fixed [Other] Podcast: Re-scanned tracks not re-linked to existing episodes (regression)
5099 Fixed [Other] Icon customization: some icons don't get replaced when included in skin
5117 Fixed [Other] New icons for custom toolbar actions & Extensions
5122 Fixed [Other] Podcasts: Tags from downloaded episodes are incorrectly rewritten sometimes
5140 Fixed [Other] Some keyboard problems with auto-suggestion tool
5148 Fixed [Other] "Need ""Cancel"" for TOC read errors"
5149 Fixed [Other] MM freeze on Vista when reading CD-Text for a particular CD sometimes (issue with autostart)
5157 Fixed [Other] MM crashed on close when clipboard used for tracks
5167 Tweaked [Other] Remove OS mentions from UI
5168 Fixed [Other] MilkDrop visualization still shows old MM logo on startup
5177 Fixed [Other] Mini-Player: transparency problems
5181 Fixed [Other] MM Stalls on startup while loading d_iphone.dll
5188 Fixed [Other] Browse for Folder dialog doesn't work correctly
5197 Fixed [Other] Duplicate Content dialog title error
5208 Fixed [Other] "Active Filter ignored: Files to edit -> unsyncronized tags, Dead-links, Inconsistent Album Art"
5221 Fixed [Other] Change default Podcast download mask
5228 Fixed [Other] Searching for missing tracks on network problem
5230 Fixed [Other] Proxy setting configuration doesn't work as expected
5237 Fixed [Other] "Some podcast downloads say ""Cannot create file..."""
5239 Fixed [Other] Focus tracklist on currently playing item only works in Now Playing
5244 Tweaked [Other] Enter should not close dialog when suggestion list is visible
5255 Fixed [Other] m3u handling buffer overflow error
5259 Fixed [Other] MediaMonkey fails to start on Win2K (regression)
5281 Fixed [Other] Single key hotkeys are active in Searchbar (regression)
5300 Fixed [Other] Skinned mode: Remote Desktop into MM causes crashes
5302 Fixed [Other] Usage of AutoPlaylist in AutoOrganize can throw an error
5310 Fixed [Other] Hotkeys: After 3 seconds of holding part of the hotkey combination the hotkey stops being recognized by MM
5311 Fixed [Other] Hotkeys do not override other actions sometimes (regression)
5320 Fixed [Other] Starting unskinned MM keeps custom icons
5322 Fixed [Other] Scrolling in combo sometimes doesn't update suggestion list
5330 Fixed [Other] Party mode doesn't work
5343 Fixed [Other] Pasting new cover can crash MM
5347 Fixed [Other] WAV metadata Track Number 'itrk' not supported on some devices
5352 Fixed [Other] Find more from same on right-click can throw an error
5355 Fixed [Other] Active filter is not correctly applied in Duplicated Tracks Node
5359 Fixed [Other] Changing height of the VT to 0 can throw an error
5361 Fixed [Other] Error on closing if Help is open (regression)
5367 Tweaked [Other] Showing PlayCount in tracklist should not load additional data from database
5372 Added [Other] Replace Casino Orange with Vitreous blue
5373 Fixed [Other] IE8 triggers connection problems (wininet error) on Vista / Windows 2008
5388 Fixed [Other] UI issues on larger fonts
5392 Fixed [Other] Font size setting in options broken due to localization
5408 Fixed [Other] Non-skinned version: Some controls are visible even if they should be hidden
5412 Fixed [Other] Update Vitreous Blue skin
5419 Tweaked [Other] Icon missing from icon pak posted to wiki
5424 Fixed [Other] Spelling error in the Error report dialog
5427 Fixed [Other] Album Art Window doesn't display correctly when Titlebar is hidden
5428 Tweaked [Other] Milkdrop configuration: context help for 'show logo' is incorrect
5439 Fixed [Other] "Some ""mms://"" radio streams don't play"
5452 Fixed [Other] Update credits to mention Pinvoke.com re. icons used in VitreousBlue skin
5459 Fixed [Other] MM shows incorrect content of m3u playlists under My Computer node
5462 Fixed [Other] Adding M3U via menu 'File -> Open URL or file' fails for http:// M3U locations
5470 Fixed [Other] Hotkeys: Locking PC causes all keys to be treated as if CTRL is pressed
5485 Fixed [Other] "Active filter is incorrectly implemented in the ""Artist & Album Artist""-Node"
5497 Fixed [Other] New OGG standard vorbis comment for cover art
5504 Fixed [Other] Podcasts: Pressing 'Delete' key on the 'Edit Subscription' dialog triggers 'Unsubscribe' dialog
5511 Fixed [Other] Accessible tracks doesn't work correctly for UNC names (regression)
5514 Fixed [Other] "Podcast directories: Remove ""podfeed.net"" from podcast directories"
5517 Fixed [Other] Multimediakeys repeat 2-3 times on some systems
5523 Tweaked [Other] Update Geiss to v4.28
5549 Fixed [Other] Vitreous blue: buttons don't show when they're in focus
5585 Fixed [Other] Podcast episode downloads may be incomplete (due to network interruption)
5593 Fixed [Other] Some Labels are too short when using large fonts
5594 Fixed [Other] Hotkey action: Stop After Current is missing
5604 Tweaked [Other] Glided: Player Pop up text is larger than it should be
5605 Fixed [Other] Add digital signatures to requests to Amazon
5617 Fixed [Other] Skins fail to adjust header size on skin switch
5624 Fixed [Other] Popup window doesn't work (regression)
5673 Fixed [Other] Auto-Tag from Web Genre drop-down blank
5676 Fixed [Other] Freeeze reports are not automatically generated
5703 Fixed [Other] Automatic podcasts update shows error log (regression)
2379 Fixed [Player] CDs with CD Text don't display metadata in Now Playing or in Player
2424 Added [Player] Support for parsing of ASX links in need for WMA streaming
3262 Added [Player] Support for partial playcounts in podcasts
3477 Fixed [Player] Miniplayer: edit/add album art dialogs appear behind the player
3982 Fixed [Player] Sleep timer expiry: Volume doesn't reset back to normal
4220 Fixed [Player] Track Popup shows previous track's album art for a fraction of a second
4672 Fixed [Player] Video: Vid4WA plugin no longer works with MM 3.0
4673 Fixed [Player] in_mpg123 plugin no longer functions & seekbar doesn't work correctly with in_mad.dll
4776 Fixed [Player] Regression: Playcounter is not updated  before TrackEnd Event
4803 Fixed [Player] Upgrade Lame to 3.98.2
4824 Fixed [Player] IEEE Floating point WAV Files can't be played
4862 Fixed [Player] Player: show track time when moving seek bar
4883 Fixed [Player] Winamp cannot be used as player for non admin users
4903 Fixed [Player] MicroPlayer : microplayer on Vista disables taskbar aero effect
4905 Fixed [Player] MicroPlayer: show currently playing track info on hover
4932 Fixed [Player] Track transitions during CD Playback triggers endless AVs (regression)
4973 Fixed [Player] Volume adjustments don't register if playback is stopped
5017 Fixed [Player] MicroPlayer : MM can freeze when micro popup is visible
5019 Fixed [Player] Minimizing to micro player can throw an error due to skinning
5025 Fixed [Player] MicroPlayer pop-up re-appears
5028 Fixed [Player] MicroPlayer popup timeout should be configurable
5048 Fixed [Player] Font styles aren't supported in player
5071 Fixed [Player] Player Seekbar locks playback If moved to 100% (Regression)
5082 Fixed [Player] Some FLAC files are not playable and audio is lost on conversion
5086 Fixed [Player] Play Tracks Selected when MM is closed
5210 Fixed [Player] Windows Explorer context menu options don't persist / don't work
5277 Fixed [Player] WAV Tracks play white noise at end of track (regression)
5308 Fixed [Player] Seeking doesn't work right for very long WAV files (regression)
5328 Fixed [Player] Clicking on volume slider will set volume to 0 (regression)
5341 Fixed [Player] Some MP3 radio streams no longer shows info in Player and doesn't play flawessly (regression)
5345 Fixed [Player] Player doesn't load in skinless mode
5364 Fixed [Player] "Tracks from iPhone cannot be played when ""Show warning when track to be played is not accessible"" is enabled"
5391 Fixed [Player] Seeking when playing audio CDs doesn't work after 30 seconds of playback
5394 Fixed [Player] FLA files will not play
5405 Fixed [Player] 4-bits WAV files cannot be played by MM
5413 Fixed [Player] Build 1228 keeps playing last 2-3 secs of CD track (regression)
5423 Fixed [Player] Minimize to MicroPlayer --> Windows Taskbar freezes for a few seconds
5432 Fixed [Player] Some corrupted WAV files show incorrect length and bitrate and can't be tagged properly
5540 Fixed [Player] cursor icon on drag and drop of track to player indicates shortcut
5590 Fixed [Player] Player: scroll wheel causes play/pause to not function
5599 Fixed [Player] Graphical artifact when hovering mouse over the seek bar
5625 Fixed [Player] Seeking in WAVs can crash MediaMonkey
2991 Fixed [Playlist / Search] Playlist: dragging from Now Playing to a playlist doesn't work correctly
3040 Fixed [Playlist / Search] Implement proper full-text search
3687 Fixed [Playlist / Search] Searchbar: disable auto-complete or don't restrict search results based on auto-complete suggestion
3754 Added [Playlist / Search] Search bar: Configureable search mode on a per root node basis
3760 Fixed [Playlist / Search] Searchbar returns different results for 'Search selected' vs 'entire library'
4088 Fixed [Playlist / Search] Search Results node is filled with non-sensical searches --> Optimize timer
4395 Fixed [Playlist / Search] Configurability re. which fields the searchbar searches
4471 Fixed [Playlist / Search] Search: 'Is Known' operator could be useful for some fields
4541 Fixed [Playlist / Search] search current & trackbrowser communication isn't correct
4772 Fixed [Playlist / Search] Auto-Playlist throws error when using 'Playlist' as criteria
4784 Fixed [Playlist / Search] Autoplaylist: Sort by Album doesn't work (regression)
4795 Fixed [Playlist / Search] Internal: Some DUNIT query tests fail.
4805 Fixed [Playlist / Search] Auto-playlist can be indirectly self-referenced - add a prevention
4874 Tweaked [Playlist / Search] Play Order ('#' column) Sorting doesn't work correctly
4965 Fixed [Playlist / Search] Drag & Drop to Playlist duplicate prevention appears not to work (refresh problem)
4974 Fixed [Playlist / Search] Regression: Searching in 'Current Selection' mode can be slow
5004 Fixed [Playlist / Search] Full-text-search: characters such as '.' should be removed from the query
5033 Fixed [Playlist / Search] Search: Has Album Art query operator should be added
5045 Fixed [Playlist / Search] Improve performance of default filters
5104 Added [Playlist / Search] Search bar: Boolean 'OR' should be localizable
5105 Fixed [Playlist / Search] Clearing out the search bar doesn't undo the search
5118 Fixed [Playlist / Search] 'Search Selected' interacts incorrectly with the Track Browser
5134 Fixed [Playlist / Search] Searching for special chars like '.' no longer works with new full-text search engine
5147 Fixed [Playlist / Search] Search for exact text containing special characters doesn't always work
5158 Fixed [Playlist / Search] Ctrl + Drag & Drop moves tracks in playlists (instead of copy)
5159 Fixed [Playlist / Search] Editing of duplicates in a Playlist is handled incorrectly (regression)
5166 Fixed [Playlist / Search] No UI Updating a Playlist's Play Order
5174 Added [Playlist / Search] Sort order doesn't persist in Search node
5179 Fixed [Playlist / Search] Quick search for : fails to respect field selection
5182 Fixed [Playlist / Search] Scrolling tracklist can affect the query in the searchbar (non-skinned)
5186 Fixed [Playlist / Search] "Quick Search with """" (quoted strings) doesn't work as expected"
5187 Fixed [Playlist / Search] Searching with space between field: and value fails
5195 Fixed [Playlist / Search] Ctrl+C fails in quick search bar
5238 Fixed [Playlist / Search] Change to autoplaylist display order changes #
5279 Fixed [Playlist / Search] Search bar: incorrect results when multiple boolean operators are used
5280 Added [Playlist / Search] Boolean Search: Add support for 'NOT' (in addition to '-')
5316 Fixed [Playlist / Search] Limited Auto-playlists (restricted to X tracks or MBs or minutes) can be slow for some operations
5319 Fixed [Playlist / Search] "Search bar: searching for ""title:love"" takes only localized version"
5324 Fixed [Playlist / Search] Queries/Filters: 'Status is Podcast' doesn't work correctly for some users
5326 Fixed [Playlist / Search] "Boolean ""OR"" doesn't work correctly in some cases"
5333 Fixed [Playlist / Search] Rating: in searchbar doesn't always work as expected
5362 Fixed [Playlist / Search] Tweaks when re-focusing Search results subnodes
5363 Fixed [Playlist / Search] Track Browser doesn't work well for large libraries
5370 Fixed [Playlist / Search] Boolean Search: Add support for 'AND' (in addition to space)
5383 Fixed [Playlist / Search] "Searches using ""Starts with"" do not support Multiple values"
5393 Fixed [Playlist / Search] Advanced search: condition 'Playlist is' is broken when referenced playlists are limited to number of tracks (regression)
5449 Fixed [Playlist / Search] Confirmation dialog shouldn't appear when adding > 50 files to a playlist
5492 Fixed [Playlist / Search] Delete tracks in a static playlist loses focus
5501 Fixed [Playlist / Search] Search triggers a crash in some circumstances
5502 Added [Playlist / Search] Support XSPF handling
5515 Fixed [Playlist / Search] Now Playing doesn't have a default search mode
5572 Fixed [Playlist / Search] Playlists don't play from My Computer node (Regression)
5621 Fixed [Playlist / Search] AV when pressing right arrow key in artist selection dialog
5639 Fixed [Playlist / Search] Full text search yields poor results when searching for Drive paths
5655 Fixed [Playlist / Search] "Filter/Auto-playlist/Advance search using ""Is/Is Not - Playlist"" is too slow"
5666 Fixed [Playlist / Search] Advanced search: Condition Date <=  doesn't work right for tracks added in build 1246 (regression)
5667 Fixed [Playlist / Search] "The following search: ""genre: -country"" produces an error"
5680 Fixed [Playlist / Search] Dragged playlist misordered temporarily
5714 Tweaked [Playlist / Search] Deleting search results node loses selection
5717 Tweaked [Playlist / Search] Hitting enter in Searchbar should save search term to Search results list
5755 Fixed [Playlist / Search] Floating Searchbar hinders input - cursor positioned incorrectly
5756 Fixed [Playlist / Search] Floating Searchbar Hinders input - search scope is mixed-up with search term
5760 Fixed [Playlist / Search] Unneeded search results are saved to Search node
5773 Fixed [Playlist / Search] Search nodes: sort order doesn't persist
5776 Fixed [Playlist / Search] Floating Searchbar Hinders input - search scope is mixed-up with search term
2165 Fixed [Properties/Auto-Tools] 'My Computer' node infers properties of tracks that are already in the DB
2609 Fixed [Properties/Auto-Tools] Tags Sometimes Fail to Update ( tag queue)
3014 Fixed [Properties/Auto-Tools] Improved input mechanism for multiple value fields
3143 Added [Properties/Auto-Tools] Write ratings tags in a format that can be read by WMP/MP3 Tag
3217 Fixed [Properties/Auto-Tools] Filters are applied even where they shouldn't
3263 Added [Properties/Auto-Tools] Files to Edit: Inconsistent Album Art
3344 Fixed [Properties/Auto-Tools] Improve typing to dropdowns
3351 Fixed [Properties/Auto-Tools] Context menu isn't available in most of the player UI
3450 Fixed [Properties/Auto-Tools] MPC / APE: Many properties aren't saved to tags
3508 Fixed [Properties/Auto-Tools] "AutoDJ options needs ""from current filter"" option"
3560 Fixed [Properties/Auto-Tools] Album Artist Node: It should be possible to Drag and Drop Albums between Album Artists
3761 Fixed [Properties/Auto-Tools] Unsynchronized Tags node: status bar doesn't work
3983 Fixed [Properties/Auto-Tools] Dead links: All web radio stations are included in dead links
3987 Tweaked [Properties/Auto-Tools] Album Art Window: change title bar to 'Album Art (Selected)'
3994 Fixed [Properties/Auto-Tools] Shortcut conflict: Properties > Album Art (Alt-A)
3995 Fixed [Properties/Auto-Tools] Mass Track Edits: Filename should indicate 'Multiple tracks selected'
4112 Fixed [Properties/Auto-Tools] Album Art Tagging: No error is returned when attempting to tag album art to track with broken link
4147 Fixed [Properties/Auto-Tools] Unclear search mechanism for multiple-value tags: ';' can represent OR or AND
4169 Fixed [Properties/Auto-Tools] Cannot use CTRL-V to paste Album Art
4178 Fixed [Properties/Auto-Tools] Properties Dialog: Edit boxes don't function correctly when text is wider than the text box width
4179 Fixed [Properties/Auto-Tools] Properties dialog: CTRL-A doesn't work to select all text in a field
4435 Fixed [Properties/Auto-Tools] Regression: AutoOrganize: if track exceeds 64 chars limit then its filename fails to edit
4538 Fixed [Properties/Auto-Tools] Cursor doesn't work correctly in Mask textboxes
4563 Fixed [Properties/Auto-Tools] Warning for mass edits of 50+ files to prevent accidental edits
4601 Fixed [Properties/Auto-Tools] FLAC replay gain tags are ignored if 'db' is included
4609 Added [Properties/Auto-Tools] Allow date queries based on time relative to the present
4637 Fixed [Properties/Auto-Tools] Deleting empty folder using Auto-Organize in Background can fail
4720 Fixed [Properties/Auto-Tools] Next/Previous Song arrow on Track Properties dialog doesn't operate right.
4755 Fixed [Properties/Auto-Tools] Rating 0 (a bomb) isn't saved to ID3 tags
4783 Fixed [Properties/Auto-Tools] MP3 Files Tagged with ID3v2.0.0 are not read correctly
4809 Fixed [Properties/Auto-Tools] FLAC and OGG ALBUMARTIST tag is not saved
4819 Fixed [Properties/Auto-Tools] Unsynchronized tags: some tracks are unsynchronizable
4843 Fixed [Properties/Auto-Tools] Non-skinned version: Properties: Album artist checkbox is not properly checked when changing artist field
4871 Fixed [Properties/Auto-Tools] Clear database... does not actually clear all database
4873 Fixed [Properties/Auto-Tools] Auto-Organize in background doesn't move non media files
4879 Fixed [Properties/Auto-Tools] Classifications items: reordering by d&d is slow
4881 Fixed [Properties/Auto-Tools] M4A genre is not read if Genre tag is saved as HEX Value
4893 Fixed [Properties/Auto-Tools] Norwegion year mask fails
4900 Added [Properties/Auto-Tools] Copy & Auto-organize tracks (e.g. to Copy an iPhone or network drive)
4938 Added [Properties/Auto-Tools] Make separator configurable for multi-attribute properties
4985 Fixed [Properties/Auto-Tools] In place editing triggers AV
4986 Fixed [Properties/Auto-Tools] Auto-suggest doesn't work for Album field (regression)
4997 Added [Properties/Auto-Tools] Search options are not available via Search context menu
4998 Tweaked [Properties/Auto-Tools] Track Properties auto-complete doesn't always hide as expected
5010 Fixed [Properties/Auto-Tools] Properties: Exception when adding second value to Multi-value fields
5029 Fixed [Properties/Auto-Tools] Auto-Organize doesn't work well with Auto-Playlist in rule
5031 Fixed [Properties/Auto-Tools] Auto-Organize: selecting more than one playlist in rule doesn't persist
5044 Fixed [Properties/Auto-Tools] Auto-organize from iPod doesn't work
5063 Fixed [Properties/Auto-Tools] Auto-organize: Browsing to 'Desktop' directory freezes MediaMonkey
5065 Fixed [Properties/Auto-Tools] Auto-Organize doesn't work when mask doesn't contains folder
5068 Fixed [Properties/Auto-Tools] Options dialog: alignment issues
5070 Fixed [Properties/Auto-Tools] Album Art Panel & Going to Next Track
5107 Added [Properties/Auto-Tools] Feature Request: add <type> or <filetype> to auto-organize masks
5108 Fixed [Properties/Auto-Tools] Backslash in metadata causes folder creation in auto-organize
5132 Fixed [Properties/Auto-Tools] Regression: Unique value for tag in a selection of tracks not shown in Properties dialog.
5139 Fixed [Properties/Auto-Tools] WMA attribute WM/OriginalReleaseTime isn't supported by MM
5143 Fixed [Properties/Auto-Tools] Some characters don't work in Amazon search
5144 Fixed [Properties/Auto-Tools] Problems reading wav tags from SoundMiner
5156 Fixed [Properties/Auto-Tools] wav tracks written by dbpoweramp can be corrupted
5163 Fixed [Properties/Auto-Tools] "Multi-channel files (5.1, 7.1) are shown as 'Stereo' in ""Track Properties"""
5184 Fixed [Properties/Auto-Tools] """Unorganized tracks"" ignores case, ""Auto-Organize (CTRL+R)"" does not"
5246 Fixed [Properties/Auto-Tools] Updating Artist/Album Comment updates Tracks
5256 Fixed [Properties/Auto-Tools] "Tabbing to checkbox from empty field in properties, selects the checkbox (regression)"
5262 Fixed [Properties/Auto-Tools] Adding space fails when field has auto-complete results
5268 Fixed [Properties/Auto-Tools] Alt Gr button doesn't work properly
5273 Fixed [Properties/Auto-Tools] Dragging & Dropping on a Composer node changes Artist
5274 Fixed [Properties/Auto-Tools] Editing AutoPlaylist while it's loading can throw an 'List index out of bounds' error (regression)
5292 Fixed [Properties/Auto-Tools] Playlist handling in track properties
5298 Fixed [Properties/Auto-Tools] Changing properties of large groups of tracks takes too long
5312 Fixed [Properties/Auto-Tools] Classifications do not get completely removed when they are renamed
5334 Fixed [Properties/Auto-Tools] Freedb info: adding space after server name causes MM to throw Socket Error # 11004
5342 Fixed [Properties/Auto-Tools] Tagging some WAV files can trim the length down to almost 0.
5346 Fixed [Properties/Auto-Tools] Genre always selected in properties
5348 Fixed [Properties/Auto-Tools] Auto Tag from Web do not support masks for album art filename
5353 Fixed [Properties/Auto-Tools] Changing track properties can throw an error
5356 Fixed [Properties/Auto-Tools] Song Properties : removing track from playlist in Classification tab will crash (regression)
5384 Fixed [Properties/Auto-Tools] "Build 1227: ""X tracks to be tagged"" thread locks and remains in status bar (regression)"
5406 Tweaked [Properties/Auto-Tools] Disc# field tooltip in track properties is incorrect
5414 Fixed [Properties/Auto-Tools] Replay gain information isn't saved to .wav tracks
5415 Fixed [Properties/Auto-Tools] Common mask component is broken in non-skinned version
5430 Fixed [Properties/Auto-Tools] Mass edit: changed comment of first track isn't updated
5438 Fixed [Properties/Auto-Tools] Add 'Maintain library' -> Rebuild full-text search index
5444 Fixed [Properties/Auto-Tools] Editing Multiple Attributes via Node Properties Dialog doesn't work
5445 Fixed [Properties/Auto-Tools] Composer Comments Dialog has incorrect heading
5448 Fixed [Properties/Auto-Tools] Pasting Art into Player Art Window doesn't update the window
5450 Tweaked [Properties/Auto-Tools] Album/Artist/Composer node properties dialog missing scrollbar for comments
5453 Fixed [Properties/Auto-Tools] Add support for Amazon UK and DE MP3 downloads
5454 Fixed [Properties/Auto-Tools] Read non-standard TYER frames from ID3v2 tags
5471 Fixed [Properties/Auto-Tools] Undo Editing in the Tracklist fails (regression)
5493 Fixed [Properties/Auto-Tools] Next/Prev buttons malfunction in properties sometimes. (Regression)
5495 Fixed [Properties/Auto-Tools] FilenameMappings Strips trailing Spaces
5535 Fixed [Properties/Auto-Tools] Album art deletion fails on some tracks (regression)
5543 Fixed [Properties/Auto-Tools] Properties > Album Art dialog fails to update with correct Album Art
5556 Fixed [Properties/Auto-Tools] APE Track# Tagging: does not differentiate between 8 and 08
5588 Fixed [Properties/Auto-Tools] Paste Album Art Triggers 'Invalid pointer error' and Crash
5616 Fixed [Properties/Auto-Tools] Files to Edit > Unorganized tracks often includes tracks that have been organized
5651 Fixed [Properties/Auto-Tools] Unsynchronized Tags node contains a ton of new tracks due to unsynched Date field (regression)
5654 Fixed [Properties/Auto-Tools] Tagging Album Art can trigger a freeze
5657 Fixed [Properties/Auto-Tools] Background auto-organize: relative paths fail
5696 Fixed [Properties/Auto-Tools] Reading corupted/mixed multiple MP3 tag types can Block MM
5736 Tweaked [Properties/Auto-Tools] Unskinned mode: Add Auto-organize rule triggers an error beep
5740 Fixed [Properties/Auto-Tools] Properties dialog: drop down display multiple identical album instances
5746 Fixed [Properties/Auto-Tools] My Computer node: tagging fails for some files
5061 Fixed [Reports/Scripts] Statistics report: Top x Albums localization problem
5121 Fixed [Reports/Scripts] Custom Toolbars doesn't persist
5125 Fixed [Reports/Scripts] AutoDJ scripts can throw an error on closing MM
5261 Fixed [Reports/Scripts] Scripting: Font properties doesn't work
5381 Fixed [Reports/Scripts] Uninstalling a script that doesn't exist leads to AV
5396 Fixed [Reports/Scripts] Search scripts can't save track info to Custom 4 or Custom 5 fields
5489 Fixed [Reports/Scripts] 'Create Reports -> Statistics': Artists stats are incorrect
5525 Fixed [Reports/Scripts] Stats report shows unused genres
5728 Tweaked [Reports/Scripts] Export to .m3u file: file is saved with .m3u extension if user chooses otherwise
5763 Fixed [Reports/Scripts] SDB.MainTracksWindow.Refresh doesn't working properly (regression)
3960 Fixed [Scripts/Extensions] Extensions: Installing new exensions doesn't refresh the extensions list
4446 Fixed [Scripts/Extensions] Scripting: Changing SDBAlbumArtItem::ItemStorage from 1 to 0 should convert linked image into an embedded
4448 Fixed [Scripts/Extensions] Some standard tree nodes don't pay attention to visibility
4639 Fixed [Scripts/Extensions] Stats script: Improve file size reporting
4766 Fixed [Scripts/Extensions] SDBUIMaskEdit.OnChange event doesn't work
4773 Fixed [Scripts/Extensions] Menu_Pop_NP_MainWindow subnodes isn't suported by scripting
4866 Tweaked [Scripts/Extensions] Extension install / unistall issues (.ini file handling)
4869 Fixed [Scripts/Extensions] Extensions.ini - values including '=' are not written correctly
4899 Fixed [Scripts/Extensions] Extensions tweak: If another Install.vbs is in the same folder as MMIP then there could be a conflict
4911 Fixed [Scripts/Extensions] Paths in COM interface
4916 Fixed [Scripts/Extensions] Extensions: 'Update Available' should be shown when NewVersionDescription is missing
4940 Fixed [Scripts/Extensions] SDBUIEdit.Common PaswordChar property Feature
4967 Fixed [Scripts/Extensions] Version String is not Correct (regression)
4968 Fixed [Scripts/Extensions] Regression: <Object>.Common.ControlName Overides <Object>.Caption
4971 Fixed [Scripts/Extensions] SDBIniFile.StringValue is not Unicode Capable (regression)
4972 Fixed [Scripts/Extensions] 'Options' button on Extensions dialog doesn't work in some cases
5011 Fixed [Scripts/Extensions] Regression: MoreFrom Pop Menus doesn't work
5072 Fixed [Scripts/Extensions] Pre-test for Admin (warning for add-ons installation)
5093 Fixed [Scripts/Extensions] Some scripts leave memory leaks
5106 Fixed [Scripts/Extensions] Add some new scripting methods/interfaces.
5200 Fixed [Scripts/Extensions] SDB.TracksWindow.FinishAdding will clear selection
5201 Fixed [Scripts/Extensions] INI not updated until mm closed
5212 Fixed [Scripts/Extensions] ActiveX control does not release focus properly
5220 Fixed [Scripts/Extensions] Node.Caption Fails to update immediately
5252 Fixed [Scripts/Extensions] Executing mmip files sometimes opens an additional MM
5258 Fixed [Scripts/Extensions] New SDB.UI.Common properties don't work
5270 Fixed [Scripts/Extensions] Critical error while using AutoTag script
5344 Fixed [Scripts/Extensions] Lyrics Sometimes gets Truncated (regression)
5375 Tweaked [Scripts/Extensions] Prepare MM for Addons Website
5466 Fixed [Scripts/Extensions] Lyrics/Comment saved by script don't persist
5482 Fixed [Scripts/Extensions] Last.FM Configuration Dialog Button text is wrong.
5534 Fixed [Scripts/Extensions] Installation of extensions fails in some cases even if MM is running as Admin
5761 Fixed [Scripts/Extensions] SongData.AlbumArt.UpdateDB should not modify files
2464 Added [Synchronization] Support external memory cards on MTP devices
4138 Fixed [Synchronization] Sync to USB MS Device: Podcasts and Audiobooks don't sync well
4204 Fixed [Synchronization] UI Font Color in Device Configuration Wrong
4513 Tweaked [Synchronization] Auto-deletion status text is slightly inaccurate
4557 Added [Synchronization] Podcast synchronization: ability to sync older podcasts
4608 Fixed [Synchronization] Auto-Sync list 'All Music' node sometimes shows incorrect state
4643 Tweaked [Synchronization] Labeling for Device Configuration is inconsistent
4756 Fixed [Synchronization] Sync gapless playback info to iPod for M4A (prevent art corruption)
4820 Fixed [Synchronization] Warn iPod Users about 'Level volume when synchronizing'
4822 Fixed [Synchronization] iPod Synch: Don't delete Smart Playlists by default
4832 Fixed [Synchronization] Start of playback of tracks from iPod can take several seconds in MM.
4833 Added [Synchronization] Auto-Sync list: Add ability to tick all Playlists at once
4855 Fixed [Synchronization] Playlists synced to iPod Shuffle play out of order
4895 Fixed [Synchronization] Auto-sync list: Playlist node should have a means of selecting/deselecting all playlists
4896 Fixed [Synchronization] Auto-sync list: Music CDs appear in the Audiobooks tab
4901 Fixed [Synchronization] Copy iPhone / iPod Touch: using auto-organize doesn't work
4908 Fixed [Synchronization] Tracks synched during the very first session with MM aren't synced properly
4923 Fixed [Synchronization] Synchronization to iPhone to full capacity fails
4999 Fixed [Synchronization] Synced Album playlists are out of order
5046 Fixed [Synchronization] Syncronize Tags in unavailable (regression)
5164 Fixed [Synchronization] Sync list: Tree selection doesn't work correctly (regression)
5175 Fixed [Synchronization] Sync list: some nodes don't appear (regression)
5205 Fixed [Synchronization] Sync-list: Switching between filters is slow (regression)
5219 Fixed [Synchronization] Podcasts can be synced to a device although they have not been selected
5293 Fixed [Synchronization] Rating synchronized from some WMDM devices is incorrect
5301 Fixed [Synchronization] iTunes removes album art from tracks synchronized to iPod/iPhone by MM
5387 Fixed [Synchronization] Sync tree selection bug (regression)
5407 Fixed [Synchronization] WMDM synchronization: Sync M4A files to Archos devices doesn't work correctly
5409 Fixed [Synchronization] Syncing ALAC (Apple lossless) to an iPod/iPhone is broken (regression)
5443 Tweaked [Synchronization] Device configuration tab: entry isn't greyed out when it should be
5488 Fixed [Synchronization] Add support for iPod Shuffle 3rd gen (with speech)
5499 Fixed [Synchronization] Deleting playlists or adding a playlist causes deselection of 'Playlists' in auto-sync configuration
5539 Fixed [Synchronization] Autosync list: All Music and All Audiobooks tooltips are inaccurate
5568 Tweaked [Synchronization] Device Config > Autosync List > Playlists : Graphical artifact when collapsing tree
5600 Fixed [Synchronization] Non-skinned version: Possible crash when trying to Configure device
5608 Fixed [Synchronization] Sync Device Selector Sometimes changes devices by itself
5646 Tweaked [Synchronization] Size of Device Config dialog doesn't persist
5649 Fixed [Synchronization] Non-skinned version: Autosync list: Playlist tab is empty if 'Show Checked' is enabled on Music tab
5670 Tweaked [Synchronization] "After deleting devices, DB isn't fully cleared"
5674 Fixed [Synchronization] iPod Synch lists get mixed up with iPod Profiles
5692 Tweaked [Synchronization] Auto-sync list: Changes in Music tab affect Playlist tab
5724 Fixed [Synchronization] iPod Shuffle 3G no longer works (regression)
5725 Fixed [Synchronization] MediaMonkey crashes with iPhone connected after iTunes 8.2 update
5777 Fixed [Synchronzation] Device Profile: Device Configuration: Copy Playlists: '[ ] Organized Playlist using' can be empty


------------------------------------------------------------------

MediaMonkey 3.0.7.1191

5209 Update hash calculation for iPhone / iPod Touch sync 

------------------------------------------------------------------

MediaMonkey 3.0.6.1190

4901 Fixed inability to copy music on iPhone / iPod Touch

------------------------------------------------------------------

MediaMonkey 3.0.6.1189 RC1

4886 Fixed missing artwork on iPod Touch 2.0 
4878 Fixed playlists don't disappear immediately from iPods/iPhone after deletion

------------------------------------------------------------------

MediaMonkey 3.0.6.1188 Beta

4782 Added compatibility with iPhone/iPod Touch with 2.x firmware
4829 Fixed Amazon links for non-English builds

------------------------------------------------------------------

MediaMonkey 3.0.5.1186

4848 Added compatibility with iPod 4G

------------------------------------------------------------------

MediaMonkey 3.0.4.1185

4821 Fixed sync to iPhone/iPod Touch with 2.x firmware should be disabled
     to prevent corruption to device db

------------------------------------------------------------------

MediaMonkey 3.0.3.1183

4751 Fixed scanning of m4a tracks is very slow when done over a network
4737 Fixed Disc burning wizard paths don't account for auto-conversion filetypes
4740 Fixed <Track#> masks from MM 3.0.3.1179 and prior should convert to <Track#:2>
4743 Fixed Mass Edit dialog: Ratings appear 'unknown' if tracks have the same rating
4741 Fixed Remove function for iPod is sometimes missing (regression)
4733 Fixed 'Integer overflow' error in some cases when browsing tracklist
4728 Fixed Burn Data CD: "Auto-convert" w/ "Copy album art to track tags" fails
4747 Fixed Burn with auto-conversion fails completely if DRMed track is present
4748 Fixed Burn Data CD: Status bar shows random text e.g. 'Burning U2 - MLK.mp3A0D1'
4739 Fixed changing Album name of multiple-Artist Album triggers freeze (regression)
4729 Fixed mask history dropdown lists: can't select the first item (regression)
4746 Fixed Duplicate tracks are added when '\' is entered as File Monitor directory
3798 Fixed cannot add network shares via browse folders dialog
4738 Fixed missing icons in browse folders dialog: Entire Network + subnodes

------------------------------------------------------------------

MediaMonkey 3.0.3.1179 Test build

4726 Added ini file versioning
4727 Fixed Now Playing is undocked at startup
4539 Fixed AA + Details view: Clicking selected tracks causes selection to be lost
4540 Fixed Playlist node doesn't refresh on delete if search filter active
4130 Fixed iPod/iPhone sync: lyrics don't appear in one more case
4723 Fixed Generic USB Sync: FLAC tracks' Album Art isn't written to tag
4721 Fixed Auto-tag from Filename Disc# and Track# Directory masks truncate
4719 Fixed My Compuer has 'Properties' in context menu for some subnodes
4722 Fixed Unskinned mode: Custom Tracklist background isn't applied to NP node
4718 Fixed shortcuts don't work on Now Playing in some cases (regression)
4667 Fixed Help file misc mask-related corrections
4725 Fixed Send to > Folder (Rip) icon

------------------------------------------------------------------

MediaMonkey 3.0.3.1178 Test build

4711 Fixed In-place Edits of Artist field don't update correctly for case changes
4699 Fixed Tracks with Title beginning in ' don't display in Title node
4709 Fixed iPhone sync fails when 'Sync all Ablum Art to track folders...' is enabled
4130 Fixed iPod/iPhone sync: lyrics can be lost
4702 Fixed tagging currently playing track can trigger a freeze
4708 Fixed OGG tagging prepends a space before each artist if multiple artists exist
4704 Fixed Date field should show yyyy if system is configured for yy date format
4705 Fixed My Computer > All nodes don't have context menu options
4714 Fixed Get Info/Buy context option often doesn't work in the tree nodes
4707 Fixed Search/Filter for Comments contain xxx returns tracks with Null values
4693 Fixed Context-menu can trigger visual artifacts in some cases
4690 Fixed <Track#:2> mask should not truncate >2 digits
4700 Fixed Playlists in Album Art view are grouped incorrectly (regression)
4716 Fixed Edit Auto-playlist called "Accessible Tracks" brings up blank auto-playlist
4712 Fixed incorrect casing for some filetypes
4703 Fixed incorrect context help link
4667 Fixed Help file typo in Introduction
4715 Added skinning options for days/hours in time masks

------------------------------------------------------------------

MediaMonkey 3.0.3.1175 RC-8

4692 Fixed Deleting artist from the tree yields incorrect focus
4692 Fixed Deleting artist from main tree can trigger an error
4691 Fixed Filter config that changes view but doesn't filter is slow 
4690 Fixed <Track#> and <Disc#> masks don't display the exact Tag contents
4694 Fixed Skinless mode: changes to Set Destination Wizard aren't accepted
4689 Fixed Undocked/Docked settings don't save correctly in some cases
4668 Fixed help inaccuracies re. masks & misc cleanup
4698 Fixed misc button sizing and icons

------------------------------------------------------------------

MediaMonkey 3.0.3.1173 RC-7

4658 Added classical music fields to Advanced Playlist sort order options
4666 Fixed New generation iPods occasionally get mixed up Album Art
4664 Fixed skinless mode-Auto-tag from filename: properties don't update in some cases
4669 Fixed leveling coeffcients aren't shown in properties dialog in some cases
4596 Fixed Send to... still sends wrong tracks from undocked Now Playing in some cases
4683 Fixed Sync config: '\\' at begining of destination path triggers an error
4687 Fixed Clicking 'close' button in undocked Now Playing can trigger freeze
4685 Fixed Auto-tag from Filename includes non-functional <Playlist> mask
4684 Fixed 'Get Info/Buy' > 'Library' doesn't function in regular context menu
4677 Fixed Get info/Buy links only work for Amazon in the Now Playing Window
4680 Fixed Undocked Now Playing Window always remains in foreground
4660 Fixed Podcast subscription cannot be edited / causes duplicates (regression)
4674 Fixed Album Art View: right-click on empty space can trigger error (regression)
4676 Fixed Album Art View: QuickSearch doesn't work when playlist selected (regression)
4678 Fixed Properties dialog: leveling string isn't localized
4667 Fixed Help file 'About Properties / Tags' inaccuracies
4670 Fixed Link to non-existent Help file

------------------------------------------------------------------

MediaMonkey 3.0.3.1170 RC-6

4649 Added switch for WAV tagging to use UTF-8 or ASCII
4659 Fixed Volume Leveling fails for very long tracks
4651 Fixed Playback behavior isn't consistent between Now Playing & other nodes
4654 Fixed incorrect search results in some cases for Track# and Disc#
4615 Fixed some operations can be very slow (regression re #4642)
4644 Fixed Auto-tag from Filename: Grouping mask doesn't work
4641 Fixed Tracklist shifts from the correct position on scrollbar release
4640 Fixed Bounce/Scroll config doesn't work for custom skin labels
4606 Fixed Album Art View: Grouping isn't disabled for random sorts
4606 Fixed Album Art + Details View: Playlists/AutoPlaylists display out of order
4648 Fixed Auto-tag from Web / Auto-DJ errors if custom script no longer available
4650 Fixed Click on Length field of selected track shows '1 tracks to be tagged'
4596 Fixed Send to... sends wrong tracks from undocked Now Playing
4653 Fixed File Monitor doesn't detect folder moves (regression)
4647 Fixed Now Playing window pops up when starting MM in some cases (regression)

------------------------------------------------------------------

MediaMonkey 3.0.3.1166 RC-5

4604 Added support for Ratings to the Track Browser
4598 Fixed iPhone not recognized when logged in as Limited account user
4635 Fixed changes detected by File Monitor aren't commited to the database
4633 Fixed Sync: Delete Device --> device checkboxes get misaligned
4402 Fixed Album Art View: Quicksearch doesn't search based on sort order
4610 Fixed Skinless Mode: Play/Pause indicator doesn't reflect player state
4612 Fixed Error when deleting folder from DB and HD in My Locations
4638 Fixed searches using ' character don't work correctly
4605 Fixed <Del> doesn't edit tracklist properties in-place (regression)
4607 Fixed Now Playing doesn't 'Dock to window' correctly (regression)
4606 Fixed Album Art view: Custom sorted autoplaylists don't display correctly
4636 Fixed no link in context menu to change 'shortcut' options

------------------------------------------------------------------

MediaMonkey 3.0.3.1164 RC-4

4599 Added sort by Album Artist for Auto-playlists
4592 Fixed Burning audio CDs can hang on some VBR MP3 files
4594 Fixed Statistics Report generates overflow error on a newly scanned database
4596 Fixed Send to sends incorrect tracks when used in undocked Now Playing window
4595 Fixed FLAC tracks with incorrectly formatted replay gain info aren't scanned
4600 Fixed Subscribing to Podcast can trigger SQL error (regression)
4602 Fixed Remove playing track in Now Playing view triggers track deletion dialog
4593 Fixed Right-Click context menu is missing Shortcut descriptor for 'Remove'
4590 Optimized Podcast download process: save direct to podcast folder
3024 Updated to Eurekalog 6.0.13

------------------------------------------------------------------

MediaMonkey 3.0.3.1162 RC-3

4588 Fixed Podcast workflow for importing external podcasts isn't intuitive
4590 Fixed Podcast download memory utilization is too high 
4576 Fixed Podcasts can have square artifacts in Artist tags
4579 Fixed Find More from Same is inconsistent between Now Playing and other nodes
4584 Fixed Lyrics of currently playing track can appear truncated
4586 Fixed Send to Playlist is slow for 100s of tracks
4585 Fixed Unorganized node shows tracks even if they are organized (regression)
4580 Fixed iPhone Sync: Tracks with uppercase extensions don't play
4587 Fixed iPod/iPhone sync: Playlists containing '*' are synced needlessly

------------------------------------------------------------------

MediaMonkey 3.0.3.1159 RC-2

4517 Fixed Folder rename operations are very slow on large databases
4560 Fixed Switching to Now Playing node and restarting can trigger an error
4558 Fixed Auto-tag from web bottom window can be enlarged too much
4573 Fixed Player can freeze in some specific tagging/Next operations
4562 Fixed ratings calculations in Statistics report are slightly off
4559 Fixed Tracklist shortcuts should be combined with Get Info/Buy function
4551 Fixed right-click on shortcut icon should give options for other links
4565 Fixed shortcuts appear for all tracks in Now Playing window in AA View
4552 Fixed 'Show Shortcuts' Japanese text is messed up
4554 Fixed Links to Amazon.jp based on Japanese strings don't work
4548 Fixed some Podcast feeds are very slow to update
4567 Fixed bloggingheads.tv feed doesn't download episodes correctly
4546 Fixed tracks cannot be deleted from 'Podcast Subscriptions' node
4549 Fixed Podcasts from another podcatcher aren't imported in some cases
4553 Fixed Podcasts shouldn't be saved to the Temporary internet files cache
4547 Fixed Podcasts > Edit Subscription text dropdown too narrow for large fonts
4571 Fixed Podcasts delete differently from root vs individual podcast nodes
4561 Fixed Album Art View with Details info is obscured with large fonts
4570 Fixed Searching with a quote triggers an SQL error for some fields
4503 Fixed Search bar ignores leading/trailing space
4556 Fixed 'My Rating' doesn't show current rating in Glided skin
4566 Fixed Trailing spaces are ignored on Field Search/Autoplaylists (regression)
4550 Fixed AutoPlaylist/Search FilePath doesn't search for disk label (regression)
4545 Fixed Sync > Set Destination Wizard can't set Main Directory (regression)
4574 Fixed Sync: Remove images from tags if larger than... can't be set to 0
4543 Fixed 'Random album' sort order doesn't refresh (regression)

------------------------------------------------------------------

MediaMonkey 3.0.3.1155 RC-1

4517 Fixed Folder move/remove operations are very slow on large databases
4516 Fixed Operations on tracks stored by UNC names can be very slow
4499 Fixed Tracks with date tags of the form mm/yyyy appear in 'unsynchronized tags'
4496 Fixed In-Player Art for now playing track flickers when tracks are monitored
4505 Fixed Shift-Delete doesn't delete currently playing track in Now Playing
4543 Fixed Random Album sort order doesn't work correctly
4525 Fixed Artwork isn't properly linked for .aac tracks
4530 Fixed incorrect tagging of multiple-value fields in Id3v2.3
4527 Fixed Search for ';' produces an error (regression)
4498 Fixed iPhone/Touch sync: some tracks with special characters don't play
4515 Fixed iPhone/Touch sync: Videos deleted on iPod can reappear on sync
4507 Fixed iPhone/iPod sync: Ratings & Play history may not sync back to the PC
1878 Fixed iPhone/iPod sync: Virtual CD tracks don't sync (regression)
4502 Fixed sync options: switching tabs can trigger error when editing masks (regression)
4394 Fixed Podcasts should download in parallel (3x) rather than sequentially
4484 Fixed Podcasts 'Add Directory' ui is too ambiguous
4494 Fixed Podcasts subscription removal doesn't auto-delete emptied podcast directories
4519 Fixed Podcasts.yahoo.com is no longer active
4526 Fixed Podcast album art isn't correctly associated / displayed
4475 Fixed Specific corrupted WAV files trigger freeze and can't be tagged
4508 Fixed some podcasts with embedded user/pass in the feed URL appear empty
4512 Fixed Properties dialog: attributes not selectable after 'update & next'
4501 Fixed Tree Context menus are incorrect for some (esp. root) nodes
4500 Fixed '[x] Level Playback volume:' checkbox is cut off when switching languages
4532 Fixed Now Playing: Tracklist rating field sometimes opens a combo box
4521 Fixed skinless mode: Properties > Basic tab: buttons don't display correctly
4523 Fixed skinless mode: Set Destination Wizard sample fails to update
4535 Fixed skinless mode: Set Destination Wizard mask buttons don't close mask selector
4537 Fixed skinless mode: mask selector doesn't place masks at cursor position
4406 Fixed mask selector is missing <skip>
4533 Fixed Statistics report Top 10 Albums criteria is confusing
4524 Fixed AAC encoder trial generates dummy .m4a files upon expiration
4470 Added Script handling of view modes and Track Browser
4486 Added links to Amazon or related content in Tracklist
1845 Improved accessibility of Amazon purchases

------------------------------------------------------------------

MediaMonkey 3.0.3.1148 Beta 3

4491 Fixed Ignore Prefix doesn't work for Genre subnodes
4490 Fixed Album Art View is unstable with some 3rd party scripts
4495 Fixed some MP3 tracks report incorrect track length
4487 Fixed AAC tracks (*.m4a etc.) can't play after updating to B2 + new Quicktime
4420 Fixed Data DVD Burning: Verification is slow in some cases + cannot be terminated
4429 Fixed Audio CD burning: Total time is still wrong in some cases
4489 Fixed Closing from tray icon doesn't save docked Now Playing window state (regression)
4488 Fixed Selected track's Album Art flickers during scan (regression)
4493 Fixed Podcast node should be populated
4484 Improved terminology/icons in Podcast > Add Directory function

------------------------------------------------------------------

MediaMonkey 3.0.3.1147 Beta 2

4416 Added Drag & Drop of Album Art to Album Art View
4438 Improved performance for numerous queries
4413 Fixed Date field resets to 0 in some cases where only Month and Year are used
4458 Fixed 'Track#' and 'Disc#' input in the format x/y fails
4408 Fixed Album Art isn't added when tracks in a folder are from > 1 album
4455 Fixed Album Art isn't correctly added to Virtual CD tracks
4456 Fixed Album Art file cannot be replaced if original is a hidden or system 'folder.jpg'
4436 Fixed Positive replay gain values aren't read from tracks when prefixed by '+'
4440 Fixed Mask entries are added to the start of the mask instead of the end (regression)
4450 Fixed Mask entries lack <Date> field
4406 Fixed numerous usability issues with the new masks configuration UI
4451 Fixed Auto-organize doesn't work well for tracks where masked property ends in a space
4415 Added new masks:
  -- $RemovePrefix(string) - Removes starting 'The', i.e. 'The Beatles' -> 'Beatles'
  -- $MovePrefix(string) - Moves starting 'The' to the end of string, 
     i.e. 'The Beatles' -> 'Beatles, The'
  -- $Group(string,integer) - Groups the first letter of the first parameter to groups of 
     letters given by the second (optional) paremeter. Works just like <Artist@1>.
  -- $Replace(string,what,by) - Replaces all occurences of 'what' by 'by' in 'string'.
  -- $If(<Year><1990,...) - $If() function now accepts also <,<=,>,>= and <> operators. 
     e.g. $If(<Year><1990,80's,$If(<Year><2000,90's,2000's)) returns 80's for year 1984.
  -- $Assign(variable,value) and $Use(variable) - Variables that can be used several times 
     in mask, e.g. '$Assign(V,A)$Use(V)$Use(V)' produces string 'AA'.
  -- $First(string,count,start from) - There was added parameter 'start from' (optional), which
     specifies to skip a number of items in multi-value string. E.g. $First(a;b;c,1,1) returns 'b'.
  -- $Len(string) - returning the length of string, useful for $If() function.
4479 Fixed Masks Set Destination Wizard behaves incorrectly in some cases
4461 Fixed Drag & Drop to Tree cause tree to auto-expand, yielding unintended results
4411 Fixed Tree isn't customized as expected if "Show 'All' node..." is enabled
4421 Fixed 'Custom' fields names aren't updated in search criteria dialog until restart
4427 Fixed 'Track#' is sorted incorrectly when in the format 'x/y'
4144 Fixed Track Browser doesn't populate script-created nodes
4467 Fixed Back/Forward buttons don't always work for searches in search bar
4468 Added Missing menu item: View Track Browser
4447 Fixed Comments and Lyrics are included in quicksearch of all text fields
4462 Fixed 'Original Date' field is missing in Auto-Playlist/Search criteria
4463 Fixed Tree nodes can become inaccessible in some cases--scrollbar behaves incorrectly
4458 Fixed Search for 'Track #' and 'Disc #' fails in some cases
4457 Fixed Search for advanced Date formats fails e.g. 'Date' >= '1.3.2005'
4441 Fixed iPod Sync with Rockbox firmware: registry entry doesn't allow .m3u playlists
4473 Fixed iPod sync destroys Album Art for Video clips
4426 Fixed iPod Sync copies Album Art per track instead of per Album
4472 Fixed iPhone reports no tracks for synchronization if old iPod is also connected
4480 Fixed MTP Sync fails for M4A tracks on some devices that support m4a
4188 Fixed Auto-sync list: Location node is still slow for some libraries 
4279 Fixed Auto-sync syncs some tracks unnecessarily (regression)
4430 Fixed opening the device profile dialog can take several seconds with some libraries
4429 Fixed Audio CD burning - total time can be wrong in some cases
4434 Fixed Data CD Burning mask doesn't trigger changes on manually edited tracks
4425 Fixed Burning audio CD fails when "Test and Burn" is enabled (regression)
4219 Fixed Label of Burnt CD with CD Text doesn't show Album Name
4452 Fixed Data CD Burning mask displayed incorrectly in Set Destination Wizard
4412 Fixed CD Ripping needs an 'Ignore All' option to avoid repetitive warnings
4310 Fixed scanning is slow and flickers in Album Art View
4439 Fixed Add/Rescan Folders dialog can freeze
4417 Fixed expanding Artist nodes is very slow if filter is active (regression)
4449 Fixed node expansion is slow on large DBs with Filters active
4432 Fixed Podcast fails to download (Times Online UK)
4437 Fixed Podcast-updates takes longer with 3.0.3.1140 (regression)
4422 Fixed Podcast episodes can be downloaded in duplicate for some podcasts
3086 Fixed Podcasts previously imported are orphaned. These can now be merged by:
  -- Right clicking greyed out subscription and adding subscription details
  -- Rescanning episodes to automatically associate them with an existing subscription
4481 Fixed Podcast episode titles aren't downloaded for some podcasts
3252 Added ability to import local OPML directory
4301 Fixed Crossfading sometimes triggers repetition of a segment near the track's end
4453 Fixed artifacts in some shoutcast streams (Regression to in_wmp3.dll)
4466 Fixed Playback of inaccessible tracks causes audio artifacts in subsequent tracks
4464 Fixed some tracks don't play gaplessly
4474 Fixed seeking during last 12s of WMA track can cause playing track to end
4232 Fixed Album Art Popups: 'System Error. Code 1400. Invalid Window Handle'
4424 Fixed FLAC playback and conversion fails on some processors without SSE2 support
4428 Fixed Now Playing: 'Clean (remove inaccessible)' can leaves empty rows in Now Playing
4443 Fixed Now Playing: Last played track's playcount is set to zero after MM restart
4444 Fixed Now Playing: can be ordered incorrectly in Album Art View (regression)
4483 Main tree: Now Playing: Double-click a song doesn't start playing the song (regression)
1797 Fixed empty winamp.ini is required to install some plugins
4431 Fixed Statistics Report is horribly slow on some DBs 
4460 Fixed artifacts on Close button on ToolWindows (Cover Window, Now Playing Window etc.)
4469 Fixed graphical artifacts on the left side of Search Criteria dialog
4433 Fixed Keystrokes on TSDBUISpinEdit object don't throw an OnChange event
1865 Added basic access to the Amazon MP3 music store (Store node / Buy context links)

------------------------------------------------------------------

MediaMonkey 3.0.3.1140 Beta 1

4384 Fixed sync to iPhone/Touch: some tracks don't play
2756 Fixed sync to iPhone/Touch: tracks may not upload correctly to empty device
4398 Fixed sync to iPhone/iPod: incorrect order for Artists with ignored prefixes
4392 Fixed auto-sync: some tracks always sync unnecessarily
1878 Fixed sync doesn't work for tracks stored to the Virtual CD
4396 Fixed sync node via D&D to the device button: only the first track is synced
4388 Fixed links to Album Art shouldn't be saved in AAC tags
4387 Fixed crash on tagging some MP4 files
4400 Fixed changing case in Artist name fails to update the DB (regression)
4391 Fixed Hotkeys: Ctrl+Alt+Del breaks global hotkeys functionality for domain users
4385 Fixed Album Art Views don't work for the My Computer node (regression)
4386 Fixed "#Tracks by Artist" filter is very slow
4389 Fixed Burn ad Device Sync masks only show the right edge of the mask (regression)
4399 Fixed installing a script can cause multiple entries to appear in the Options panel
4071 Fixed DB operations should use more robust SQLite setting by default
4380 Fixed 'search' text descriptions are consistent
4405 Fixed Extensions Descriptions are truncated

------------------------------------------------------------------

MediaMonkey 3.0.3.1137 Alpha 1

2756 Added sync support for iPhone / iPod Touch
4353 Added hidden config entry to use alternate connection (TIE) for auto-tag from web
4369 Fixed Global hotkeys stop working after locking & unlocking
4378 Fixed Hotkeys: General: Focus search box doesn't work if search bar is floating
4359 Fixed Hotkey options confirmation dialog has incorrect message
4379 Fixed Album Art + Details View: Get Info/Buy doesn't work
4374 Fixed No way to sort podcasts within a day--Podcast download queue should be reversed
4371 Fixed "Table of Contents CD-ROM Z: not read successfully." is shown unnecessarily
4373 Fixed D&D image into Album Art Window doesn't work in new view
4375 Fixed D&D image to Player doesn't work
4376 Fixed unskinned mode: checkboxes and player background don't use Windows Theme
4365 Fixed Auto-playlists: Integer Property shouldn't accept text (yields sql error)
4368 Fixed "Invalid data type for DisplayName" error can occur at start up
4356 Fixed changing properties of now playing track doesn't update the player
4355 Fixed Player can be seen twice in some cases e.g. using CDArtDisplay-Plugin
4354 Fixed '+' appears beside folders sometimes even when no subfolders exist
4347 Fixed Album Art in popup can have incorrect aspect ratio
4360 Fixed Now Playing: 'Find more from same' is missing Composer, Playlist items
4357 Fixed Search bar text fails to update with mode after text box is exited
4362 Fixed new mask via ">>" button is added at the beginning instead of at the end
4348 Fixed changing to tree node with numbered tracks shows "0." (regression)
4358 Fixed Burn wizard: "Duplicate filename exists..." label is cut off (regression)
4351 Fixed error when changing column in track browser and tracklist is empty (regression)
4349 Fixed Artist can be inferred incorrectly in format <Artist>-<Title>.mp3 (regression)
4275 Fixed track number can be inferred as Artist in format <Track#>-<Title>
4350 Fixed Files to Edit>Multiple Artist Albums: albums are split when casing differs
4352 Fixed Page up in Album Art View sometimes doesn't work correctly
4364 Fixed Tagging of mp3s on NAS devices can take too long 
4377 Fixed Playlist -> Remove duplicates -> dialog isn't scrollable
4361 Fixed if filter rules are absent SDB.Database.ActiveFilterQuery yields incorrect query
4363 Fixed SDB.Tools.FileSystem.CreateTextFile does not work if the file doesn't exist
4366 Added script functions to return active filter ID & query results for filter ID

------------------------------------------------------------------

MediaMonkey 3.0.2.1134

4343 Added means to disable Album Art cache via .ini file
4346 Fixed unicode characters aren't properly saved to the .ini file
4341 Fixed Album Art cache should use MediaMonkey temp directory
4315 Fixed data import from Winamp DB fails due to unicode format
4340 Fixed burning fails for some USB burners
4185 Fixed cannot download podcast with incorrectly formed PuDate tag
4342 Fixed Total # of Tracks/Discs is lost for WMA tags

------------------------------------------------------------------

MediaMonkey 3.0.2.1133 RC-2

4333 Fixed Options | Hotkeys | 'Global' column header click fails to sort correctly
4334 Fixed Options | Hotkeys | [Apply] can move the current item off the bottom of the view
4335 Fixed Property 'Rating >=' and 'Rating <=' not working properly for some users
4293 Fixed Auto-DJ scripts add tracks in shuffled order (again) and optimized
4336 Fixed clicking on empty space in Album Art View causes an error (regression)
4338 Fixed Italian context files are missing
4337 Improved MM2 to MM3 upgrades for machines with DB in non-standard locations

------------------------------------------------------------------

MediaMonkey 3.0.2.1132 RC-1

4269 Added hotkey support for switching filters
4323 Fixed error can occur for corrupted Album Art with zero width or height
4311 Fixed search Artist & Album Artist doesn't search Album Artist
4320 Fixed auto-tag from Web doesn't convert special HTML characters
4319 Fixed Album Artist field is populated with Artist field on rescan even if blanked
4321 Fixed some ID3v2 genre tags are read twice (regression)
4322 Fixed album art can be displayed as a thin line in Album art view (regression)
4324 Fixed Album Art may not show up in Album Art view for Albums with many Artists (regression)
4309 Fixed Custom fields 4 and 5 can't be sorted in Tracklist (regression)
4308 Fixed period in Album or Artist name aren't shown in Album Art view
4328 Fixed import ratings from iTunes fails if tracks in iTunes DB are stored in UNC format
4315 Fixed import ratings from Winamp fails when DB isn't in expected location
4327 Fixed extension icon sometimes isn't be visible (regression)
4325 Fixed Vista navigation bar sometimes incorrectly bolded in skinless mode
4330 Fixed Pop-up transparency settings are ignored on mouseover
4313 Fixed spectrograph flickers on pause
4312 Fixed Browse Folder dialog tree isn't in focus & incremental search doesn't work
4326 Optimized query performance
4331 Updated Japanese translation

------------------------------------------------------------------

MediaMonkey 3.0.2.1131 Beta 2

4298 Added new mask functions $Left(s,n), $Right(s,n), $Mid(s,i,n), $Trim(s), $Upper(s), $Lower(s)
4264 Added Japanese installer and language files
4272 Fixed CDDB and Auto-tag from Web lookup don't work correctly for Japanese
4290 Fixed Unicode characters in Custom fields cause the field to not be stored in ID3 tags
4289 Fixed ID3 TDAT year is parsed and stored incorrectly
4270 Fixed tag operations can fail if connection to track is slow/unreliable
4285 Fixed Disc burns fail if a track in the burn list is inaccessible
4219 Fixed Burnt CDs with CD text don't show Album Name as the CD Label
1666 Fixed Auto-organize doesn't move linked images labelled as system files
4271 Fixed Auto-tag from filename Track# mask fails when track# contains non-numeric info
4302 Fixed Rip/Convert/Auto-organize to Desktop shows fields as gibberish
4292 Fixed Album art addition settings don't properly persist
4278 Fixed Auto-tag from web only saves to tag if set to also save to folder w/o confirmation
4278 Fixed Adding Art file only links file if set to tag and save to folder w/o confirmation
4263 Fixed Changing Artist to existing one in the Tree will cause duplicate entries in the Tree
4277 Fixed Track time is displayed incorrectly for merged mp3 tracks with faulty header
4300 Fixed Player shows remaining track time incorrectly near end of track
4301 Fixed Player can stutter/repeat a segment of the track if crossfading is enabled
4299 Fixed Podcasts don't display correctly if not formatted to spec (e.g by Dennis Prager)
4282 Fixed Podcasts don't download in cases where date information isn't formatted to spec
4274 Fixed .ashx Podcasts can't be downloaded
4297 Fixed Auto-sync: some tracks are synced needlessly back to PC
4286 Fixed Auto-sync: child playlists get selected when parent is selected in Auto-sync list
4267 Fixed Advanced searches on Volume Leveling are incorrect
2717 Fixed Double-clicking a property in Now Playing can cause it to become editable
4276 Fixed Year/Date terminology inconsistencies in the search dialog
4266 Fixed Filter names can change language when language is switched
4288 Fixed OnTrackProperties event isn't called on rating or PlayCount/LastTimePlayed change
4293 Fixed Auto-DJ scripts add tracks in shuffled order
4283 Optimized some queries for Auto-organize
4306 Updated German translation

------------------------------------------------------------------

MediaMonkey 3.0.2.1129 Beta 1

4244 Added Norwegian translation
4236 Added Italian translation
4237 Added Japanese translation
4233 Fixed 'Blues' Genre disappears during upgrade
4230 Fixed editing tracks in Album Artist node can cause an error
4238 Fixed application shifts when maximizing at low screen resolutions
4253 Fixed Track browser can cause sort order to be lost
4247 Fixed Track browser doesn't filter correctly (hides a track)
4250 Fixed some mp3 streams don't play (they're ignored as php files)
4243 Fixed renaming Composer nodes causes other equivalently named attributes to be modified
4259 Fixed MP3 CD Burns: live size indicator is sometimes incorrect (regression)
4261 Fixed FLAC tags can be corrupted in some circumstances
4239 Fixed Genres with '(' aren't properly read from ID3 tags
4245 Fixed editing folder node in Location node can add extra "\" to the path
4237 Fixed remaining Japanese Localization Issues
4240 Fixed Auto-tag from Filename: Disc# field can't be used properly
4246 Fixed Auto-Tag from Web Album Art settings don't persist for saving Art to a file
4234 Fixed Auto-DJ: Popup is delayed; Player can be locked; Player embedded art can fail
4241 Fixed Synchronization of Album Art can consume excessive amounts of memory
4252 Fixed Search bar doesn't search Album Artist field
4256 Fixed large fonts don't work well for Album Art/Details view & unfocused/selected node
4255 Fixed some tracks always remain in unyschronized tags node due to hidden characters
4254 Fixed Album Art views: Albums are sometimes split
4235 Fixed Installation package without Install.ini file causes AV
4257 Fixed scripting problem: can't stop playback in some cases (regression)
4260 Fixed scripting problem: OnTrackAdded event is never called (regression)
4262 Fixed INI entries writen by scripts via SDB_OnShutDown are deleted on exit
4249 Optimized Search bar (2x) & added .ini option to 10x by restricting search fields

------------------------------------------------------------------

MediaMonkey 3.0.1.1127

4229 Changing album in main tree can cause an error
4225 Fixed canned AutoPlaylists are missing
4226 Fixed Player cannot be moved (regression)
4228 Fixed Album Art Window appears empty when navigating tracks via Properties Panel 

------------------------------------------------------------------

MediaMonkey 3.0.1.1124 RC-6

4197 Fixed system lag occurs on track transitions (regression)
4216 Fixed drives with Serial Number=0 can trigger duplicates in the db
4209 Fixed searches can return duplicates in some cases
4210 Fixed cannot analyze volume unicode APE files
4217 Fixed Party mode allows web searches
4188 Fixed Auto-sync list: Location node is extremely slow
4182 Fixed Synchronization: Location-based Playlists aren't generated 
4172 Fixed iPod sync: updated album art / volume levels don't trigger resync
4183 Fixed iPod sync: Podcasts are listed as new, even if listened to
4198 Fixed rebuild iPod DB causes untagged album art to be lost from the device
4185 Fixed Cannot download podcast with incorrectly formed PuDate tag
4176 Fixed skinless player has artifacts after minimizing to tray
3941 Fixed Player: Title can jitter on systems TSC timers are off
4208 Fixed Album Art views fail to refresh deleted album art in some cases
4193 Fixed Album Art view: rapid node switching in main tree can throw error (regression)
4206 Fixed Album Art + Details view: Properties dialog arrows don't work correctly
4211 Fixed Album Art views change vertical position when Window size is changed
4213 Fixed Album Art view sometimes has an empty gap
4186 Fixed Drag and Drop to the player doesn't work
4175 Fixed Stats report indicates incorrect number of playlists
4205 Fixed Stats calculation on large library can trigger freeze
4192 Fixed Navigation Bar: '&' symbol is replaced with '_'
4196 Fixed Rip/Convert Dialog too narrow
4177 Fixed Composer subnodes cannot be edited
4189 Fixed Auto-sync list confusion: 'Artist' should be 'Artist & Album Artist'
4199 Fixed possible termination on attempted restore from System Tray
4004 Fixed some file associations are created despite configuration not to
4195 Fixed Rip/Convert dialogs don't allow unicode characters to be edited correctly
4200 Fixed Some Skinless Mode Background configs don't work (regression)
4214 Fixed pressing cancel during the DB upgrade process --> apparent freeze
3965 Improved several default config settings
3780 Updated Czech translation
4207 Updated burn engine to 2.10 (fixes CD-RW burn issues)

------------------------------------------------------------------

MediaMonkey 3.0.1.1120 RC5

4150 Fixed M4A tagging works incorrectly with some empty fields 
4154 Fixed rescan doesn't update Disc# property
4108 Fixed disc# and track# handling for FLAC tracks
4167 Fixed DB conversion: improved handling of unknown fields
4155 Fixed Album Art + Details: context menu doesn't work in some cases
3418 Fixed Multiple Value Fields: unused Genres aren't removed
4161 Fixed Mass-tag Album Art operations in Album Art Views only affect first track
4093 Fixed Ratings UI allows tracks to be modified accidentally
4145 Fixed Date column isn't sorted correctly in some cases
4123 Fixed Properties dialog isn't properly cleaned of unused attributes
4114 Fixed Some properties can be overwritten accidentally
4142 Fixed Album Art view doesn't refresh after Auto-tag from Amazon
4141 Fixed playback of tracks from iPod in MM can cause lost album art
4130 Fixed iPod sync: Lyrics sometimes fail to display on iPod
4134 Fixed iPod sync: Podcasts synced by iTunes aren't visible to MM
4121 Fixed synchronization: auto-conversion rules aren't working correctly
4127 Fixed synchronization expanding node while ejecting can throw an error
4128 Fixed Statistics report gives inaccurate Album & Artist totals
4133 Fixed Album is assigned Album Artist name if Album title is missing
4132 Fixed 'Album Art' and 'Artist/Album' entries should be disabled in non AA view
4163 Fixed Album Art Views: Tracks with Unknown Album have wrong album art assigned
4162 Fixed Album Art + Details view: Albums are often split
4164 Fixed Album Art Views: 'Unknown' items clutter up the views
4131 Fixed Track browser should be available in My Computer node
4126 Fixed changing track in Album Art View can throw an error
4125 Fixed conversion generates files with .MMSaTe extension
4124 Fixed Album Art views: '&' isn't displayed
4103 Fixed Setting Window to not maximized causes now playing to blank out
4120 Fixed Files to Edit > Unknown Albums node is missing some tracks
4044 Fixed Podcasts display in the wrong order
4116 Fixed Now Playing window status doesn't persist (regression)
4115 Fixed Player flickers in the ratings area on skin change (regression)
4168 Fixed Enter key doesn't play tracks in Album Art modes
4122 Fixed MiniPlayer/Now Playing toolbar usability issues
3939 Fixed French translation Quicktime warning isn't localized
4117 Fixed Vista is missing from list of OSes supported by File Monitor
4157 Fixed Filter settings may not work correctly due to plugin
4160 Fixed Shift-Delete fails to delete tracks from the drive (regression)
3891 Fixed localized dialog captions don't appear (Asian locales)
4159 Fixed flickering in lists with 3D border (regression)
4119 Fixed Dutch installer isn't fully translated
4158 Updated to SQLite 3.5.4

------------------------------------------------------------------

MediaMonkey 3.0.1.1116 RC4

4049 Added Dutch language (thanks to Hans)
4078 Added .ini configuration to enable/disable date tagging via TDRC/TYER/TDAT
4000 Added .ini configuration for MTP Sync to Zen Devices
3855 Added Find more from same Playlist
4086 Fixed cleaning ID3 tags triggers link to blank artwork
3393 Fixed drag & drop cannot append multiple definitions for Occasion and Mood
4095 Fixed drag & drop doesn't work in "Artist"->"Album" node
4061 Fixed M4P/M4A/M4B properties use non-standard atoms
4066 Fixed tagging M4P/M4A/M4B fields > 256 characters triggers crash
4062 Fixed tagging locked M4P/M4A/M4B files can delete them
4038 Fixed RGAD values should be saved as big-endian floats
4067 Fixed Auto-tag from web Album Art tagging problem (memory leak)
4058 Fixed WMA track# tag isn't properly saved
4058 Fixed FLAC Track# and Disk# tags aren't properly saved
4080 Fixed FLAC tagging of multiple-definition attributes is incorrect
4058 Fixed M4A/M4P/M4B Track# and Disk# tags aren't properly saved
4052 Fixed FLAC album art isn't correctly tagged (regression)
4087 Fixed Auto-volume analysis shows error dialog repeatedly if media unavailable
4097 Fixed Auto-volume analysis makes some tracks unplayable due to bookmarking
4094 Fixed Auto-volume analysis stops working with some FLAC files
4059 Fixed occasional freezes during scanning
4056 Fixed occasional freezes during DB operations
4045 Fixed Album cannot be removed from 'Artist' node (regression)
3926 Fixed more iPod sync problems with illegal filenames
4085 Fixed iPod sync config can reset, causing syncs to the root folder
4073 Fixed Synchronization: Some GIF Album Art triggers errors
4054 Fixed iPod sync: entire synch list resyncs on upgrade from 2.5 to 3.0
4043 Fixed Podcast error: problem querying the database (regression)
4044 Fixed Podcasts sometimes don't download by reverse date order
4051 Fixed playback of some MP3 streams fails and can cause a freeze
4088 Fixed search nodes get added when adding/removing letters to search terms
4033 Fixed Album Art view sorts by Album incorrectly
4037 Fixed Album Art + Details view: 'Delete' doesn't work for in-place editing
4039 Fixed Drag & Drop albums in Album Art view triggers error
4040 Fixed Album Art view buttons should not be active in Now Playing node
4050 Fixed double-click "Play selected tracks only" doesn't work well if Shuffle is on
4064 Fixed Options are accessible in party mode (regression)
4024 Fixed Album Art Window: 'Show Titlebar' toggle --> Album Art disappears
4084 Fixed Deleting > 5000 Songs from a playlist can freeze MM
4063 Fixed Rip CD: Level Track Volume option doesn't work
3887 Fixed use of devices (U3 usb key) that emulate CD can fail or trigger freeze
4041 Fixed Nested AutoPlaylist can freeze in some cases when clicked (regression)
4034 Fixed Auto-organize fails to generate correct file name in some cases
4109 Fixed simple mask generation UI doesn't clean extra '\' in subdirectory
4096 Fixed Glided skin popups may not support unicode characters
4082 Fixed Skinless mode: Navigation toolbar isn't unicode enabled
4079 Fixed Album Art Views: Unicode in tracks causes Album Art to not display
4048 Fixed Chinese Unicode Filenames can't play on Non-Unicode plugins
3897 Fixed Tree doesn't update with new nodes automatically (regression)
4035 Fixed misc UI issues with Mask Configuration
4047 Fixed Device Configuration: Options button gets shrunken in localized UI
4081 Fixed Player volume control is missing from skinless version of MM
4091 Fixed Move accompanying files dialog isn't resizable
4098 Fixed Track Browser "All (x Items)" is broken in Album Art views
4105 Fixed My Documents is shown as empty node in some cases
4010 Fixed Now Playing Window: Can display artifacts when resized
4046 Fixed Now Playing 'Play button' can play wrong track (regression)
4042 Fixed restoring from tray can throw an error in skinless mode (regression)
4036 Fixed Duplicate Tracks warning isn't scrollable for long lists of dups
3966 Fixed Filter node configuration shouldn't allow Search node to be removed
4057 Fixed Auto-DJ doesn't correctly activate/de-activate in continuous mode
4055 Fixed editing Options > File Monitor in place can trigger error
4104 Fixed Resize/maximize doesn't refresh main winodow correctly (regression)
4103 Fixed Now Playing window sometimes isn't drawn correctly
4070 Fixed player is higher than should be in some cases (regression)
4077 Fixed Hotkey settings are re-written with each install
4099 Fixed Now Playing window can re-appear upon skin change
3614 Fixed skin artifacts near toolbar and in vertically oriented micro-player
4088 Optimized search bar performance
4072 Updated burn engine to v2.07

------------------------------------------------------------------

MediaMonkey 3.0.1.1109 RC-3

3991 Fixed DB Upgrade problems (2.5-->3.0) related to duplicates in covers table
4015 Fixed File Monitor occasionally triggers error message if a folder is deleted
4007 Fixed default Filters are missing after upgrading DB from MM2
4006 Fixed operations with default filter can throw an error (regression)
3972 Fixed Auto-conversion/Lame encoding sometimes fails
3990 Fixed auto-organize sometimes removes '.' from path unnecessarily
4013 Fixed search by Grouping isn't supported
3974 Fixed Advanced Search for 'All text fields' --> freeze
3743 Fixed Mass Edit: Grouping isn't checked if edit is made
3978 Fixed Mass Edit: Comment field sometimes fails to update for the first track
4025 Fixed Auto-tag from Web: Editing track in tracklist triggers error
4009 Fixed View>Properties: Deleting track --> Properties shows the wrong track
4008 Fixed Player calculation of track length may be incorrect on corrupt files
4008 Fixed calculation of track length can be incorrect on huge files
3998 Fixed Original Year should be Original Date
4012 Fixed in place editing includes Track# within the Title field in Album Nodes
3988 Fixed save art to location other than folder.jpg -->'Problem with copying file...'
3988 Fixed Auto-tag from Web cannot save art to any location other than folder.jpg
3988 Fixed Auto-tag from Web includes deprecated option to save Art to shared folder
4029 Fixed AAC tagging for new fields: full date is written incorrectly
4029 Fixed WMA tagging for new fields: original date isn't tagged correctly
4029 Fixed FLAC tagging for new fields: Grouping and full date are tagged incorrectly
3986 Fixed ID3v2.4 tagged album art isn't supported properly
4027 Fixed Disconnecting device can cause AV
4022 Fixed Sync error: Unable to open database file (14, 14)
4018 Fixed Sync Selected can overwrite tracks on iPods (regression)
4005 Fixed iPod can't be ejected if playback/edits have been done by MM on the iPod
4011 Fixed iPod Sync can trigger 'Ignore error and continue'
3926 Fixed iPod sync sometimes still fails due to illegal filenames
3928 Fixed Podcasts synced to iPod have 'Unknown Release Date'
3958 Fixed podcast subscribe dialog may not open when clicking rss link in Firefox
3898 Fixed Track Browser columns aren't generic to specific (Browser, Artist, Album)
3898 Fixed Track Browser miller columns aren't restricted when a search is done
3993 Fixed Album Art Details view: added [System] option to ExpandAlbumsByDefault=1
4014 Fixed Album Art Details view: Tracklist has editable text boxes for non-entities
3666 Fixed Album Art Details view: 'Show All x Tracks' can lead to accidental edits
3985 Fixed Album Art view: Sort by multiple attributes --> incorrect Sorting/Grouping
3979 Fixed <HOME>  key in Album Art Views doesn't work correctly
3989 Fixed persisting the last used node after restart is not unicode ready
4028 Fixed Player flickers during skin change
3977 Fixed Player Album Art isn't redrawn after skin change
3981 Fixed skinless player appears with blank space in some cases
3980 Fixed player spectrograph state doesn't persist after restart
3467 Fixed some unicode m4a files still fail to play
3975 Fixed Now Playing slows down/freezes if removing large number of tracks
4002 Fixed Ignore Shuffle setting for Filter=Podcasts doesn't stop podcasts playing
4020 Fixed occasional freezes due to db layer
3826 Fixed Font size issues (with ClearType enabled)
4021 Fixed Unskinned mode: Screen state doesn't persist
4023 Fixed Unskinned mode: Now Playing background is orange/brown
4026 Fixed occasional crash on start up (related to Asian systems & ini file)
3891 Fixed some Asian localized UI elements still display incorrectly
3971 Fixed some Japanese podcasts don't work
3793 Fixed Gold key settings fail to migrate to 3.0
3976 Optimized some queries further
3967 Optimized tracklist update/deletion operations (thread callbacks)
3970 Optimized Track Browser performance
3024 Updated to Eurekalog (6.0.10)

------------------------------------------------------------------

MediaMonkey 3.0.0.1106

3964 Fixed Pressing 'Next' when the 'Quicktime missing' dialog appears --> freeze
3908 Fixed expanding Podcast with many episodes can make MM appear frozen
3968 Fixed Podcast directories: expanding a feed twice causes episodes to appear twice
3963 Fixed Deleting a large number of tracks triggers an AV
3969 Optimized performance of the Track Browser for large collections

------------------------------------------------------------------

MediaMonkey 3.0.0.1105 RC-2

3899 Fixed 'on track start' scripts don't work properly
3872 Fixed some Podcasts (e.g. Scientific American) aren't recognized / downloadable
3934 Fixed should be possible to use Podcast's default filename if no mask is set
3944 Fixed some Japanese Podcasts don't update
3926 Fixed failed iPod synchronization caused by prohibited filenames
3745 Fixed iPod auto-sync always deletes playlists that aren't on the sync list
3954 Fixed auto-sync: user isn't given the option to delete old playlists
3909 Fixed wmdm synchronization sometimes freezes
3924 Fixed sync size sometimes fails to refresh
3948 Fixed read-only Tracks aren't deleted from iPod during auto-sync
3892 Fixed MTP sync problems related to auto-conversion/level volume
3910 Fixed possible SQL Error when selecting filter on the Sync List
3874 Fixed iPod: M4B Audiobooks don't appear under Audiobooks menu
3851 Fixed Auto-tag from Web: focus is lost after looking up art
3273 Fixed no way to set rating to unknown in Now Playing node
3943 Fixed Disc# field isn't sorted correctly if not numeric
3925 Fixed cannot edit Album Artist if Album Title is missing
3920 Fixed some .ini file configurations cause lyrics to be truncated
3923 Fixed MP3 Tagging can cause an access violation
3913 Fixed Album Art is saved to tag when no save options are chosen
3650 Fixed Add album art sometimes defaults to a folder other than the tracks folder
3950 Fixed Properties dialog: tab order incorrect
3912 Fixed Save Album Art to Folder.jpg triggers AV on currently playing track
3878 Fixed year isn't read correctly in some APE/MPC tracks + leveling problems
3873 Fixed Album Artist > Various appears for tracks that have a common Album Artist
3956 Fixed Tracklist doesn't always refresh with newly added tracks
3866 Fixed In-place editing disabled for Now Playing (regression)
3869 Fixed Now Playing tracklist has different header
3906 Fixed failure to remove multiple Albums from a playlist in Album Art + Details view
3906 Fixed Album Art + Details view changes position when deleting tracks
3639 Fixed Album Art + Details view: playlist tracks are out of order
3639 Fixed Album Art + Details view: column settings are confusing & don't persist
3639 Fixed Album Art + Details view: quicksearch doesn't work correctly
3897 Fixed Tree doesn't automatically update with new nodes (regression)
3907 Fixed search during volume analysis appends erroneous results
3898 Fixed Track browser functions incorrectly
3824 Fixed Track browser clears column values in response to 'Search Selected'
3815 Fixed Search Bar doesn't clear on 'Search Selected' & Track Browser is updated
3911 Fixed switching Album Art modes can trigger freeze
3961 Fixed Location node shows My Documents even if no Tracks exist there
3468 Fixed Composers can appear in Album Artist node (caused by Maintain DB)
3721 Fixed filters applied incorrectly to Playlists
1448 Fixed DRM-protected m4b and m4p files don't play
3467 Fixed m4a files with 59+ character or unicode filenames/folders cannot be played
3893 Fixed Album Art isn't displayed in Player when Playing tracks from iPod
3889 Fixed Playing corrupt MP3 causes crash 
3930 Fixed Quicktime download dialog doesn't work correctly
3937 Fixed occasional error when restoring from minimized state
3883 Fixed Player Jitters in some error conditions
3918 Fixed Visualization after pause/resume doesn't work (regression)
3917 Fixed 24 or 32 bits per sample streams don't play sometimes
3904 Fixed 24-bit FLAC files don't show visualization
3912 Fixed Unskinned mode: on first run, empty space appears at the bottom
3864 Fixed scrolling Player title takes too much CPU
3792 Fixed error on closing
3857 Fixed various unlocalized strings
3895 Fixed Conversion problems in some Asian locales
3891 Fixed Some localized UI elements don't appear (japanese)
3857 Fixed Extensions panel not fully localized
3863 Fixed various strings
3919 Fixed error when installing multiple extensions
3886 Fixed Scripting: Installation/Update/Uninstallation can cause wide range of problems
3901 Fixed Script uninstallation can cause 'List index out of bounds (5).' error.
3875 Fixed several memory leaks
3900 Fixed error: 'Invalid argument to date encode.'
3793 Changed all registry keys to HKCU>Software>MediaMonkey 
3915 Update FLAC to 1.2.1
3024 Update to Eurekalog 6.0.9
3870 Optimized string handling/sorting + image processing
3933 Optimized SQL queries for various nodes
3922 Fixed progress bars sometimes don't refresh properly

------------------------------------------------------------------

MediaMonkey 3.0.0.1098 RC-1 (Update)

3860 Fixed unskinned version crashes as soon as it is run (regression)
3857 Fixed installer: file associations panel isn't fully localized (regression)
3859 Fixed missing spaces in album art + details view (regression)
3861 Fixed Auto-playlists don't work correctly (regression)
3780 Updated French translation to v1097
MediaMonkey 3.0.0.1097
2930 Fixed Audio CD burns have occasional gaps on some systems
0023 Fixed Shuffle doesn't allow user to use 'back' to see which track was last played
3777 Fixed restore from micro player corrupts player skin
3769 Fixed playing Album from Virtual CD adds cataloged CDs to Now Playing
3752 Fixed MicroPlayer not available as a toolbar in Vista x64
3809 Fixed MicroPlayer: Play/Pause on multimedia keyboard maximizes MM
3775 Fixed rare freeze when initiating playback immediately after tagging
3828 Fixed some corrupt mp3s can trigger an Access Violation and Decoder.exe doesn't terminate
3772 Fixed Files to Edit\Multiple artist albums throws SQL error if filter active (regression)
3768 Fixed DB error: "Cannot load query data: Could not find field. result: 1"
3739 Fixed user is occasionally asked to perform a DB upgrade even though the DB exists
3810 Fixed Maintain DB --> Error executing SQL statement "COMMIT" : SQL logic error...
3799 Fixed threading problem when adding huge numbers of Tracks to a Playlist
3423 Fixed AAC tracks aren't scanned by default after upgrade from 2.5
3808 Fixed Advanced search for criteria = / |= "" doesn't return any values
3814 Fixed Track browser: criteria disappear when 'search selected' returns no values
3506 Fixed search of 'now playing' shouldn't be additive / isn't cyclic
3814 Fixed Track browser criteria disappear when search selected returns no values
2520 Fixed iPod sync: metadata doesn't synch bi-directionally for manual sync
2520 Fixed iPod sync: resync of tracks that were manually synced --> duplicates
3783 Fixed iPod sync: Tracks not in Library are synced to iPod as Podcasts
3784 Fixed iPod Sync: Some Album Art is tripled on iPod Classic
3746 Fixed iPod sync: Tracks synced with MM don't work with Music Quiz 2
3820 Fixed iPod sync: Disc Number field isn't used for sorting tracks
3801 Fixed iPod sync of large files can fail if # samples don't fit in 32-bit integer value
3836 Fixed iPod sync can create duplicates in some cases
3834 Fixed iPod Sync: Manual Sync of Podcasts causes duplicate entries on the iPod
3727 Fixed iPod Sync: Album Art can get mixed up in some cases on the iPod
3845 Fixed iPod Sync: Bookmarking and Shuffling works only for Audiobooks
3797 Fixed browsing iPod or other external nodes can cause AV (regression)
3779 Fixed ratings not updated on the device database when rated on the device via MediaMonkey
3717 Fixed File Extensions configured as supported on the device don't sync
3789 Fixed non-music files are shown for external wmdm devices in the tracklist (regression)
3811 Fixed SQL error in Device configuration > Auto Sync list
3813 Fixed wording of 'Generate .m3u playlists' is incorrect
3776 Optimized DB Queries at initialization of synchronization
3795 Fixed cannot terminate preparation for synchronization on WMDM devices
3796 Fixed multiple Manual sync operations initiates too many threads
3794 Fixed deletion of folder in WMDM device can result in AV
3790 Fixed podcasting: possible to start downloading an episode twice
3790 Fixed podcasting: grey download queue icons disappear on node switch
3790 Fixed podcasting: slow termination
3822 Fixed some podcasts still fail to download (regression)
3806 Fixed podcast functions aren't available via the menu/toolbar
3747 Fixed Volume Analysis (per Album) fails if Tracks have different sample rate
3771 Fixed Auto-levelling status indicates more tracks than actually need to be analyzed
3802 Fixed Level Track Volume: Album Leveling values are not updated
3807 Fixed Analyze Volume always adds tracks to the DB
3803 Fixed silent failure on Level Track Volume breaks playback until restart
3821 Fixed Send To > My Documents paths are incorrect
3744 Fixed Properties > Album Art tab appears to freeze if many tracks are selected
3762 Fixed MPC Tags read incorrectly (e.g. upon changes to 'year' field)
3848 Fixed cannot read incorrectly formatted Album art from some ID3v2.4 tags
3773 Fixed it shouldn't be possible to link to the same Album art > 1 time
3773 Fixed linking/unlinking Album Art refreshes incorrectly sometimes
3774 Fixed hyperlink colors shouldn't be hardcoded (use underline only--for now)
3831 Fixed Album Art View loses multi-selection on right-click
3832 Fixed Album Art + Details view doesn't display Playlists in correct order
3830 Fixed Album Art + Details view: Hyperlinks are sometimes partially underlined
3837 Fixed Album Art + Details view: track/album selection sometimes doesn't work well
3804 Fixed Album Art View: Alphabetic grouping is out of order for some nodes
3842 Fixed Disc # isn't used to sort Tracks on multi-disk albums
3847 Fixed Folder Browser isn't unicode ready
3734 Fixed in-place comment editing doesn't work well
3856 Fixed cursor doesn't behave correctly when editing fields via cut and paste
3650 Fixed default location for adding Album Art should be the folder containing the track
3792 Fixed occasional locking problem that causes freezing on close in album art view
3817 Fixed Properties > Auto-organize doesn't work (regression)
3786 Fixed background Auto-organize functions even when disabled
3786 Fixed background Auto-organize doesn't work with many masks
3849 Fixed background Auto-organize UI text
3827 Fixed restore from tray or micro-player should make the playlist active
3829 Fixed mask controls don't resize properly
2701 Fixed sync and view functions not available in the menu
2701 Fixed shortcuts bar is missing some key nodes
3846 Fixed Playlist flickering when track is changed
3787 Fixed Scrolling title jumps
3759 Fixed tooltips appear in blank portions of the UI in some multi-tab dialogs
3523 Fixed remaining unlocalized strings
3685 Fixed remaining localization-related formatting issues
3588 Fixed some general functions aren't available as hotkeys
3792 Fixed MM sometimes fails to terminate properly
3770 Fixed mask configuration buttons disappear on mouseover with some skins
3118 Fixed minimize via the taskbar can trigger UI/focus problems in certain cases
3852 Fixed threading issue occasional freeze on browsing the Tree
2360 Fixed freeze + several minor issues in the Extensions UI
3780 Updated French (Octopod), German (Onkel Enno), Portuguese (Gervasio), Spanish (Pablo)

------------------------------------------------------------------

MediaMonkey 3.0.0.1091 Beta 4 (Test update)

3767 Fixed B3 settings don't migrate to B4 if ini file is in non-standard location (regression)
3741 Fixed Primoburner unregistered copy error messages
3747 Fixed Album Leveling Fails for some Albums
3728 Fixed Edit Hotkeys don't work in Now Playing window
3765 Fixed Album Art Details view: unavailable tracks are shown as available
MediaMonkey 3.0.0.1089 Beta 4
0553 Added support for Hidden filters for playback rules with no UI changes
3681 Fixed MM 2.5 DB Upgrade: some SQL errors in soem auto-playlists
3704 Fixed Search for '[', ']', '_' doesn't work
3692 Fixed Find more from same Folder (Library) doesn't work (regression)
3678 Fixed "Find from more same ..." doesn't scroll to requested node
3631 Fixed device node searches selected & Web node searches Amazon by default
3503 Fixed Search Current Selection - can't undo search if focus has switched to the tracklist
2825 Fixed usability issues with the Vista-style hierarchy browser
3686 Fixed Search selection doesn't work with logical operators (' '=AND, ""=exact, ';'=OR)
3686 Fixed Search bar searches some non-visible fields, returning unintended results
3683 Fixed presentation of multi-artist albums in the tree
3731 Fixed tracks can't be deleted from Album Art + Details view
3709 Fixed Track deletion not working correctly for some nodes (regression)
3679 Fixed Album Art View: selection of multiple albums can throw an error
3647 Fixed selection is lost when switching views
3688 Fixed Tree and Track list don't scroll in response to change in focus
3699 Fixed Album Art View: Playing tracks from iPod bolds all tracks in AA/Details view
3705 Fixed Unsynchronized Tags node shows many tracks unsynched (regression)
3721 Fixed filters shouldn't be applied to Playlist nodes outside the Library tree
3735 Fixed database upgrade doesn't migrate Virtual CD tracks correctly
3751 Fixed Track browser doesn't handle multiple definitions correctly for Composers
3677 Fixed Track browser can cause the Tracklist to disappear with Composer heading
3647 Selection is lost when switching views
3640 Fixed Album Art Details View: Column settings don't persist
3758 Fixed Album Art + Details View: Right click on a track --> no focus indicator
3639 Fixed Album Art Views: cleanup of various Columns, Sorting, and Grouping issues
3639 Fixed Album Art Views: sometimes a single album is represented by multiple images
3674 Fixed closing MM from miniplayer throws an error
3478 Fixed bitrate on player still shows '-1' in some cases (regression)
3682 Fixed player time indicator is inaccurate for long tracks
3733 Fixed Miniplayer transparency problems
3712 Fixed multiple definition fields: sometimes spaces are auto-deleted
3393 Fixed multiple definition fields: cannot Drag and Drop to append field value
3714 Fixed editing Track Properties in Album Art view creates duplicates
3675 Fixed some fields are always checked when doing mass edits
3690 Fixed in-place edit of title field in album node causes DB error
3273 Fixed no way to set rating to unknown via 'My Rating'
3749 Fixed tags are saved even when configured not to if using live rating control
3755 Fixed in-place editing doesn't work for conductor field
3667 Fixed iPod sync: another access violation while browsing iPod
3697 Fixed iPod sync: auto-sync deletes mp4 files and these are usually video
3698 Fixed iPod Sync: album artwork can be corrupted if iTunes syncs video
3729 Fixed iPod Sync: Filenames can contain a space before file extension
3750 Fixed iPod Sync: Playlists are prefixed with 'Playlist-' for many users
3723 Fixed Auto-Sync list: Playlists sometimes appear on music tab
3724 Fixed Auto-sync deletes tracks that are on the sync list if they're inaccessible
3719 Fixed possible to delete device while connected --> error
3713 Fixed non-square album art doesn't look good on new iPods
3696 Fixed Podcasts don't update immediately at startup
3753 Fixed some podcasts attempt to load perpetually and generate duplicate entries
3582 Fixed various UI issues in the unskinned version
2370 Fixed various usability issues with Mask configuration
3689 Fixed background volume analysis shouldn't pop up error messages on failed tag write
3722 Fixed background volume analysis triggers db error in some cases
3382 Fixed can't burn to non-empty CD (regression)
3680 Fixed opening Extensions dialog triggers an error
3684 Fixed hints-related failed application termination
3701 Fixed APE or MPC tracks can throw an exception if year field is missing
3685 Fixed various localization-related UI issues (space/positioning)
3665 Fixed some registry entries weren't being removed at uninstall
3726 Fixed extensions should be installed globally for all users
2859 Fixed statistics report fails in some locales
3623 Fixed more problems on Win98/ME
2360 Fixed several issues in Extensions UI
3657 Optimized expansion of Artists node
3676 Optimized cpu utilization in idle state
3676 Optimized drawing of the player and drawing routines in general
3676 Optimized browsing / caching in Album Art views
3700 Optimized audio burning & on-the-fly burn option
3024 Updated logging component to v6.08
3594 Updated to SQLite 3.5.1
3711 Removed unnecesary mask bars in various dialogs
3399 Reverted Installation of MM3 to Program Files\MediaMonkey3\ to \MediaMonkey\

------------------------------------------------------------------

MediaMonkey 3.0.0.1081 Beta 3

3626 Added iPod Sync support for iPod Classic, iPod Nano 4g
3661 Fixed iPod Sync: Album Art sometimes fails to sync
3599 Fixed synchronization: size of converted Oggs isn't estimated correctly
3660 Fixed iPod sync: Album artist isn't correct for browsing iPod via MM
3609 Fixed database upgrades fail for some users
3579 Fixed some db fields aren't imported correctly
3596 Fixed regression Drag&Drop Tracks on Now Playing auto-added to Library
3615 Fixed Party Mode has some holes that allow MM to be closed
3619 Fixed Party Mode can't exit with password enabled
3658 Fixed Party Mode regression: new Player controls aren't disabled if so configured
3659 Fixed Now Playing (floating) playback doesn't initiate when double-clicking track
3604 Fixed MiniPlayer's Now Playing list appears offscreen in some cases
3478 Fixed Bitrate is shown as -1 after switching to MiniPlayer/MicroPlayer
3616 Fixed disabling Auto-DJ doesn't unload the current Auto-DJ script
3600 Fixed apparent freeze when NP list contains networked tracks
3597 Fixed restore from micro player hides Now Playing window
3595 Fixed enabling equalizer on vista triggers freeze/endless loop
3585 Fixed player can trigger AVs
3583 Fixed regression popup info causes an error in skinless mode
3642 Fixed Album Art view wheelmouse works too slowly
3645 Fixed Album Art View double-click of down arrow can trigger playback
3674 Fixed Album Art view scrolling can trigger AVs / UI Freezes
3649 Fixed Album Art views represent all tracks from unknown albums with their own image
3640 Fixed Album Art views filter/view settings don't apply
1612 Fixed Album Art details view: many columns not displayable
1612 Fixed Album Art details view: double-clicking track plays 1st track instead
3277 Fixed Album Art views: can't drag and drop a selection
3634 Fixed Album Art view grouping in Artist/Album Artist node
3580 Fixed regression: Album Art View doesn't refresh correctly in some cases
3610 Fixed regression: cannot delete track that is playing
3617 Fixed regression: Genre node subnodes include tracks that don't match the Genre
3601 Fixed Filter/Views: main Tree nodes not updated in some cases
2936 Fixed songs with multiple definition fields can appear > 1 time in query results
3602 Fixed some queries from MM 2.5 don't work in MM 3.0
3612 Fixed some queries <Some field> Contains: text1;text2;text3 no longer work
3631 Fixed Search for some nodes should always default to search current selection
3627 Fixed regression: Search for Album Artist equals -> list of the artists is empty
3628 Fixed regression: Search for Date >= 3.6.2007 can throw SQL error
1325 Fixed Search dialog clears tracklist even if user cancels search
3501 Fixed unneeded refreshes when searching in current node
3629 Fixed searching by Type = returns tracks where extension is in the filename
3629 Fixed searching for Tracks in album = doesn't work correctly for multi-artist albums
3629 Fixed Composer is unknown doesn't work correctly
3572 Fixed Search bar doesn't search classification fields
3603 Fixed aac tagging memory error
3605 Fixed aac tagging date is read incorrectly sometimes
1449 Added Grouping support in AAC tags
2952 Added Grouping support to WMA tags
2951 Added Grouping support to OGG tags
3578 Fixed regression: MM throws an error when user deletes album art
3570 Fixed some tracks cannot be leveled & prevent auto-leveling from working
3598 Fixed Album leveling doesn't work for albums with the same name
3607 Fixed in-place conversion doesn't update library with new field values (e.g. bitrate)
3594 Fixed original file can't be deleted on conversions occasionally
2806 Fixed Key folders should be accessible in tree/browse folder dialogs (My Documents/My Music)
3586 Fixed usability problems in Hotkeys for adding new hotkeys
3663 Fixed closing while podcasts are downloading takes long
3584 Fixed OPML directory content not parsed 100% correctly
3669 Fixed OPML directory should be downloaded > 1 time concurrently
2397 Fixed hashes not generated on rescan for duplicate content node
3581 Fixed regression opening track properties crashes in non-skinned MM
3517 Fixed misc skinning issues re. Glided
3637 Fixed Browse Folder Dialogs display folders incorrectly in Vista
3196 Fixed possibility to move Album Art dialog into 'forbidden area' in player
3655 Fixed Album Art background in player is white / not shaped correctly
3629 Fixed sizing of Search Property field
3638 Updated German Localization files (Onkel Enno)

------------------------------------------------------------------

MediaMonkey 3.0.0.1074 Beta 2

3518 Added Leveling to auto-conversion when burning Discs
3258 Added Grouping field for classical music (only saved to ID3 tag for now)
3487 Fixed .m4a scanning problems 
3489 Fixed lack of prompt whether to proceed with DB upgrade
3540 Fixed error Unknown table "DeletedSongs_..."
3484 Fixed Error Executing SQL Statement "INSERT INTO DeletedSongs_2..."
3550 Fixed Add/Rescan folders without tracks triggers 'Remove unavailable tracks'
3470 Fixed 'maintain library' can cause SQL error (in relation to Virtual CD)
3498 Fixed ipod sync erases video db
3538 Fixed Sync settings dialog AV
3538 Fixed Sync settings dialog performance issues
3373 Fixed Auto-sync random subset should include Music and Playlists only
3530 Fixed Nested auto-playlists cannot be synched (regression)
3522 Fixed header doesn't appear when rechecking Advanced on Auto-sync Audiobook tab
2441 Fixed iPod Sync: tracks with Genre 'Podcast' should appear as iPod Podcast
3559 Fixed Podcasts don't sync to a full device when sync random subset is enabled
3408 Fixed Find more from same fails in some cases
3408 Fixed Find more from same doesn't support Composer/Conductor
3512 Fixed missing Composer from basic search
3551 Fixed Artists/Composer nodes missing + for child nodes
3574 Fixed scrolling in Album Art view can trigger error
2996 Fixed Album Art View: Album Properties dropdown appears in Album Art
3516 Fixed Album Art View: clicking outside an Album selects unwanted Album
3564 Fixed Album Art shown in fewer columns than expected
3553 Fixed Album Art View: Art is partially cut off 
3306 Fixed Disc # field can't be edited in-place
3515 Fixed Auto-tag from Web dialog's lack of directions
3537 Fixed Properties dialog opens too slowly
3513 Fixed Mood value not shown if common to multiple tracks (regression)
3497 Fixed Tracklist sorting inconsistencies
3038 Fixed autoleveling calculations don't occur when needed
3474 Fixed web/radio nodes always visible even if disabled in view
1618 Fixed inserted CD doesn't always trigger CD node creation
3447 Fixed (again) Track Changes often trigger change in focus
3542 Fixed interaction between volume and mute function
2717 Fixed double-click in Now Playing sometimes opens edit dialog
3531 Fixed regression: Now Playing position doesn't persist when switching players
3529 Fixed Now Playing Genre list is empty (regression)
3528 Fixed freeze when changing tracks via System Tray
3554 Fixed OGG Playback can trigger an AV
3527 Fixed MiniPlayer flashes and can trigger error on close
3486 Fixed short tracks fail to trigger the Last Played counter to advance
3514 Fixed right mouse button can accidentally trigger mouse gestures
3480 Fixed changing playing album Album Art view can trigger AV
3476 Fixed Track info popup briefly flashes
3488 Fixed Auto-DJ crashes when calling nested playlists
3571 Fixed unicode characters don't display correctly in player skin
3561 Fixed Filter Player rules don't work
3471 Fixed Pop-up window doesn't show stream artists and titles
3469 Fixed Bookmarks don't work correctly in some cases
3552 Fixed MM can freeze in Podcast nodes
3549 Fixed overlapping Podcast terminology ('Podcast subscriptions' vs 'Podcast' filter)
3536 Fixed selection problems in Podcast node
3496 Fixed possible to accidentally download a podcast twice
3495 Fixed Global Podcast Options should be the default settings for new podcasts
3562 Fixed too many error messages in response to internet connection issues
3541 Fixed alignment bugs in Save Playlist dialog
3556 Fixed alpha blended mini player doesn't work in < Win2k
3532 Fixed MicroPlayer Play/Pause button disappears when Taskbar is docked at top
3482 Fixed shrinking the window in Glided --> the time in the player disappears
3535 Fixed Tracklist can disappear when Player is moved around
3478 Fixed kbps indicator doesn't vary for VBR files
3565 Fixed 'MediaMonkey' is missing from Titlebar
3520 Fixed some buttons are hidden with Glided skin
3567 Fixed various other issues with Glided & added Vertical MicroMonkey
3509 Fixed About dialog often stops scrolling and appears frozen (regression)
3557 Updated German translation (Onkel Enno)
3024 Updated logging component to v6.0.7
3524 Updated online help / links
3523 Updated strings and context help tooltips
3472 Improved filter defaults
3423 Improved defaults for file associations and scanning

------------------------------------------------------------------

MediaMonkey 3.0.0.1069 Beta 1

2517 Added db upgrade from 2.5.5 to 3.x
3035 Added support for Default Programs functionality in Vista
3410 Added Glided Mini and MicroPlayer skins and updated Glided
3447 Fixed focus switches unnecessarily during playback
3468 Fixed Composers appear in Album Artist node
3338 Fixed Global Hotkeys don't work correctly in many cases
2806 Fixed missing shortcut to 'My Music' 
3404 Fixed Locate Moved/Missing Tracks doesn't work well for full folder deletion
2814 Fixed cannot delete tracks from AutoPlaylists
3455 Fixed Now Playing window is lost after restoring from MicroPlayer / Tray
3463 Fixed Player shows -0:00 for internet streams
2807 Fixed autoPlay options don't work correctly on Vista
3458 Fixed occasional AVs on termination
3465 Fixed AVs when using some old skins
3459 Fixed occasional AVs with some WMDM devices
3452 Fixed Pop-up display configuration with empty Now Playing can trigger AV
3052 Fixed skin engine support for alpha-blended custom shapes
2958 Fixed misc skin issues in Blue Glass
3423 Improved defaults for file type associations and scans
3090 Improved install/config for file type associations
2809 Removed in_cda.dll plugin (no longer needed)

------------------------------------------------------------------

MediaMonkey 3.0.0.1066 Alpha 8

2108 Added on-the-fly volume leveling for synchronization
1606 Added mass editing of album art to Properties dialog
1618 Added newly inserted CD should appear as a top level node
0863 Added missing tracks should be deleted during a scan
3900 Added mask $First(<Field>,x) for multiple-definition fields
0553 Added configurable views per filter (columns & nodes)
0553 Added configurable playback rules per filter
2822 Added ability to disable Shuffle per filter
0553 Added new nodes for Composer, Conductor, Album Artist, etc.
3411 Added support for Original Date (TDOR) tag (instead of just orig. year)
3413 Added query to search for Status 'is podcast'
3366 Added query to Search by Disc #
2408 Fixed Lookup of Now Playing tracks at startup is too slow
0656 Fixed popup doesn't appear for first played track
3401 Fixed Player doesn't always reflect tray-initiated changes
3437 Fixed Sleep mode shouldn't force PC to hibernate/sleep
3364 Fixed visual artifacts in skins on restart
3352 Fixed visual artifacts seen in WMP skin
2958 Fixed skinned fonts don't appear correctly in popup
2958 Fixed popup artifacts in Blue Glass skin
3363 Fixed progress bars sometimes don't fill correctly
3387 Fixed synchronization can freeze if attempt to eject/browse is performed
3242 Fixed auto-synch list doesn't dynamically update
3391 Fixed sync rules needs to be configurable for multiple definition fields
3356 Fixed synchronization: track references sometimes not deleted from iPod
3373 Improved synchronization: Auto-sync list consistent with filters implementation
3404 Improved usability of Locate moved/missing tracks
3122 Improved composer/conductor fields should have auto-complete
3122 Improved composer/conductor advanced queries for multiple values
3011 Improved track properties layout (suitable for all music now)
3434 Improved presentation of playlists section of Properties dialog
3011 Fixed Genre-based Properties dialog layout switch by removing it
3400 Fixed Mass Edit: comments field isn't visible even if identical for all tracks
3433 Fixed Mass Edit: Album Artist isn't visible even if identical for all tracks
3398 Fixed Auto-tag from Amazon adds empty albums
2772 Fixed conversion can add tracks to Library even when configured not to
3412 Fixed using tab key to navigate to search control clears tracklist
3435 Fixed Track Browser doesn't reflect 'ignore prefix' settings
3357 Fixed Auto-organize doesn't work for fields containing trailing '.'
3389 Fixed downloading album art from Amazon can cause AV
3379 Fixed adding linked album art can names linked images incorrectly
2475 Fixed hidden folder.jpg Album Art from Windows Media Player not imported
3380 Fixed selecting first Album in Album Art View puts focus on wrong album
3365 Fixed searching for non-ASCII characters is case sensitive
0167 Fixed default track # and disk# should be an empty string (no longer numeric)
3369 Fixed disc # mask doesn't support $if(<Disc#>, <Disc#> - ,)
3421 Fixed Album Art doesn't appear in Tracklist if no Album name is given
3414 Fixed regression: Removal of album art via AA Window consistently fails
3078 Fixed query re. # Albums by Artist should use Album Artist
3394 Fixed search of multiple definition fields |= returns incorrect results
3293 Fixed regression: Find more from same artist fails when filter active
3355 Fixed regression: Sort order doesn't persist
3377 Fixed freeze when ejecting CD during playback
3367 Fixed error when trying to burn CD on some systems
2930 Fixed Audio CD burns have occasional gaps on some systems
2938 Fixed no indication of # discs for burns spanning multiple disks
3384 Fixed possible Rip/Burn errors when > 1 device is used
3399 Changed install directory to /MediaMonkey3 to avoid accidental overwrites
3083 Fixed Party Mode config so that accidental track re-ordering is preventable
2708 Fixed replay gain tag issues in WAV files
3349 Fixed FLAC tags: Original Year tag cannot be deleted
3396 Fixed MPC tagging problem re. replay gain handling
3438 Fixed Bitrate isn't shown for many m4a tracks
3361 Fixed Auto-tag from Amazon downloads Art even if not required
2961 Fixed instance of repeating OGG audio stream
3359 Fixed OGG streams sometimes show garbage instead of title
3338 Fixed Global hotkeys still don't work for some key combinations
2211 Improved config panel layout for Library options/suboptions
3370 Fixed Tripex visualization can't be enabled in MM 3.0
3358 Fixed CPU Usage 100% with downloading of Podcasts
3375 Fixed internet connection errors (TIE library not threadsafe)
3388 Fixed starting while another instance is terminating causes AV
3439 Fixed occasional freeze on termination (of the out_mmds plugin)
3310 Fixed freeze related to different threads accessing DB
3310 Fixed freeze related to File Monitor / threading
3425 Fixed freeze when searching in some cases
3376 Fixed error on startup with Filter enabled
3354 Fixed occasional error when switching from MiniPlayer to main window
3353 Fixed Read/Write lock problem when selecting albums in AlbumArt view mode
3368 Optimized some DB queries

------------------------------------------------------------------

MediaMonkey 3.0.0.1057 Alpha 7

3253 Added context search within OPML directories
3307 Added Disc# as a mask option in auto-organize and elsewhere
3318 Added ability to configure podcast downloads more granularly (e.g. last 10)
3302 Fixed crash when Toaster plugin is enabled
3039 Fixed crash when old AudioScrobbler plugin is enabled
3337 Fixed some MP3s trigger a crash
3333 Fixed Auto Auto-DJ can trigger a freeze
3336 Fixed access violation on exit (occasionally with some plugins)
3305 Fixed random errors on playback of FLAC or MP4
3299 Fixed player displays tracks with '?' incorrectly
2763 Fixed Winamp playlist doesn't update if settings are saved per user
3148 Fixed some OPML directories cannot be imported
3119 Fixed some podcast feeds appear empty when they shouldn't
3314 Fixed Podcast episodes don't appear in the correct order on iPod
3297 Fixed single click of podcast shouldn't open subscription window
0956 Fixed WMA Pro VBR bitrate settings displayed incorrectly
3316 Fixed Multiple Albums node doesn't work if filter is active
3311 Fixed Duplicate Content node is exceptionally slow
3324 Fixed Track Browser title settings don't persist
3335 Fixed FileMonitor performance issues
3332 Fixed Duplicate Content node contains non existent duplicates
3334 Fixed Auto analyze volume is too slow
3327 Fixed Auto analyze volume should only attempt to analyze accessible tracks
3300 Fixed played tracks are added to the tracklist when they shouldn't be
3345 Fixed occasional freeze while working with Artists
3346 Fixed occasional freeze related to burning
0519 Fixed configurable Track tooltips (single field vs all fields)
0656 Fixed pop-up display configuration usability issues
3058 Added make Popup Display content configurable (via .ini file only)
3313 Fixed Equalizer Transparency isn't configurable from the Equalizer
3309 Fixed options UI (misc cleanup)
3312 Fixed references to MiniPlayer show 'Now Playing'
1253 Fixed caption bar graphics have artifacts when displayed sideways
3215 Fixed MP1/MP2 can be associated even when MP3 plugin doesn't support them
3319 Fixed Digital Podcast Top 50 should be removed
3328 Fixed Statistics report: Buttons aren't placed correctly
3024 Updated to new version of logging code (6.06)
0656 Code cleanup for popup display
3077 Added support for password protected Podcasts
1273 Improved undo functionality in Now Playing
2961 Fixed audio segment can repeat with some DSP plugins
3310 Fixed various freezes caused by threading issues
3304 Fixed random errors on thread destruction
3343 Fixed error when device is connected on termination
3342 Fixed album art window can add art to selected track instead of Now Playing track
3339 Fixed Miniplayer skins are too wide by default
3341 Fixed length of mp3s with Xing header is incorrect
1448 Fixed crash when AAC format isn't supported by version of Quicktime installed
3326 Fixed regression: Auto-Tag from Amazon Titles fail to update if user changes Track#
2475 Fixed Album Art: Windows Media Player Album Art still isn't imported correctly
2953 Fixed disc# not saved correctly for ID3
3303 Fixed DateAdded value disappears when track is changed externally
3264 Fixed continuous/transparent spelled incorrectly in player.ini
3125 Fixed BPM not saved for OGG tracks
3117 Fixed failed burns on standard version due to need to configure low speed
2859 Fixed more problems in the statistics report


------------------------------------------------------------------

MediaMonkey 3.0.0.1050 Alpha 6

3240 Added Blue Glass skin instead of Casino Blue
0656 Added Configuration options for popup notifications
3126 Added File > Open menu entry and context menu entry to player
3116 Added subscribe to podcasts via .pcast web links (no default association yet)
3116 Added open RSS feeds in MediaMonkey subscribe dialog via Firefox 
3096 Added podcast indicator to show which tracks are queued
3098 Added ability to play an unsubscribed podcast
3099 Fixed Podcasts continue to download after unsubscribing
3102 Fixed Podcast name isn't assigned to the Album field
3214 Fixed Podcasts with ' are parsed incorrectly
3289 Fixed occasional errors when browsing OPML directory
3149 Fixed operations on Location node are very slow on larger databases
3212 Fixed Duplicate Titles node is very slow
3046 Fixed scanning of some files with unicode (update to sqlite engine)
3193 Fixed scanning manual termination takes too long
3134 Fixed scanning M4P tracks crashes MediaMonkey
3125 Fixed tagging of some OGG fields (related to multiple Artist / Genre support)
2954 Fixed tagging of some of flac (multiple Artist/Genre support + Replay Gain)
3130 Fixed tags are saved even if configured not to when auto-analyzing volume
3260 Fixed empty Year field appears with garbled data for some OGG tracks
3127 Fixed numerous freezes reported in alpha 5 (DB, File Monitor, synchronization)
3213 Fixed Tempo, Mood, Occasion and Quality fields were not written into DB
3295 Fixed 'Error executing SQL statement "COMMIT" : SQL logic error or missing db'
3219 Fixed modifying Album properties modifies Artist incorrectly
3237 Fixed regression: 'All' node sub to Location doesn't work
3198 Fixed 'Search current node only' doesn't work for 'Now playing'
3190 Fixed search bar usability issues and added persistence of settings
3296 Fixed rapid changing of tracks triggers error
3239 Fixed Next and Back Shortcuts cause skipped tracks in Now Playing
3146 Fixed equalizer can make sound muted
3254 Fixed equalizer can cause endless repeat of audio and freeze
3184 Fixed regression: in_wmp3.dll can't play tracks without ID3v2 tags
3238 Fixed cannot open some streams via 'Open file or URL' dialog
3248 Fixed pop up of track metadata doesn't display correctly for streams
0956 Fixed WMA9 encoding is at incorrect bitrate
3246 Fixed WMA lossless doesn't offer choice of sampling rate
3288 Fixed random errors in Now Playing
3291 Fixed visualization freezes on some tracks
3218 Improved algorithm for device free space calculation
3087 Fixed changing confign in Sync options can still trigger an error
3129 Fixed foreign characters aren't sorted correctly
3128 Fixed View | Player (Ctrl-Alt-L) doesn't always work
3055 Fixed Track with mulitple Genres/Artists/Classifications don't display correctly
3142 Fixed Album Art views don't refresh when Album Art is deleted
3144 Fixed large fonts causes tracklist headings to display incorrectly
3136 Fixed player can sometimes disappear
1807 Added Auto-tag from Amazon option to display without changes (context menu)
3133 Fixed player displays .5, 1.5, 2.5 star ratings rounded up
3299 Fixed player displays tracks with symbols incorrectly or not at all
3114 Fixed automatic horizontal shift is excessive
3255 Fixed mass edit of Disc# / Track# fields don't auto-check
3186 Fixed 'Find more from same' doesn't work when Artist/Genre contain multiple items
3145 Fixed Auto-Organize rule options window can freeze
3175 Fixed regression: Auto-Organize $if() function doesn't work
3137 Fixed some translations not included with the installer

------------------------------------------------------------------

MediaMonkey 3.0.0.1045 Alpha 5

3088 Added Glided skin as default.  Special thanks to Morten!
2957 Added Casino Orange skin.
3042 Added various new skin objects to support Glided skin
0897 Added player spectrograph
0102 Added filtering functionality for multiple collections
3026 Added ability to auto-delete podcasts based on rating
1572 Added live indicator of sync list size
2952 Added support for WMA SharedUserRating tag
3078 Added queries for # tracks by Artist or in Album and # Albums by Artist
3054 Improved performance in startup, scanning, tracklist, sorting, etc.
3089 Improved auto-dj performance
2825 Improved behaviour of hierarchy browser & fixed several bugs
2547 Improved automation via auto-organize rules
2844 Fixed freezes caused by more than one SELECT
3115 Fixed regression: File Monitor doesn't detect changes to a directory name
1426 Fixed micro-player sometimes fails to appear
1449 Fixed scanning some m4a tracks causes MM to crash in Vista
3087 Fixed Sync list totals fail to update correctly / freeze
3061 Fixed sync status bar moves to the left sometimes
3084 Fixed tracks sync unnecessarily if 'save album art to tags is enabled'
2782 Fixed sync via wmdm doesn't delete empty directories
3105 Fixed Auto-conversion with 'Save album art to tag' option doesn't work
3037 Fixed sync album art to WMDM devices can crash if no drive letter assigned
3085 Fixed sync album art can be in unsupported format
3067 Fixed eject device can trigger an access violation
3064 Fixed removing device while tracks are open can can an access violation
2971 Fixed clicking 'Show all tracks' in Album Art view doesn't work correctly
3066 Fixed connecting an iPod can cause an access violation
2859 Fixed more errors in the statistics report
3062 Fixed Playlists don't sync when tracks within are auto-converted
2982 Fixed playing flac while converting flac triggers an access violation
3109 Fixed per Album volume leveling on FLAC tracks doesn't work
2869 Fixed podcast opml directories should use opml 1.0 where possible
3100 Fixed Podcast cannot be deleted from within a podcast node
3094 Fixed various cosmetic issues in podcast functionality
3095 Fixed podcasting 'download all' new episodes downloads all episodes
3103 Fixed auto-sync podcast tab is always enabled
2862 Fixed more OPML parser issues
2850 Fixed some podcasts still fail to download
3119 Fixed podcasts subscriptions fail if accepted before episode list downloads  
3119 Fixed many podcast feeds appear empty
3120 Fixed indentically named podcasts should have unique numeric identifiers
3099 Fixed unsubscribed podcasts continue to download
3104 Fixed File Monitor can show List index out of bounds error
3010 Fixed no error on m4a playback when QuickTime isn't installed 
3045 Fixed playing some corrupted MP3 files triggers a freeze
3065 Fixed Direct Sound output plugin division by zero error in some cases
3111 Fixed playing song not in the DB briefly adds it to the DB Location node
3104 Fixed rare 'list index out of bounds error' for File Monitor
3074 Fixed error when quickly refreshing the tracklist
3053 Fixed sorting Now Playing changes sort order of main tracklist
3070 Fixed regression: Tree doesn't have individual years
3069 Fixed playlist content can be duplicated in some cases
3081 Fixed AddTracksFromQuery() function
3068 Fixed player appears to freeze when trying to play inaccessible files
3083 Fixed party mode: tracks can be d&d into playlist when re-ordering is disabled
3049 Fixed regression: cannot play files recorded to Virtual CD
3039 Fixed many winamp plugins no longer work
3063 Fixed scanning multiple value ID3 fields can cause other fields to be skipped
2475 Fixed Album art is sometimes imported out of order if multiple images exist
3044 Fixed regression: Album Art quality was reduced in Alpha 4
3113 Fixed Edit Album Art properties can cause access violation
3122 Fixed Conductors dropdown list contains Artists
2360 Fixed various UI issues with script installation framework
3048 Fixed 'Thread Error: The handle is invalid (6)'
3028 Fixed Track Browser button status can be incorrect

------------------------------------------------------------------

MediaMonkey 3.0.0.1034 Alpha 4

2889 Added ability to integrate scripts with Auto-DJ (see wiki)
2986 Added ability to integrate custom search scripts to Auto-tag from Web function
3015 Added ability to manually trigger debug log (see Forum for instructions)
2953 Added support for new fields in ID3 tags (Disc#, Conductor, Album Gain, Rel. Date)
2972 Added expand/collapse Albums in Album Art view with <ALT>+<Up>/<Down>
     Use <Shift> for multiple albums
2983/3012 Added fields to appear in the Tracklist
3019 Added authenticode signature to stop download warnings
2099 Added Album Art support to CD Burning
3018 Added support for multiple classifications per track
1572 Added live synchronization space indicator for auto-sync list
2981 Added total duration to statistics report
1449 Added support for new fields in AAC tags and fixed various AAC tagging issues
2952 Added support for new fields in WMA tags (Disc#, conductor, Date, classifications,
     involved people, custom fields, multiple attribute fields)
2951 Added support for new fields in OGG tags
2146 Added hotkeys for ratings, search, undo
2812 Added support for different fonts in menus
3000 Added tooltips for Track properties in Album Art view
2971 Added indicator for Total# of tracks in Album Art view
2924 Added additional custom fields
0347 Added ability to restrict quicksearch to current view
3020 Updated CD Burning engine to version 2.04
2994 Improved empty Album Art image
2908 Improved Auto-sync list config panel
2370 Improved mask configuration
2204 Improved Burn CD Again workflow
2990 Improved hotkey shortcuts should be reflected in menus
2988 Improved hotkey panel usability
2802 Improved ratings representation for Album Ratings
2963 Improved skinning capabilities
2969 Improved CPU utilization (better caching) for Album Art views
2824 Improved accessibility of Auto DJ
2976 Improved support for Japanese characters
2955 Improved Album Art window with Maximize button
2948 Fixed regression: Edit controls in skinned mode aren't Unicode ready
3005 Fixed regression: toolbar setting in Party mode overwrites regular toolbar setting
3003 Fixed regression: scrolling property attributes doesn't work correctly in Party mode
3008 Fixed regression: data in custom fields can be deleted in some cases when editing
3006 Fixed regression: empty BPM field always has a value of 1
2989 Fixed regression: hotkeys should not open > 1 instance of a modal dialog
3001 Fixed regression: Album node is lost when its name is mass edited
2967 Fixed regression: Cannot clear Album field in tracklist
2975 Fixed regression: Unchecking 'Infer track properties' causes scanning to freeze
2859 Fixed statistics report fails with new DB
3013 Fixed linked Album Art can be deleted in some cases when editing Track properties
2972 Fixed Album Art view selection problems
2998 Fixed Album Art view doesn't refresh when art is deleted
3016 Fixed usability regressions in auto-type dropdowns
3027 Fixed player image is corrupted when second instance is run
2808 Fixed iPod synchronization: iPods appear incorrectly in Vista
3031 Fixed Scanning large wave files can trigger memory leak
2865/2875 Fixed refresh of tracklist (e.g. scanning) causes view to scroll to the top
3030 Fixed Party Mode isn't protected for Win key + TAB
2966 Fixed Hotkeys behave globally even if not set to global
2941 Fixed SQL error when attempting to browse podcast directory
2843 Fixed access violation when updating podcast
2995/2984 Fixed podcast directory can't be expanded in some cases
2204 Fixed confusing workflow & messaging for multiple disk burns
2770 Fixed classification subnodes can't be renamed
2846 Fixed volume bar gets offset when changing skin options
2982 Fixed playing a flac while converting it triggers an access violation
2961/2993 Fixed playback artifacts while tagging a track during playback
3002 Fixed double-click action doesn't always work correctly in Album Art view
2072 Fixed Disc Burn verification fails when auto-conversion is used
2220 Fixed m3u playlist files aren't burnt correctly
2992 Fixed CD rip / playback problems when multiple CDs are inserted
2985 Fixed quicksearch history / auto-type doesn't work as expected
2979 Fixed iPod synchronization can fail if iPod DB has > 1 identical track IDs
2959 Fixed text in Now Playing view not properly refreshed re. Bold text
2977 Fixed Windows Logon screen can cause MM to freeze
2844 Fixed various freezes of MM
2968 Fixed Autoplaylists - condition Played# = 0 does not work correctly
2945 Fixed resizing of device synchronization settings dialog fails
2965/2956 MediaMonkey graphics improvements
2528 Fixed Winamp 5.3+ Unicode Input plug-ins not compatible
2950 Fixed access violation on shutdown if external device is connected
2942 Fixed minimize/maximize buttons don't always respond

------------------------------------------------------------------

MediaMonkey 3.0.0.1026 Alpha 3

2667 Added Album Art support for flac
1331 Added search history
2825 Added Vista-style hierarchy browser (via 'View')
0347 Added option to restrict Quicksearch to current view
2774 Added multimedia keys to the hotkey list
2753 Added album art management for device synchronization
2417 Improved search node isn't shown unless search history exists
2933 Improved messages for disk spanning
1633 Improved album art management
2904 Improved Auto-sync dialog should be resizable
2887 Improved description of UTF-16 tagging behaviour
2921 Improved debug logging so that it doesn't require an email to be sent
2848 Updated CD Burning Engine to version 2.02
2490 Fixed burning auto-conversion is at high priority
1449 Fixed some AAC m4a tags not read
2936 Fixed queries may show tracks multiple times (e.g. with multiple genres)
2931 Fixed minimizing mini-monkey triggers error
1949 Fixed regression: iPod auto-sync can fail to create playlists
2907 Fixed regression: 'Advanced' option not available on auto-sync list
2914 Fixed tracks on WMDM devices are sometimes synched unnecessarily
2858 Fixed deleting many tracks triggers freeze
2828 Fixed Milkdrop generates an error on visualization startup
2862 Fixed very large OPML 1.0 directories can trigger a freeze
2910 Fixed 'Year' queries don't work correctly
2913 Fixed Now Playing > Edit > Clean can trigger a freeze
2909 Fixed edits to classification can be lost in the Properties dialog
2859 Fixed statistics report fails
2901 Fixed ID3 2.4 tags aren't read correctly for frame > 127 bytes
2902 Fixed Album Art numbering
2902 Fixed Album art not added correctly for tracks in different albums / locations
2903 Fixed some Podcast attributes not read correctly
2900 Fixed send to Playlist from Now Playing window doesn't trigger update
2898 Fixed Auto-Tag from Amazon 'Auto-Tag' button is disabled once used
2899 Fixed extensions on remote files/streams can be read incorrectly
2897 Fixed progress bar blinks when clicking unsyrchronized tracks node
2882 Fixed unsynchronized tracks node can trigger a crash
2896 Fixed prefixes (e.g. 'The') can cause incorrect sorting when switching views
2886 Fixed eMusic ID3 tags read incorrectly
2891 Fixed occasional SQL errors when scanning tracks and/or other db operations
2888 Fixed Volume Bar doesn't work correctly in some cases
2716 Fixed some streams don't display correctly in the player
2849 Fixed MP3 files with a long block of zeros can trigger a crash
2849 Removed in_dsmp3.dll
2881 Fixed exception after MainTree node is edited
2880 Fixed access violation when changing album properties in Album Art view

------------------------------------------------------------------

MediaMonkey 3.0.0.1020 Alpha 2

2558 Added different headers to Now Playing in minimized mode
2237 Added total lockdown to Party mode
2878 Added option to burn same disc again
1991 Added query by Track#
1992 Added query by Media
1985 Added query by Album / Album Comments
0715 Added query by Type
2558 Improved integration of the Mini-Monkey with the Now Playing window
2851 Improved grouping by Album Artist in Album Art views
2834 Fixed occasional access violations in Album Art views
2839 Fixed access violations when user adds album art before view has refreshed
2860 Fixed access violation on addition of Album Art via group properties
2856 Fixed Track # should be shown in AA view instead of play order #
2832 Fixed minimizing progress bar can trigger access violation
2829 Fixed <ctrl><a> in some views triggers access violation
2836 Fixed access violation when user double-clicks on minimonkey to restore
2830 Fixed access violation when winamp is used as the player
2847 Fixed player flickers when docked under tracklist and mouse hovers on it
2841 Fixed access violation on resizing player
2867 Fixed minimized status bars not visible in unskinned mode
2874 Fixed Editing rating from within player triggers apparent change in Now Playing list
2558 Fixed tracks don't play on double-click in Mini-Monkey if player is stopped/paused
2866 Fixed 'All' nodes fail to update to reflect scanning progress
2802 Fixed Album Ratings shouldn't appear editable
2872 Fixed Access Violation for scripts calling GetNodeData 
2850 Fixed podcasts fail to download if episode title contains > 1 line
2857 Fixed occasional freezes from some podcast downloads
2858 Fixed freeze upon removal of many tracks from the library
2840 Fixed access violation on clearing many Genre fields at once
2837 Fixed database version check fails in some cases
2844 Fixed access violation when multiple selects occur
2842 Fixed 'List index out of bounds' error in virtual tree
2854 Fixed auto-tag from Amazon doubles up track listings
2833 Fixed playlist.m3u should be moved from My Music to App Data directory
2827 Updated to FLAC 1.1.4 libraries

------------------------------------------------------------------

MediaMonkey 3.0.0.1017 Alpha 1

2704 Added Vista compatibility for CD playback
2754 Added new themeable player (via msz files)
2389 Added adjustable font sizes in Themes (for Media PC themes)
2583 Added new status bar framework which conserves space
2360 Added new client-side framework for easy installation of scripts (via mmip files)
2399 Added lightweight db (sqlite) for improved performance and reliability
0848 Added ability to display all fields in the Tracklist
1856 Added podcast reader (configurable directories and podcasts)
2253 Added My Documents in the Locations node (needs more work for Vista)
1313 Added iTunes style browser
2699 Added in-tracklist editing of ratings
2524 Added Send-to email
2366 Added the ability to add new folders via Drag and Drop
1273 Added ability to sort the Now Playing list
1273 Added undo capability for changes to the Now Playing list
1988 Added Files to Edit > Unlevelled tracks
2623 Added track selection via spacebar to better comply with accessibility requirements
0104 Added ability to see which playlists a track belongs to
1797 Added empty winamp.exe file to install directory to facilitate winamp plugin installs
2614 Added themeable text to better highlight Burn Wizard warnings
1445 Added ability to burn audio across multiple Audio CDs
2373 Added auto-conversion for CD Burning (e.g. convert Flac on the fly for an MP3 CD)
2242 Added optional warnings to appear in burn wizard when when burn path > 64 characters
2416 Added delete original files option to burn data disc wizard (for archival purposes)
2374 Added 'cache files from network' option for safer burning of non-local files
2521 Added ability to delete tracks in audio cd burn wizard
2173 Added unicode support for disc burning
2072 Added verify disc function for burning
2371 Added much faster audio CD burning via on-the-fly track preparation and larger buffer
1746 Added warning to prevent scanning of a directory containing the Virtual CD
2772 Added option to add tracks to the library on conversion
0097 Added automated volume analysis (optional)
1330 Added Album Gain support
0849 Added ability to edit volume leveling values
2659 Added Micro-Monkey player upon minizing to Tray (currently 'MediaMonkey Desk Player')
0351 Added configurable hotkeys with Global hotkey support
2476 Added remember last node when closing
2505 Added hibernate and sleep options to Sleep function
2180 Added auto-generation of debug logs if MM crashes
1448 Added AAC playback (requires Quicktime)
0117 Added native crossfade support
2545 Added silence removal
2678 Added playback position is bookmarked based on Genre
1380 Added advanced search for 'unknown' fields
2645 Added advanced search for last synched date
1987 Added advanced search for contained in playlist
2335 Added logical operators for quicksearch (' '=AND, ""=exact, ';'=OR)
0096 Added basic logical operators for advanced search ('Any'/'All)
1449 Added AAC tagging
1545 Added improved support for classical music (help file to be updated)
1633 Added global album art configuration settings / improved album art management
1633 Added support for saving Album Art as folder.jpg globally
2667 Added Album Art tagging in FLAC files
2750 Added replay gain support for WMA tags (previously only in DB)
2730 Added Album Art tagging in OGG files
2773 Added linked Album Art locations to FLAC tags
0956 Added WM9 encoding (lossless, Pro, speeach, VBR, CBR-2 Pass, etc)
2605 Added multiple genres support to ID3 tags
2440 Added Send-to My Documents
2147 Added ability to import ratings from jRiver
2655 Added synch support for iPod Gapless mode
2231 Added auto-synch should display number of tracks being deleted
1949 Added synchronization gives more control over auto-generated playlists
2107 Added synchronization config allows user to define formats supported on a device
0714 Added support for multiple Genres, Artists, Albums, CDs
1796 Improved database is stored to Application data instead of My Music
1627 Improved associated file types are not set to 'MediaMonkey file'
2490 Improved burn priority set to High for on-the-fly, and uses default thread priority otherwise
2378 Improved default burn data disk format masks
2212 Improved CD-text usability in the Audio CD wizard
1132 Improved configuration in volume leveling screen (needs more work)
0519 Improved Tooltips behaviour (needs more work)
2731 Improved layout and icons
1807 Improved Auto-tag from Amazon to better display changed tags
2415 Improved Auto-organize with addition masks
2664 Updated to LAME 3.97
2737 Updated FLAC to 1.1.3
2694 Updated Microsoft Windows Media components
2506 Fixed MediaMonkey doesn't work well in multi-monitor environments
2377 Fixed Window Positions not persisted when application is closed
2685 Fixed settings don't persist if application is abnormally terminated
1437 Fixed switching from Winamp back to MM player should trigger Now Playing list to appear
2572 Fixed odbc errors when searching using Chinese characters
2715 Fixed scanning status bar shows track prior to the one actually being scanned
2760 Fixed MediaMonkey can add duplicate entries when a drive is switched from IDE to USB
2643 Fixed MediaMonkey isn't correctly associated with tracks in some environments
2672 Fixed config settings can sometimes be saved to C:\My Music
2695 Fixed file lengths reported incorrectly when headers are incorrect (e.g. MusicMatch rips)
2593 Fixed Audio CD is closed even if 'Allow further writing' is enabled
2575 Fixed if burner/disk fails to initialize, no error message is given
2560 Fixed progress bar shows 'Burning .m3u file' when burning a Single Data file
2550 Fixed non-Gold user cannot click burn if CD/DVD isn't inserted
2549 Fixed Send-to disk has CD/DVD as an available option
0210 Fixed Drag and Drop / Cut & Paste disabled for virtual CD
2460 Removed Virtual CD queue (playlists serve the same function)
2786 Fixed newly added/converted tracks fail to trigger a refresh of the current view
2751 Fixed leveling RVA2 ID3 tags written incorrectly
2692 Fixed leveling RVA2 ID3 tags from Foobar not read correctly
1421 Fixed tracklist scrolls horizontally unnecessarily in some cases
2280 Fixed focus shifts when tracks are added/removed from the view
0266 Fixed Location/Network node shouldn't appear unless tracks are contained within
2526 Fixed wheelmouse works backwards if configured to scroll page at a time
2512 Fixed tray 'restore' function when MM is in foreground causes 'Now Playing' to become hidden
0946 Fixed clicking a Tree shortcut sometimes cause node to display at the bottom of the window 
0700 Fixed <Shift><Delete> should trigger permanent deletion without prompting for choice of method
0021 Fixed empty tree nodes should not have a '+'
0945 Fixed Now Playing transparency stops working after MediaMonkey is restored
1127 Fixed Now Playing transparency blocks confirmation dialogs
0905 Fixed Now Playing doesn't always show the upcoming track
2767 Fixed folder selection dialog can trigger AV, and is slow
2489 Fixed usability issues in folder selection dialog
2548 Fixed invalid MPP files can trigger an access violation
2815 Fixed track never ends after switching back from party mode/full screen
2680 Fixed playcount algorithm should only mark tracks as played when fully played
2726 Fixed playcounts are increased when tracks are paused
2718 Fixed MP3 input plugin introduces slight gaps
1670 Fixed editing tag of currently playing track can lead to 5-10 seconds of repetition
2711 Fixed player timer is stuck at zero if set to count down on a radio stream
0124 Fixed changes in equalizer setting during playback cause audio artifacts
2632 Fixed misc issues with MediaMonkey / Winamp integration
2452 Fixed Auto-DJ performance issues
2674 Fixed copy & paste of autoplaylists doesn't always work
1966 Fixed duplicate detection doesn't give any feedback if no duplicates are detected
2738 Fixed faulty tags in some wave tracks cause them to always remain in unsynchronized tags
2778 Fixed wave tags written by EAsy CD-DA extractor cannot be modified
1765 Fixed auto-tag from Amazon generates incorrect artist info for Various Artist CDs
2165 Fixed My Computer node infers properties of tracks that are already in the DB
2241 Fixed multiple Album Art windows can open for a single file and retain focus incorrectly
2696 Fixed File Monitor adds tracks in 8.3 format on FAT filesystems
2687 Fixed volume leveling information isn't read from LAME info tag
2434 Fixed Volume leveling peak info not stored to MPC tags
2621 Fixed auto-organize tries to organize all checked files even when no change is required
2631 Fixed corrupted MP3 tags are read very slowly
2499 Fixed tagging of tracks in tagging queue can cause damaged Album art
2386 Fixed Auto-organize of large number of tracks leads to an apparent UI freeze
2582 Fixed wording of auto-increment script
2646 Fixed scripting bug: SDB.UI.NewEdit.ControlName = SDB.UI.NewEdit.Text
2782 Fixed MTP synchronization: wmdm driver doesn't delete empty directories
2781 Fixed MTP synchronization: wmdm driver doesn't synch album art from My Computer node
2276 Fixed synchronization: iRiver H Series inaccurately named

------------------------------------------------------------------

MediaMonkey 2.5.5.998

2845 Fixed FLAC tracks not tagged correctly when multiple non-standard metadata blocks are included
2863 Fixed Access violation on adding/pasting Album Art via group track properties

------------------------------------------------------------------

MediaMonkey 2.5.5.997

2800 Fixed non-MediaMonkey ID3 fields (unicode) are tagged incorrectly
2801 Fixed FLAC header not exactly to spec --> compatibility problems with some players

------------------------------------------------------------------

MediaMonkey 2.5.5.996

2792 Fixed moving the currently playing Track may remove the track from the library

------------------------------------------------------------------
MediaMonkey 2.5.5.995 RC-7

2784 Fixed conversion with 'Level Track Volume' --> pre-conversion replaygain value

MediaMonkey 2.5.5.994
2768 Fixed synchronization never completes if auto-synchronization cannot convert a file
2765 Fixed File Monitor can cause links to album art to be lost in some cases
2779 Fixed updates to ID3v2.2 tags causes Album Art to be lost
2771 Fixed conversion of tracks with embedded art to OGG/FLAC creates a link to no art
2759 Fixed some tracks aren't playable with the MP3 plugin when WM cannot process ID3 tag

------------------------------------------------------------------
MediaMonkey 2.5.5.992 RC-6

2758 Fixed FLAC files with unrecognized blocks (incl. Album Art) don't scan/play correctly
2762 Fixed Volume leveling (replay gain) information is lost on conversion

------------------------------------------------------------------
MediaMonkey 2.5.5.991 RC-5

2485 Fixed synchronization: auto-conversion removes album art from tag  
2743 Fixed iPod synchronization: can contain duplicate artists if prefixed by 'The'

------------------------------------------------------------------
MediaMonkey 2.5.5.990 RC-4 (Refresh)

2740 Fixed 'Send to...' doesn't work

MediaMonkey 2.5.5.988 RC-4
2367 Added synchronization of WMA and OGG to MTP devices
2722 Improved iPod synchronization for corrupted iPods
2734 Fixed iPod synchronization: iPod game sounds can be added to the iPod library
2739 Fixed iPod synchronization: browsing iPod during synch can trigger a freeze
2644 Fixed album art may be removed from an iPod on Rebuild Database operation
2725 Fixed volume leveling doesn't work when playing tracks from an iPod in MediaMonkey
2724 Fixed ratings not correctly synchronized to iRiver Clix
2728 Fixed FLAC tracks can be tagged with 2 Ensemble fields
2723 Fixed Scanning of FLAC tracks may fail
2736 Fixed conversion of 24-bit WAV files to FLAC yields faulty tracks
2719 Fixed multiple instances of decoder.exe can occur when auto-converting flac
2709 Fixed .fla extension isn't supported
2735 Fixed reading corrupt WAV tags can trigger a slowdown/freeze
2738 Fixed ogg/flac tags aren't always cleared --> they can be persistently unsynchronized
2732 Fixed some dlls aren't thread safe
2721 Fixed player behaves erratically for tracks > 400 minutes

------------------------------------------------------------------

MediaMonkey 2.5.5.985 RC-3

2707 Fixed iPod synchronization: album art is missing when synched tracks aren't in library
2639 Fixed iPod synchronization: bookmarks are lost on synchronization with iPod Shuffle
2617 Fixed synchronization: devices aren't enabled by default when other devices are disabled
2710 Fixed radio streams can take several seconds to start in some cases
2712 Fixed double-click on header of empty tracklist causes Access Violation

------------------------------------------------------------------

MediaMonkey 2.5.5.983 RC-2

2677 Fixed iPod synchronization: synched playlists can't be played by iPod's alarm clock
2691 Fixed iPod synchronization: when some scripts are used, ratings appear off by 1 star
2690 Fixed conversion can change the length of a track and/or append small part of next track
2683 Fixed visualizations can trigger an access violation in some cases
2684 Fixed scanning a wav file can cause MM to freeze

------------------------------------------------------------------

MediaMonkey 2.5.5.980 RC-1

2536 Added synchronization with Motorola iTunes phones
2663 Fixed synchronization with Zen Vision M: ratings don't synch back to MediaMonkey
2661 Fixed player UI has graphic artifacts on some systems when tagging
2654 Fixed album art doesn't synchronize to 2nd Gen iPod Nano
2660 Fixed disc burning problem on some Win9x/ME systems (hpcde 1.99.3)
2595 Fixed wav tagging bug when ASCII tag contains local language characters e.g. umulauts (thx unzerpum!)
2595 Fixed wav tagging bug when incorect chunk sizes are found in JUNK and PADDING Chunks

------------------------------------------------------------------

MediaMonkey 2.5.4.978

2636 Fixed AutoPlay entries are disabled on install/uninstall
2641 Fixed installation language doesn't 'stick' for non-Admin accounts
2639 Fixed bookmarks are lost on iPod synchronization
2640 Fixed bitrate not reported for FLAC tracks > 25 minutes

------------------------------------------------------------------

MediaMonkey 2.5.4.977 (RC-3)

2618 Fixed track selection via mouse doesn't deselect originally selected track
2622 Fixed iPod plug-in compatibility settings not always enabled by default
2595 Fixed more cases in which WAV tags are not read correctly
2629 Fixed some scripts not working with IE7
2620 Updated Portuguese-Brazil language files

------------------------------------------------------------------

MediaMonkey 2.5.4.975 (RC-2)

2571 Fixed synchronization of Creative Zen devices doesn't work on Windows 2000
2584 Fixed selection of multiple tracks via <Ctrl><Shift>
2551 Fixed highlighting of duplicates in the Burn wizard doesn't work correctly

------------------------------------------------------------------

MediaMonkey 2.5.4.974 (RC-1)

2599 Added Italian back to the installer (newly updated translation)
2553 Fixed Burn wizard freezes on startup on some systems
2610 Fixed Conversion doesn't always transfer Album Art to destination track
2595 Fixed MusicMatch / Goldwave WAV tags may not be read correctly
2601 Fixed minor issues in the German translation

------------------------------------------------------------------

MediaMonkey 2.5.4.971 (Beta 2)

2529 Added Freedb2 as backup to Freedb in case of problems
2537 Fixed iPod Synchronization: Album Art can go missing after using updater 1.2
2510 Fixed conversion of OGG fails sometimes fails halfway through
2510 Fixed occasionally files can't be decoded during conversion
2563 Fixed tags aren't always updated on volume leveling (or whenever a file is locked)
2553 Fixed Burning can take a long time to initialize (upgraded to hpcde 1.99)
2565 Fixed Burning fails if source track is locked
2559 Fixed Burn speed may be invalid if user switches media
2552 Fixed Burning speed is multiplied by 1000 sometimes.
2533 Fixed scans are incomplete with some NAS devices [needs testing]
2573 Fixed Data Execution Prevention policies may prevent Milkdrop from working
2574 Fixed FLAC files restart on their own seek bar is moved to end of track
2566 Fixed debug version of WMDM plugin can crash on 
2567 Fixed MPC files show incorrect bitrate
2564 Fixed <Shift><End> fails to select the last track
2568 Fixed statistics script error on some Windows locales

------------------------------------------------------------------

MediaMonkey 2.5.4.969 (Beta 1)

2530 Added iPod plug-in can create .m3u files (for use with Rockbox firmware)
2553 Improved debug messages to determine why CD Burning freezes when wizard starts
2527 Fixed CD Burning freezes on the last page of the wizard on some systems
2543 Fixed Data Disc Burning of large file can lead to 'Layout cannot be set' error
2551 Fixed Data Disc Burning removes duplicates without warning for tracks not in Library
2534 Fixed Rapid starts/stops can trigger a crash (reported as rating tracks causes crash)
2531 Fixed Send-to sometimes sends incorrect tracks
2518 Fixed FLAC tagging can corrupt tags if they're tagged with ApplicationID
2513 Fixed playback of FLAC files fails when DSP plugins are used
2522 Fixed WMDM Synchronization: disconnected devices may remain in the tree
2514 Fixed some MusicMatch wav tags aren't read correctly
2508 Fixed Scanning some WAV tags can trigger a crash
1422 Fixed Deselection using Shift or CTRL doesn't work correctly
2555 Fixed occasional SQL error when removing Album Art
2159 Fixed Text in the progress bar appears blurry
2533 Fixed scans are incomplete with some NAS devices

------------------------------------------------------------------

MediaMonkey 2.5.3.968

 - Added username/password support for secure streams (e.g. via Slim Server)
 - Updated online help
 - Fixed iPod synchronization/auto-conversion can cause tracks to stop prematurely
 - Fixed connected MTP devices can prevent MediaMonkey from shutting down correctly
 - Fixed CD/DVD burning on some burners (update to burn engine v1.98)
 - Fixed DVD burning doesn't show accurate available burn speeds
 - Fixed Album Art tagging can fail if initiated when track is already in tagging queue
 - Fixed streams from Slimserver don't always display metadata on track change
 - Fixed regression with Preview functionality

------------------------------------------------------------------

MediaMonkey 2.5.3.963 RC-3

 - Added profile for SwiMP3 devices (v2)
 - Added iPod synchronization support for bookmarking when Genre = Podcast
 - Fixed synchronization: Copy .m3u Playlist setting is ignored
 - Fixed thread locking bug (synch lockup, auto-organize issue, etc.) exposed by fixes in RC-2
 - Fixed burning: DVD+RW isn't erased correctly
 - Fixed burning: DVD free space is inaccurate
 - Fixed burning regression: MP3 CD/DVD creation fails in RC-2
 - Fixed showing of empty cells in statistics script

------------------------------------------------------------------

MediaMonkey 2.5.3.959 RC-2

 - Fixed MP3 VBR encoding can produce overly high bitrates
 - Fixed com-related freeze/lockup that occurs when tagging while ripping 2 CDs
 - Fixed scanning MP3 can trigger an Access Violation in rare scenarios
 - Fixed iPod Smartlists are unnecessarily converted to Playlists
 - Fixed regression: sorting by column header truncates column text
 - Fixed problems with folders starting with spaces
 - Fixed Find More from Same Folder (Computer) for network paths

------------------------------------------------------------------

MediaMonkey 2.5.3.956 RC-1

 - Added Synchronization, Playlist, and Burn buttons can have tracks dropped onto them
 - Added Send to device (synchronize) function
 - Improved OGG encoding with new aoTuVb4.51 encoder
 - Improved Field@1 mask should ignore prefixes
 - Fixed various CD/DVD Burning issues with update to burn engine
 - Fixed CD Audio TAO burns have extra four seconds between tracks
 - Fixed iPod browsing occasionally triggers access violation
 - Fixed in place editing is overly sensitive & starts unnecessarily
 - Fixed column auto-resize doesn't work well for ratings column
 - Fixed pre-amp value doesn't properly persist
 - Fixed playback doesn't start sometimes after d&d and doubleclick

------------------------------------------------------------------

MediaMonkey 2.5.3.953 Beta 1

 - Fixed cannot read WMA tag that has a write-protect flag
 - Fixed IE proxy configuration is sometimes read incorrectly
 - Fixed burning method is sometimes blank in unskinned mode
 - Fixed problems with gapless playback of MP3s / streaming issues
 - Fixed synchronization: changed iPod ratings and playcounts sometimes aren't updated in Library
 - Fixed synchronization: Album Art not synchronized to Samsung YP-25
 - Fixed synchronization with Rio Karma
 - Fixed some jpg files cause an error #67
 - Fixed scanning of some corrupted MP3 tracks
 - Fixed writing tags to some non-standard FLAC tracks
 - Fixed volume leveling info not written correctly for APE tracks

------------------------------------------------------------------

MediaMonkey 2.5.2.951

 - Updated translation pack with Croatian (thanks to Emil)
 - Updated online help
 - Fixed ratings & play history not imported from iTunes if int'l characters in filename
 - Fixed playback can start twice in some cases

------------------------------------------------------------------

MediaMonkey 2.5.2.950 RC-3

 - Fixed configuration settings don't persist in some cases
 - Fixed file associations set by the installer can be overwritten in some cases
 - Fixed Synchronization: Empty playlists aren't deleted from MTP devices
 - Fixed corrupt MediaMonkey.m3u file can cause strange behaviour
 - Fixed new format of eMusic .m3u sample playlists fails to play
 - Fixed Rip CD dialog not friendly for the visually impaired

------------------------------------------------------------------

MediaMonkey 2.5.2.948 RC-2

 - Improved Auto-Tag from Amazon search results further
 - Fixed Auto-Tag from Amazon.co.uk adds incorrect tags to Artists
 - Fixed failed write of mediamonkey.ini and mediamonkey.m3u in some cases
 - Fixed Synchronization needlessly synchs tracks with custom masks
 - Fixed Playlist order doesn't persist in some cases
 - Files are incorrectly considered duplicates after conversion
 - Fixed wheel mouse doesn't work in drop down dialogs (e.g. Auto Tag from Amazon)
 - Fixed Album Art window is too insensitive to wheel mouse movement

------------------------------------------------------------------

MediaMonkey 2.5.2.947 RC-1

 - Added command line option to start in Party Mode ( /party)
 - Added command line option to start up and play ( /play)
 - Added track length calculation for VBR files missing header info
 - Added Type-Browsing to Scan Folders dialog
 - Improved auto-tag from Amazon search results when only Artist is known
 - Updated help file
 - Updated default masks
 - Fixed occasional freezes related to file locking
 - Fixed MP3 encoding is slow even at -q 9 (updated to LAME 3.97b2)
 - Fixed FreeDB results should display properly even for incorrectly encoded data
 - Fixed CD Burning: write method is sometimes blank
 - Fixed Audio CD Burning: tracks fail to burn after a faulty file
 - Fixed Audio CD Burning: volume leveling doesn't work correctly
 - Fixed regression: some flac files fail to play correctly
 - Fixed regression: keyboard shortcuts conflict

------------------------------------------------------------------

MediaMonkey 2.5.2.943 Beta 2

 - Added ability to scroll through multiple Album Art entries with wheel mouse
 - Added ability to import metadata from Windows Media Player when scanning
 - Added transparent synchronization support for Sony Ericsson walkman phones
 - Added lyrics support for iPod synchronization
 - Updated flac encoder/decoder to version 1.1.2
 - Improved synchronization speed of MTP devices significantly
 - Improved iPod synchronization when genre = Audiobook (resume playback & not incl. in shuffle)
 - Fixed iPod synchronization - non-music entries (podcasts/movies) are not written correctly
 - Fixed synchronization fails to manually delete tracks on UMS devices using the WMDM plugin
 - Fixed synchronization of tracks via Location node don't use synch mask
 - Fixed synchronization of Album/Artist creates unwanted .m3us for MTP devices with DBs
 - Fixed synchronization of Album Art for some MTP devices
 - Fixed synchronization should never delete filetypes that MM doesn't understand
 - Fixed setting genre to null causes multiple track update
 - Fixed data CD Burning burns tracks in incorrect order
 - Fixed $ character in masks doesn't work as expected
 - Fixed mouse gestures can't be completely disabled
 - Fixed keyboard shortcuts missing for some actions

------------------------------------------------------------------

MediaMonkey 2.5.2.942 (Beta 1)

 - Added lots of scripting fixes and functionality (see script documentation)
 - Added ability to rename iPod
 - Added manual synching of tracks via drag & drop for iPods & other DB-based devices
 - Fixed synchronization with auto-conversion may not fill the device to capacity
 - Fixed synchronization settings don't persist for disabling a device
 - Fixed synchronization of metadata from the device back to the PC doesn't work
 - Fixed synchronization status bar sometimes incorrectly shows 'converting'
 - Fixed iPod doesn't trigger AutoPlay dialog
 - Fixed streaming audio is choppy for some stations
 - Fixed Auto-tag from Amazon displays some unicode incorrectly
 - Fixed Auto-tag from Amazon parsing and problems displaying some comments
 - Fixed tracks may not be found on drive with Volume ID = 0
 - Fixed tracks queued via Explorer are sometimes added to Now Playing twice
 - Fixed focus is lost when tracks are deleted
 - Fixed copy/cut/paste are disabled on Location & My Computer nodes
 - Fixed <Auto number> and <Playlist> masks can't be used for Convert or Auto-organize
 - Fixed $ character in masks is ignored and can cause errors when using Auto-organize
 - Fixed Album Artist tagging in ogg/flac for better compatibility
 - Fixed CMYK Album Art triggers an access violation
 - Fixed Export All Playlists script fails when illegal characters are in Playlist name
 - Fixed FLAC playback doesn't work for non 16-bit per sample streams
 - Fixed volume meter is slow/refreshes slowly for some mp3 files
 - Fixed open threads can cause deadlocks

------------------------------------------------------------------

MediaMonkey 2.5.1

 - Updated Norwegian translation
 - Fixed Data disc burn: save order of playlist tracks is reversed
 - Fixed Disc burning fails when non-unicode characters are present
 - Fixed some buttons are displayed off screen when skinning is disabled

------------------------------------------------------------------

MediaMonkey 2.5.1 RC-4

 - Updated French translation
 - Fixed needless upload of duplicate filenames to iPod or iRiver Hxxx devices

------------------------------------------------------------------

MediaMonkey 2.5.1 RC-3

 - Added Norwegian translation
 - Updated Portuguese Installer text
 - Fixed Random order is sometimes ignored in Auto-Playlists
 - Fixed Synchronization available space calculation isn't always accurate
 - Fixed track count fails to update on deselection via <Shift><Page Up>
 - Fixed corrupt FLAC files stall scanning and can result in crash of decode.exe
 - Fixed hpCDE disc burning logs aren't being generated in debug build
 - Fixed context menu items for script created nodes

------------------------------------------------------------------

MediaMonkey 2.5.1 RC-2

 - Updated Online help with 2.5 features
 - Updated Portuguese, Spanish, and Dutch translations 
   (thanks to Gervasio, Pablo, and UI)
 - Improved priority of disc burn operations has been raised
 - Improved CD Burning: discs should eject by default
 - Fixed Data CD Burning error 'Could not write the image layout to the disk'
 - Fixed Data CD burning  can crash when creating creating .m3u directory
 - Fixed Data CD Burning: .m3u files using prefixes are burned to directories
 - Fixed Data CD Burning: .m3u files still contain some duplicates
 - Fixed Data CD burning: node selection behavior is sometimes incorrect
 - Fixed CD erase: drive list empty on some machines
 - Fixed <Auto Number> mask should default to 3 digits
 - Fixed Synchronization of Virtual CD tracks occurs unnecessarily
 - Fixed Synchronization device node sometimes doesn't have 'Safely Remove Device'
 - Fixed Send-to Folder (Copy) doesn't work in Win 98
 - Fixed Volume Leveling clipping prevention stops some tracks from being releveled
 - Changed Volume Leveling default values to 89 db
 - Fixed scripts that don't display correctly at 144dpi

------------------------------------------------------------------

MediaMonkey 2.5.1.927 RC-1

 - Added iPod synchronization support for Composer field
 - Added first time synch of MTP device --> config screen
 - Added Auto-Synchronize to device context menu
 - Updated French and Dutch translations (Thanks Octopod & UI!!)
 - Fixed app hangs when 'Synchronize as soon as the device is connected' is enabled
 - Fixed synchronization doesn't proceed when user clicks 'Synchronize' in Windows dialog
 - Fixed synchronization: device context menus aren't greyed out if actions not supported
 - Fixed synchronization: Album Art fails to update on device if timestamp hasn't changed
 - Fixed iPod synchronization: strange characters in the device name in some cases
 - Fixed iPod synchronization: AV on reading some iTunes DBs
 - Fixed iPod synchronization: Volume Leveling config shouldn't appear except for Shuffle
 - Fixed Burn Data CD has no size indicator on selection screen
 - Fixed Burn Data CD has 'unknown' nodes (they're unnecessary)
 - Fixed Burn Data CD: duplicates are indicated unnecessarily
 - Fixed Burn Data CD: .m3u contains duplicate track contents when it shouldn't
 - Fixed Burn Data CD: textsearch doesn't work correctly
 - Improved Burn Data CD: Better navigability of .m3u playlists (use of All.m3u)
 - Fixed Shuffle and Auto-DJ should not be mutually exclusive
 - Fixed Party Mode: It's possible to switch tracks even when player actions are disabled
 - Fixed Now Playing toolbars were presented even when entries are disabled
 - Fixed Level Volume and Level Playback volume are off by 6db 
 - Fixed old in_mpg123 plugin crashes when streaming (disable the plugin)
 - Fixed offline tracks are inadvertently edited to get 'URL' in the media field
 - Fixed duplicate detection detects non-existant duplicates from data CDs not in Library
 - Fixed a few more dialogs that display incorrectly at 144 dpi
 - Fixed some missing strings & string corrections
 - Reverted to LAME 3.96.1 (due to problems discovered with 3.97b1)

------------------------------------------------------------------

MediaMonkey 2.5.1.924 Beta 4

 - Added ability to navigate 'My Documents' in Add Folders and My Computer view
 - Added cut and paste of Album Art
 - Updated German translation
 - Improved masks ui: replaced <path> with <folder> (both still work)
 - Fixed Synchronization deletes tracks from the device if on synch list but unavailable
 - Fixed Synchronization can crash with very long filenames
 - Fixed Synchronization fails to update tracks or notify user when tracks are read-only
 - Fixed Synchronization 'Summary': # of tracks is incorrect if auto-conversion is used
 - Fixed Auto-Conversion: MP3-->OGG doesn't transfer metadata
 - Fixed iPod plugin: configuring when unconnected --> exception
 - Fixed iPod plugin: should support multiple devices
 - Fixed iPod Artists node doesn't use 'ignore "The"' sort configuration
 - Fixed Artist Filter results in SQL error
 - Fixed Disc Burning: Drive Type field is empty
 - Fixed Data Disc Burning: some .m3u files cannot be created or are corrupt
 - Fixed Data Disc Burning: .m3u files should be organized in a more useful hierarchy
 - Fixed Data Disc Burning: scrollbar scrolls far below the end of the list
 - Fixed Party Mode: Visualization should be disabled in full-screen mode
 - Fixed in-player volume meter moves slowly on some tracks
 - Fixed track VBRI tags are not read (track length reported incorrectly)
 - Fixed Auto-Tag from Amazon: combo box behaves strangely
 - Fixed Auto-Tag from Amazon: 'select all' doesn't work correctly
 - Fixed regression: Albums display incorrectly in the tree
 - Fixed shortcuts: Party Mode and Album Art
 - Fixed several dialogs have display problems at 144dpi
 - Fixed some localized strings don't appear translated

------------------------------------------------------------------

MediaMonkey 2.5.1.921 Beta 3

 - Added Select All/None checkbox in headers of all relevant dialogs
 - Added configuration for ignoring Artist prefixes (e.g. 'The')
 - Added Tooltips for all new 2.5 config entries
 - Improved masks implementation on Burn Disc dialog
 - Fixed Synchronization: sync to iPod can fail in mid-sync
 - Fixed Synchronization: Tracks appear under 'Movies' on iPod Video
 - Fixed Synchronization: Sort order on iPod sometimes incorrect
 - Fixed Auto-Conversion: Virtual CD tracks are converted needlessly
 - Fixed data disc burning: various glitches in burning .m3u files
 - Fixed data DVD burning: burning at 2x fails on some machines
 - Fixed disc burning: no error when no writable drive exists
 - Fixed disc burning: wizard appears incorrectly in unskinned mode
 - Fixed volume leveling: tags not updated correctly
 - Fixed Net radio: some streams don't play
 - Fixed Net radio: functionality is hidden
 - Fixed scanning: Album art only read when < 20 tracks in directory
 - Fixed Advanced Search (again): some genres are missing from criteria list
 - Fixed shorcuts: back 5 seconds & Party Mode
 - Fixed Access violation on Alt-F4
 - Fixed party mode: improve default settings
 - Fixed Auto-DJ configuration is 'hidden' in Now Playing config
 - Fixed glitches in Blue Monkey and Brushed Monkey skins
 - Fixed conversion error text: no indication that DRM causes the problems
 - Fixed Visualization icon and Net Radio icon
 - Fixed UI text in burn wizard + various other locations

------------------------------------------------------------------

MediaMonkey 2.5.1.918 Beta 2

 - Added Album Art support for iPod Video
 - Added support for MS DRM v1, v7, v9 (can now play tracks from Napster, etc.)
 - Added to data disk burning: burning of .m3u files
 - Added to data disk burning: improved control over Playlist masks
 - Added option to prevent unwanted devices from appearing in the tree
 - Added read more wav metadata (MusicMatch, AudioGrabber, BSI tags)
 - Updated LAME to version 3.97
 - Fixed burning: VCD files fail to burn to data disc
 - Fixed burning: Audio CD disk space indicator gives misleading status
 - Fixed burning: 'Show checked' button doesn't work correctly
 - Fixed Party Mode: unable to lock repositioning of dialogs
 - Fixed Party Mode: audio controls aren't disabled
 - Fixed Party Mode: configuration workflow is too complex
 - Fixed Party Mode: shuffle/repeat buttons can display incorrectly
 - Fixed Party Mode: Now Playing dialog isn't independent of normal mode
 - Fixed Auto-DJ: Unclear how to enable it (add 'enable' to the options dialog)
 - Fixed visualizations: Artist/Title metadata doesn't display in G-Force
 - Fixed advanced search: in some cases some Genres don't appear as criteria
 - Fixed advanced search:  incorrect results for 'Genre' doesn't contain 'xxx'
 - Fixed minimize to Now Playing dialog minimizes/maximizes incorrectly
 - Fixed problems with Unicode characters in masks
 - Fixed paused state persists incorrectly
 - Fixed OGG/FLAC ALBUM ARTIST tags aren't read (only ENSEMBLE is)
 - Improved open File/URL dialog
 - Improved text UI (Auto-DJ config, Burn wizard, mp3 settings)
 - Changed Party mode and Visualization icons
 - Changed Auto-Conversion to a Gold feature

------------------------------------------------------------------

MediaMonkey 2.5.1.913 Beta 1

 - Added duplicate prevention for playlists
 - Added Auto-DJ toggle function to menu bar
 - Added new <Folder:x> mask
 - Added Croatian to the Language installer (thanks to Emil Bobesic)
 - Fixed iPod synchronization: some tracks synched to iPod cannot play
 - Fixed iPod synchronization: synch sometimes halts right after it begins
 - Fixed iPod synchronization: plugging in iPod can trigger a crash
 - Fixed iPod synchronization: occassionally fails to release MM resources
 - Fixed wmdm synchronization: playlists don't synchronize to some devices (H-10)
 - Fixed wmdm synchronization: year metadata not visible (H-10, Zen Sleek, etc.)
 - Fixed wmdm synchronization: duplicate MTP devices appear (requires uninstall)
 - Fixed Play Now context menu plays focused track (vs. selected tracks)
 - Fixed minimizing device node causes Search node dialog to pop up
 - Fixed Party Mode: Shuffle and Repeat shouldn't be configurable
 - Fixed Party Mode: No ability to disable volume & balance control
 - Fixed Party Mode: Seek bar should be disabled when Stop/Play now is
 - Fixed Party Mode: It shouldn't be possible to enable/move toolbars
 - Fixed Auto-DJ isn't random enough
 - Fixed Auto-DJ doesn't play tracks from Virtual CD
 - Fixed Auto-Tag from Amazon: Comments shouldn't be enabled by default
 - Fixed Auto-Tag from Amazon: Javascript causes problems on high security systems
     Added ability to turn off Javascript via [AlbumBrowser] UseJavaScript=1
 - Fixed Auto-Play dialog support for WinXP fails on some systems
 - Fixed DVD burn speed options not all listed & listed with incorrect speeds
 - Tweaks to File Monitor + additional logging
 - Fixed incorrect focus behaviour for some dialogs
 - Improved UI: Synchronization, Auto-DJ config

------------------------------------------------------------------

MediaMonkey 2.5 Alpha 5

 - Added auto-fix to Windows Jet DB deregistration problems
 - Added playlist nodes for USM devices (view/edit/remove)
 - Added playlist nodes for MTP devices (view/remove)
 - Fixed synchronization crashes with some MTP devices on debug build
 - Fixed synchronization: tracks synched needlessly on playcount changes
 - Fixed synchronization: transfer to iPod sometimes fails in mid-sync
 - Fixed synchronization: Album Art fails on inital sync to iPod
 - Fixed synchronization: can't manually delete tracks from Zen Touch
 - Fixed synchronization: playlists don't sync to H10
 - Fixed synchronization: auto-converted tracks don't appear on some devices
 - Fixed synchronization: some tracks uploaded to iPod don't play
 - Fixed synchronization: synchronization is terminated sometimes
 - Fixed synch list/burn list: tree doesn't expand if 'Show All' enabled
 - Fixed burn spanning multiple disks: confusing flow / too many dialogs
 - Fixed burn spanning multiple disks: free space check sometimes incorrect
 - Fixed on-the-fly erase during burn: confusing workflow
 - Fixed file  triggers duplicates sometimes
 - Fixed Auto-DJ isn't sufficiently random
 - Fixed Auto-DJ shouldn't try to play unavailable tracks
 - Fixed Audio CD burn wizard usability/consistency
 - Fixed cosmetic issues with the Brushed Monkey skin

------------------------------------------------------------------

MediaMonkey 2.5 Alpha 4

- Added CD Burning - Disk Spanning
- Added Synchronization auto-conversion tools
- Added Synchronization option to not delete specified folders
- Added Synchronization Album Art support for iPod Nano
- Added striped background support for skins & Brushed Monkey skin
- Fixed Data CD burning mask sometimes doesn't update
- Fixed Data CD burning disk space indicator is inaccurate
- Fixed Data CD burning TAO burns sometimes fail
- Fixed Data CD burning --> Access violations on unrelated operations
- Fixed Data CD burn status indicator
- Fixed Erase CD sometimes doesn't work
- Fixed Freedb metadata isn't looked up for some Rip CD operations
- Fixed database cannot be read in some rare cases when upgrading
- Fixed USB drive results in duplicate entries in some cases
- Fixed problems when searching for consecutive characters (e.g. LL)
- Fixed synchronization: Memory leaks cause a range of problems
- Fixed synchronization: H320 isn't always recognized
- Fixed synchronization: track metadata can't be browsed on USM devices
- Fixed synchronization: device duplicates appear
- Fixed synchronization: freezes if synch button clicked right after connecting
- Fixed synchronization: occassional problems with iPod Album Art
- Fixed synchronization: iPod phantom entries (artist/album/genre)
- Fixed Play Next can cause an Out of Bounds error
- Fixed Access Violations when MS Help isn't correctly installed
- Fixed compatibility problems with Win95 & NT
- Fixed .m3u playlist export isn't in scripts folder
- Improved UI/workflow (Rip CD dialog, Synch UI, Burn Wizard, Config)
- Removed unneeded synchronization plugins

------------------------------------------------------------------

MediaMonkey 2.5 Alpha 3

- Added Data CD Burning & many UI changes -- for real this time :)
- Added Album Art synchronization for iPod Photo
- Added Volume Leveling for iPod Shuffle
- Fixed tracks on VCD cannot be burned
- Fixed iPod Shuffle volume is too low
- Fixed File Monitor regression from earlier alphas
- Improved synchronization UI and default synch masks
- Updated CD burning engine

------------------------------------------------------------------

MediaMonkey 2.5 Alpha 2

- Added basic Data CD Burning (still more to do)
- Added Auto-Play dialog support for WinXP (for CDs and Devices)
- Added encoding plug-in framework so others can add encoding protocols
- Added flac encoder (using the new encoding framework)
- Added synchronization support for Creative devices (& possibly others)
- Added Eject device hack for USB MS devices using WMDM driver
- Fixed synchronization: wmdm.dll doesn't release memory resources
- Fixed synchronization: access violation when brownsing iRiver Hxxx Database
- Fixed 'Back' button doesn't work correctly from Search node
- Fixed Auto-DJ is erratic when Shuffle/Replay are enabled (disabled Auto-DJ)
- Fixed Double-click on white space in track list --> tracks advance
- Fixed options dialog is inaccessible when MM is unskinned
- Fixed converting via 'Send to' menu doesn't include Album Art
- Fixed auto-tag from Amazon: 'unspecified error'
- Fixed auto-tag from Amazon: inaccurate results for search terms with numbers
- Fixed File Monitor monitors the recycle bin when entire drive is monitored
- Fixed .pls should be associated by default so radio plays in MM by default
- Fixed regression: some translated strings don't appear localized
- Improved reading of incorrect ID3 tags
- Improved wording/layout of several dialogs

------------------------------------------------------------------

MediaMonkey 2.5.1.896 (Alpha 1)

- Added Synchronization support for iPod Shuffle
- Added Synchronization support for 'Plays for Sure' (MTP) devices
- Added one-touch synchronization for all flash devices (similar to iPod Shuffle)
- Added 'show checked' button to easily display tracks on synch list
- Added Party mode
- Added basic Auto-DJ functionality (see Now Playing config)
- Added ability to import iTunes / Winamp ratings & play history on scans
- Added ignore 'The' in Artists name for sorting purposes
- Added auto-complete for commonly used fields (Artist/Album/Genre...)
- Added ability to select all/none in various dialogs
- Added more fine-grained control over default playback behaviour
- Added ability to disable mouse gestures
- Added in-place conversion (in addition to conversion to new location)
- Added 'Eject CD after ripping'
- Added proxy support for streaming (in addition to freedb)
- Added ability to export all playlists to .m3u files at once
- Added script: auto-increment track#
- Added script: switch Artist <--> Title
- Added script: Case Checker
- Fixed MPC metadata sometimes isn't read correctly
- Fixed MPC technical info missing for profile 'Radio'/Q5 or lower
- Fixed attempts to read tag on non-existant flac file causes freeze
- Fixed File Monitor: first file per directory sometimes not read correctly
- Fixed auto-complete usability kinks in skinned version
- Fixed Track# = 256 is always listed as 'unsynchronized'
- Fixed 'Double-click Action' should also work in Now Playing node
- Fixed Auto-Tag from Amazon: unspecified error dialog
- Fixed Auto-Tag from Amazon: access violation
- Fixed empty folders sometimes aren't removed after Auto-Organize
- Fixed File Monitor startup scan can cause duplicates in some cases
- Fixed rounding problems in statistics report
- Fixed font color in status bar cannot be changed in skins
- Fixed Playlists that are deleted appear in send-to history list
- Fixed multiple concurrent synchronization operations shouldn't occur
- Fixed Artist/Title should be split in Milkdrop to display better
- Improved image  quality for Album Art (bicubic resampling)
- Improved usability of 'Show checked' in synch dialog
- Improved usability of Freedb lookup so that menu isn't greyed out
- Improved shutdown time (shorter)
- Improved wording on numerous dialogs

------------------------------------------------------------------

MediaMonkey 2.4.2

- Fixed tracks synchronize to iPod needlessly to update play count
- Fixed half-star ratings change when synching from iPod

------------------------------------------------------------------

MediaMonkey 2.4.2 RC-1

- Added basic MP3 and OGG streaming
- Fixed tagging problems with latest version of FLAC encoder
- Fixed empty Genre field in OGG/FLAC tags can be filled incorrectly
- Fixed fields aren't auto-selected for multiple track edits
- Fixed lack of message during connection to update server
- Fixed long titles don't display correctly in Milkdrop visualization
- Fixed non-English Custom field names sometimes labeled incorrectly
- Updated German translation (Onkel Enno)

------------------------------------------------------------------

MediaMonkey 2.4.1

- Fixed iPod synchronization problems when insufficient space remains for the DB
- Updated French translation (Octopod)
- Updated German translation (Onkel Enno)
- Updated Spanish translation (Pablo)
- Updated Italian translation (Arg0)
- Updated Dutch translation (UI)
- Updated Czech translation (Jiri)
- Updated Polish translation (JaroU)

------------------------------------------------------------------

MediaMonkey 2.4.1 RC 1

- Added support for UTF-16 to iPod plugin (used in iTunes 4.8)
- Updated online help / documentation
- Fixed localization issues (missing text)
- Fixed synchronization settings can be lost when foreign languages are used

------------------------------------------------------------------

MediaMonkey 2.4.1 Beta 2

 - Improved text / UI in registration dialog
 - Updated documentation / online help
 - Fixed bidirectional iPod synchronization corrupts files in some cases
 - Fixed Generic Portable/Audio devices should have a default name
 - Fixed tree scrolls horizontally too much when node text is long

------------------------------------------------------------------

MediaMonkey 2.4.1 Beta 1

 - Added new device icon for iPod
 - Added ability to delete extra iPod device plugins by right-clicking them
 - Added ability to edit iPod tracks on the device from within MM & synch DB
 - Added ability to add .GIF files as album art
 - Added functionality to fix damaged MS Jet installations
 - Added new serial number registration functionality
 - Replaced outdated G-Force plugin with Milkdrop
 - Removed unlimited MP3 encoding for patent compliance in new installs
 - Fixed extra iPod plugin instance can be created if iTunes is present
 - Fixed iPod synchronization creates unneeded Playlists for Artist, Album
 - Fixed iPod device name changes when iTunes is run
 - Fixed synchronizing selected playlists doesn't create playlist on iPod
 - Fixed search via searchbar occasionally hangs
 - Fixed failed mass edits of Original Year field
 - Fixed some FLAC files still don't play
 - Fixed playlist order can get corrupted under heavy usage
 - Fixed misc UI issues

------------------------------------------------------------------

MediaMonkey 2.4.1.854 Alpha 3

 - Added Firewire support for iPod synchronization
 - Added support for iTunes-style folders on the iPod (so all tracks will play)
 - Added Playlist display and editing for iPod synchronization
 - Improved device synchronization speed
 - Improved device synchronization: device can be disconnected via the toolbar
 - Improved iPod synching: device database is used by default for browsing
 - Improved iPod synching: all tracks on the device appear in the device node
 - Fixed iPod synch: Playlists are deleted if not on the synch list
 - Fixed iPod synch: Ratings changed in MediaMonkey don't appear updated on iPod
 - Fixed iPod synch: Synching On-the-go Playlists deletes them from iPod
 - Fixed some operations lock files needlessly (preventing iPod from ejecting)
 - Fixed out-of-spec FLAC files don't play
 - Fixed Auto-Tag from Amazon fails if invoked via Properties dialog
 - Fixed 2.2-->2.3/2.4 upgrade problems (db-related) that occur on some systems

------------------------------------------------------------------

MediaMonkey 2.4.1.853 Alpha 2

 - Added ability to auto-unmount after auto-synchronizing an iPod
 - Added tooltips to Auto-Synchronization list to show space used by selections
 - Improved presentation of iPod device name
 - Fixed iPod won't play tracks synched with long filenames or foreign characters
 - Fixed multiple playlists accumulate on iPod after numerous Auto-Synchronizations
 - Fixed playlists synched to iPod should be sorted alphabetically
 - Fixed Auto-Tag from Amazon & tagging sometimes cause 'Floating point errors' 
 - Fixed Clicking 'Summary' on Auto-Synchronization list triggers access violation
 - Fixed CD burning problems on Windows 95/98/ME

------------------------------------------------------------------

MediaMonkey 2.4.1.851 Alpha 1

 - Added iPod synchronization
 - Added Auto-Tag from Amazon for Amazon.fr and Amazon.ca
 - Fixed FLAC tracks' APE tags aren't read when ID3V2 tag exists
 - Fixed eject CD after burn doesn't work
 - Fixed Test & burn can create incorrect track numbering or coasters
 - Fixed genres with a '(' aren't always read correctly
 - Fixed occasional error while scanning the Now Playing queue
 - Fixed leading zeros in Track# aren't stored to tags
 - Fixed some legal characters are disallowed in filenames
 - Fixed paths entered manually in the Scan Folders dialog aren't parsed correctly
 - Fixed browsing device nodes can trigger an access violation on exit
 - Fixed playlist statistics in the synchronization dialog are incorrect
 - Fixed settings don't persist if MediaMonkey doesn't close correctly

------------------------------------------------------------------

MediaMonkey 2.3.1.845

 - Fixed CD ripping is extremely slow in some cases
 - Fixed advanced device synchronization options don't persist
 - Fixed access violation when closing Auto-Tag from Amazon while art is loading

------------------------------------------------------------------

MediaMonkey 2.3.1.843 RC-5

 - Improved robustness of ID3 tagging code
 - Fixed Auto-Tag from Amazon sometimes initiates incorrect search
 - Fixed error message can appear unnecessarily during loading of Now Playing list
 - Fixed Albums not listed alphabetically in Auto-Synchronization Tab

------------------------------------------------------------------

MediaMonkey 2.3.1.842 RC-4

 - Updated online help
 - Fixed confirmation dialogs can be obstructed by transparent Now Playing window
 - Fixed Now Playing Album Art sometimes doesn't display on startup
 - Fixed selection remains after deleting tracks from Now Playing
 - Fixed regression: node contents aren't visible on node expansion
 - Fixed Auto-Tag from Filename: using <Artist> can overwrite Album Artist
 - Fixed rare access violations on exit

------------------------------------------------------------------

MediaMonkey 2.3.1.841 RC-3

 - Updated German translation
 - Fixed occasional ODBC error on scanning operations
 - Fixed selecting/unselecting > 1500 folders in Add Folders dialog --> slowdown
 - Fixed Auto-tag from Amazon: tracks with '?' are updated even if unselected
 - Fixed tree doesn't scroll for drag and drop to non-visible nodes
 - Fixed directory is locked after .m3u file or report is saved
 - Fixed first 'n' tracks in Now Playing are missing properties on startup
 - Fixed first track in a node appears incorrectly when file is accessed via external .m3u

------------------------------------------------------------------

MediaMonkey 2.3.1.839 RC-2

 - Added ability to disable skin themes in the installer
 - Added progress bar to show Now Playing list loading
 - Added Album Artist to Advanced Search/AutoPlaylist queries
 - Fixed File Monitor doesn't work for tracks moved via the My Computer node 
 - Fixed Album Artist field can be converted to Artist during scan for some tracks
 - Fixed strange behaviour when Album or Artist node is renamed to ""
 - Fixed some filters don't work at all
 - Fixed <Field@x> and <Field:-x> mask don't display correctly
 - Fixed default action of drag&drop to portable device should be copy
 - Fixed synchronization can delete non-audio file types
 - Fixed user can inadvertently disable 'Apply to all tracks' in Album Art Properties dialog
 - Fixed Auto Tag from Amazon: Auto-complete is overly aggressive
 - Fixed clipping in MP3 tracks causes the track to skip to the end
 - Fixed some Winamp General Plug-ins cause MM to crash on exit
 - Fixed xml report doesn't work
 - Fixed online help links

------------------------------------------------------------------

MediaMonkey 2.3.1.836 RC-1

 - Added SwiMP3 Portable Audio Device plugin
 - Added switch to disable MultiMedia keyboard processing for problem keyboards via .ini file
 - Updated online help for new 2.3 features
 - Updated German, Russion, Italian, and tweaked French, Dutch localizations
 - Fixed Auto-Tag from Amazon always updates Track #
 - Fixed Auto-Tag from Amazon focus should be on the search bar
 - Fixed Auto-Tag from Amazon umlauts don't display correctly
 - Fixed Auto-Tag from Amazon shouldn't open multiple windows for multiple searches
 - Fixed Auto-Tag from Amazon shouldn't select tracks with a '?' by default
 - Fixed location of Amazon store doesn't persist
 - Fixed Auto-Organize should by default use all digits in the track# field
 - Fixed misc. text/graphics glitches

------------------------------------------------------------------

MediaMonkey 2.3.1.834 (Beta 5)

 - Added Flac playback plugin
 - Added Flac tagging plugin
 - Added check/workaround for Microsoft MDAC/Jet de-registration problem
 - Updated Dutch, French, Spanish localizations for 2.3 features
 - Fixed minor issues in html tracklist report
 - Fixed Now Playing / Album Art refresh problem
 - Fixed auto-organize memory allocation error

------------------------------------------------------------------

MediaMonkey 2.3.1.832 (Beta 4)

 - Optimized linkages of .dlls for faster startup
 - Fixed security vulnerabilities in in_mpg123 plugin
 - Fixed themed radio buttons/checkboxes for visually impaired users
 - Fixed more Generic Portable/Audio Device node refresh issues
 - Fixed scripts aren't correctly updated from MM 2.2
 - Fixed USB-attached CD-ROM inaccessible on some systems
 - Fixed Auto-Tag from Amazon doesn't work for tracks in the Virtual CD
 - Fixed Tag Update progress indicator sometimes doesn't appear
 - Fixed several Localization-related bugs

------------------------------------------------------------------

MediaMonkey 2.3.1.831 (Beta 3)

 - Added Statistics Report contributed by The Rocket
 - Added ability to optionally not delete folders emptied by Auto-Organize
 - Added random albums to AutoPlaylists
 - Added link to Alternate Freedb Servers in config panel
 - Added ability to Uncheck All in Synchronization list
 - Added Auto-Tag from Amazon settings should persist
 - Added Auto-Tag from Amazon support for German, Japanese, UK store lookups
 - Improved Auto-Tag from Amazon so it can be re-used without closing each time
 - Fixed Auto-Tag from Amazon includes html tags in comments
 - Fixed Auto-Tag from Amazon tagging of 'Medium' size images fails
 - Fixed Auto-Tag from Amazon access violation on Win 98
 - Fixed memory leak in Auto-Tag from Amazon code
 - Fixed Album Art dialog settings don't persist
 - Fixed removal of linked Album Art doesn't delete images from the file system
 - Fixed Generic Portable/Audio Devices sometimes don't disappear from the tree
 - Fixed Auto-Organize is slow when performed on large number of files
 - Fixed <Field@y> mask doesn't work for last letters in the alphabet
 - Fixed access violation in some cases on property edit
 - Fixed 'Modify timestamp when updating tags' setting is ignored in some cases
 - Fixed Copy to Device from NP Window doesn't work
 - Fixed MP3s with incorrect XING headers are scanned/played correctly
 - Fixed RVA2 volume leveling not saved to MP3 tags exactly according to spec
 - Fixed regression: sort by path doesn't work correctly
 - Fixed Tab arrow problem & other UI issues

------------------------------------------------------------------

MediaMonkey 2.3.1.826 (Beta 2)
 
 - Added ability to move accompanying files on Move / Auto-Organize
   - Fixed linked Album Art is lost when Auto-Organize is used
   - Fixed empty directories aren't deleted when on Auto-Organize
 - Fixed numerous issues with Auto-Tag from Amazon
   - Fixed Auto-Tag from Amazon doesn't work via the Properties dialog
   - Fixed Auto-Tag from Amazon tags empty image if no album art is found
   - Fixed fields in the Auto-Tag from Amazon dialog aren't editable
   - Fixed (hopefully) access violations on some systems Auto-Tag from Amazon
   - Fixed configuration settings of Auto-Tag from Amazon dialog don't persist
   - Fixed image location config setting changes when saving to OGG file
 - Fixed multiple track selection doesn't unselect when selecting selection subset
 - Fixed more UI / text / context menu / icon issues

------------------------------------------------------------------

MediaMonkey 2.3.1.822 (Beta 1)

 - Added Auto-Tagging functionality based on Amazon lookups (replaces Album Browser)
 - Added 'Remove Image' should give option to remove image from all tracks on album
 - Added ASCII DB format for iRiver plugin (unicode doesn't work 100% on H1xx devices)
 - Fixed iRiver plugin synch tracks to iRiver DB out of order
 - Fixed iRiver plugin sometimes truncates tracks incorrectly
 - Fixed duplicate portable device nodes may be added to the tree
 - Fixed .wav files sometimes hang scanning or are scanned incorrectly
 - Fixed remaining Album Art refresh problem
 - Fixed access violation when output plugin isn't found
 - Fixed further mp3 input plugin for playback of damaged files
 - Fixed OLE Drag and Drop of folders into Now Playing
 - Fixed track selection can trigger file scans freeze
 - Fixed misc. text and cosmetic issues

------------------------------------------------------------------

MediaMonkey 2.3.1.818 (Alpha 3)

 - Added Plugin for Pontis Media portable player
 - Added support for multiple Generic USB Mass Storage Devices
 - Added ability to choose which device to configure/synch if multiple profiles exist
 - Added limits on filename sizes for synching with iRiver devices
 - Added Drag & Drop between MediaMonkey and other applications
 - Added Files to Edit: Unknown Album Art node
 - Added ability to save search as AutoPlaylist in context menu
 - Added 'Always on top' configuration for minimized 'Now Playing' dialog
 - Added currently playing track in Now Playing persists when MM is closed/reopened
 - Fixed scanning of .wav files slows/freezes on corrupt .wav files
 - Fixed some damaged MP3 files never end
 - Fixed files in Now Playing list are occasionally incorrectly marked as unavailable
 - Fixed incorrect scans (missing characters) when track ends in spaces
 - Fixed database isn't correctly updated for changes to off-line tracks
 - Fixed regression: Find more from same folder (Library) doesn't work
 - Fixed auto-organize functionality can move tracks in the virtual CD
 - Fixed Album Art not displayed for tracks on the virtual CD
 - Fixed Album Art may be lost by using arrows on Properties dialog to switch tracks
 - Fixed Album Art is added in duplicate on rescans
 - Fixed Album Art window refresh issues on updates
 - Fixed extra metadata in .m3u files is problematic for some 3rd party apps
 - Fixed shutdown problems on Win98
 - Fixed deleting .m3u files via My Computer doesn't send them to recycle bin
 - Fixed 'All' nodes are configurable regardless of tree configuration
 - Fixed debug build now generates useful logs in skinless mode
 - Fixed misc. UI issues (confusing text, missing icons & graphics, etc.) 

------------------------------------------------------------------

MediaMonkey 2.3.1.811 (Alpha 2)

 - Added .m3u playlists are now represented in the My Computer node
 - Added ability to create new folders in the My Computer node
 - Added 'Show All' functionality to My Computer node
 - Added some basic tree configuration options
 - Added scripting is now part of MediaMonkey standard functionality
 - Added ability to add/remove album art for all tracks on an Album
 - Added ability to disable the Album Art window title bar
 - Added ESC closes Album Art image window
 - Fixed Album Art window doesn't update in response to changes in the Properties dialog
 - Fixed database errors / access violations related to Album Art
 - Fixed paths to Album Art covers should consistently be relative
 - Fixed save Album Art to tag option isn't disabled for non WMA/MP3 files
 - Fixed WMA playback/scanning problems
 - Fixed CD burning doesn't work on some systems with 2 CD drives
 - Fixed minor UI bugs

------------------------------------------------------------------

MediaMonkey 2.3.1.808 (Alpha 1) 

 - Added native Audio CD burning (Nero is no longer required)
 - Added wheel scrolling on mouseover on main panel
 - Added Album Art features
   - Tagging (optional for MP3/WMA
   - Linked graphics for other formats
   - Display during playback
 - Added ability to rename custom fields via options menu
 - Added/Improved portable device synchronization significantly
   - Added Portable Device Plugin interface (API not yet published)
   - Added iRiver H-xxx device plugin (tested only with H-320 device--see readme)
   - Added ability to view/synch the device database from MediaMonkey
   - Added Auto-Synchronization based on Artists, Albums (in addition to Playlists)
   - Added support for custom synchronization masks (e.g. different format for audio books)
   - Improved portable device configuration UI
   - Improved portable device representation--now appears directly in the tree
   - Improved OGG Vorbis encoding quality with switch to Libvorbis 1.1
   - Fixed relative paths aren't supported in iRiver H-xxx devices
   - Fixed need to delete existing tracks from the device before first-time synch
 - Added various new mask features
    - <Path> - Returns full path of the track
    - <Path:n> - Returns path without the first 'n' folders in the hierarchy
    - <Path:-n> - Returns path of the last 'n' folders in the hierarchy
    - <AnyField@n> - Returns a group of n letters where 1 is the first letter of the chosen field
 - Added tagging for .wav files
 - Added ability to configure 'Play Next' as the default double-click action
 - Fixed ripping fails on directory creation if File Monitor is active on the directory
 - Fixed performance issues when recalculating paths in the conversion dialog
 - Fixed 'ghost' entries occasionally appear in the db
 - Fixed some DB fields are unnecessarily short
 - Fixed last character of ID3v2 tags are incorrect in some cases
 - Fixed Various Artist albums are sometimes scanned into too many albums
 - Fixed Album Browser settings don't persist
 - Fixed numerous CD playback problems
   - Fixed CD Reader ASPI settings sometimes not used properly
   - Fixed changes to CD drive letter can interfere with playback
   - Fixed removable CD devices sometimes function incorrectly
 - Fixed player 'previous' button doesn't work in some cases
 - Fixed volume jumps if sleep mode is enabled just before machine turns off
 - Fixed mass edit of track properties incorrectly displays year and track #
 - Fixed track length is reported incorrectly via the Winamp API
 - Fixed explorer shell commands aren't localizable
 - Fixed minor UI bugs / UI cleanup

------------------------------------------------------------------

MediaMonkey 2.2.3

 - Fixed MP3 plugin fails on older Win 9x / ME systems that are missing some .dlls
 - Fixed portable device synchronization sometimes fails on Win98/ME
 - Fixed BPM field may not be read if it includes a decimal component

------------------------------------------------------------------

MediaMonkey 2.2.2 RC-1

 - Added command (39999) to Winamp API for Play/Pause button
 - Fixed <shift><delete> or <ctrl><x> of text in Properties dialog can --> track deletion
 - Fixed 'Find more from...' doesn't work from My Computer node
 - Fixed several issues when Winamp is the player
   - Fixed access violation when editing multiple tracks
   - Fixed 'Now Playing' sorting (disabled it)
   - Fixed currently playing track isn't automatically visible in 'Now Playing'
   - Fixed classification toolbar doesn't work in 'Now Playing'
   - Fixed <ctrl><shift><+> tries to expand the entire tree
 - Fixed unicode characters in genres --> CD metadata not written correctly to cdplayer.ini
 - Fixed 'Get Track Details' in Properties dialog doesn't search based on up-to-date info
 - Fixed converted/ripped tracks aren't added to 'Recently added tracks' playlists
 - Fixed skin theme is overridden only for the first instance of MediaMonkey
 - Fixed showing of default value when release date isn't available in album browser
 - Fixed regression: Now Playing menu bar doesn't indicate 'enabled' status 
 - Fixed glitch when dragging and dropping an entire tree node

------------------------------------------------------------------

MediaMonkey 2.2.2 Beta 1

 - Updated LAME to version 3.96.1
 - Fixed dialog layout problems
 - Fixed unicode support in Album Browser
 - Fixed misc. UI Skinning issues

------------------------------------------------------------------

MediaMonkey 2.2.2 Alpha 1

 - Added ability to sort AutoPlaylists by Custom fields
 - Added Clean Database should also compact it
 - Added Play command to several top level nodes
 - Added MPC/APE for default file associations
 - Added new masks to allow subsets of a field to appear
 - Added beta support of new functionality to better integrate scripts with MediaMonkey UI:
   - Create menu items/ pop-up menu items, toolbar items, tray icon menu items & shortcuts
   - Create new dialogs with controls to edit lines, buttons, drop downs, etc.
   - Create any new hierarchy of tree nodes
 - Updated help file to describe new advanced masks functionality
 - Fixed extended APE2 tags can be deleted on APE or MPC files
 - Fixed APE tracks can be corrupted if tagging previously untagged APE files
 - Fixed M3U playlists sometimes aren't properly processed during scanning
 - Fixed ID3 comments field is occasionally filled with advanced properties and vice versa
 - Fixed ID3 tagging occasionally fails (memory leak)
 - Fixed 'MusicMatch tags' aren't written in a format that is readable by other players
 - Fixed scans sometimes fail partway through an .m3u file
 - Fixed minimize via taskbar doesn't work when 'Minimize to tray' is enabled
 - Fixed popup notifications do not always work correctly
 - Fixed advanced playlist size limitation of 10 GB
 - Fixed MediaMonkey shuts down when it shouldn't in response to some scripts
 - Fixed bitrate field shouldn't be editable
 - Fixed Freedb Unicode support
 - Fixed Audio CD length isn't reported correctly for CDs with data track(s)

------------------------------------------------------------------

MediaMonkey 2.2

 - Added show current classification settings in the classification toolbar
 - Fixed memory leak when writing ID3 tags
 - Fixed ID3 tag reading/writing is extremely slow when comments/lyrics are large  
 - Fixed too easy to accidentally concantenate comments in Edit Multiple Tracks
 - Fixed ratings should not be modifiable via tree nodes--it's too prone to error
 - Fixed multiple Winamp windows sometimes open when Winamp is the default player
 - Fixed player controls sometimes do not appear when Winamp is the default player
 - Fixed Winamp shouldn't be forced open even if Winamp is the default player

------------------------------------------------------------------

MediaMonkey 2.2 RC-4
 
 - Added support for ape 3.99 playback & associated tags
 - Switched default output plug-in to DirectSound output instead of Wave output
 - Fixed regression: VCD track tags aren't updated
 - Fixed genres looked up via Freedb aren't saved if they don't exist in the library
 - Fixed in some cases, wma genres and track #'s aren't read correctly
 - Fixed audio tracks from the VCD are uploaded unnecessarily upon portable device synchronization
 - Fixed CD Burning fails silently if insufficient free space exists
 - Fixed tracklist fails to refresh on node deletion

------------------------------------------------------------------

MediaMonkey 2.2 RC-3

 - Added G-force instead of Geiss
 - Replaced the wave input plugin
 - Updated Italian translation thanks to Argo
 - Fixed CD Reader is buggy on some systems
 - Fixed search on numeric fields broken in RC-2 & search parameters persist when they shouldn't
 - Fixed (again) cursor is 'misplaced' on edits to text fields
 - Fixed cannot convert files on virtual cd
 - Fixed default send-to Folder (Rip/Convert) settings are annoying and don't persist
 - Fixed continuous playback settings don't persist properly on restart
 - Fixed ID3v1 genre ignored on scan
 - Fixed d&d operations on playlist nodes occasionally go unrecognized
 - Fixed auto-complete behaves incorrectly for auto-tagging
 - Fixed in player volume meters occasionally loses synchronization
 - Fixed visualitions can fail when output buffer sizes are very large
 - Fixed spaces in registration keys aren't ignored

------------------------------------------------------------------

MediaMonkey 2.2 RC-2

 - Added new OGG input plugin with full unicode support (even if Windows Language is Western European)
 - Added search for empty fields (use Property equals "")
 - Added <Ctrl><Alt><F5> shortcut to update Playlist play order (+ removed buggy <Alt> drag function)
 - Updated Italian and Portuguese translations (thx to Argo & Paulino)
 - Improved MP3 plugin further to eliminate hiss on damaged/incorrectly formatted files
 - Fixed character mapping feature is broken
 - Fixed network browsing doesn't work properly on Win 9x
 - Fixed some db queries are case-sensitive, negatively impacting performance
 - Fixed 'Clear Library' causes strange behavior in the absence of a restart
 - Fixed Default (Double-click) Action doesn't apply to tree nodes
 - Fixed Virtual CD doesn't indicate filesize on HD
 - Fixed CD nodes (sub to /Location) aren't sorted by Track# by default
 - Fixed 'old style' skins without themes behave incorrectly
 - Fixed Spectrum Data is missing from visualizations (G-force doesn't work well)
 - Fixed cannot play track beginning with space (via Explorer)
 - Fixed Virtual CD directory no longer defaults to root directory
 - Fixed temporary folder is ignored for CD burning
 - Fixed minor UI issues & help errors

------------------------------------------------------------------

MediaMonkey 2.2 RC-1

 - Added volume leveling metadata is saved to MP3 tags (using ID3v2 Relative Volume Adjustment 2 frame)
 - Added proper playlist sorting (sort by headers-->no change in play order; <alt><f5> updates play order)
 - Updated online help to describe new 2.2 features
 - Updated Spanish & Italian translations -- thanks to Pablo & Argo!
 - Improved MP3 plugin -- it's now more tolerant of damaged/incorrectly formatted mp3 files 
 - Fixed MP3 plugin sometimes locks files, preventing moves/deletions/tag updates from occuring
 - Fixed can't tag/play/edit/analyze MP3 files if filename has characters not in Windows' default Language
 - Fixed ID3v2 (ASCII) and ID3v1 tags containing 'foreign' characters are read incorrectly
 - Fixed tag updates fail silently for OGG files if Year < 1500
 - Fixed tagging sometimes gets 'stuck'
 - Fixed burned CDs playback too fast when Frequency < 44100
 - Fixed Analyze Volume doesn't save information to the APE2 tag for APE and MPC audio files
 - Fixed Analyze Volume hangs on damaged MP3 files
 - Fixed Level Volume doesn't save new volume coefficient to the db, leading to numerous issues
 - Fixed tracks in Virtual CD can't be synchronized to portable devices
 - Fixed insufficient space on portable device --> playlists aren't synchronized (only tracks are)  
 - Fixed visualizations occasionally crash when enabled/disabled
 - Fixed <enter> shouldn't 'Play Now' if Double-click action is set to 'Edit Properties' or 'Play Last'
 - Fixed 'Retrieve Moved/Missing Tracks' results in duplicates if moved track has already been scanned
 - Fixed only first character in CD-text is burned
 - Fixed Search bar auto-complete entries result in incorrect search results in some specific cases
 - Fixed impossible to drag & drop playlists in some cases (e.g. if open)
 - Fixed pressing <enter> in www forms has no effect
 - Fixed <ctrl><c> and <ctrl><v> don't work properly in Now Playing window
 - Fixed 'Date Added' field view doesn't refresh properly
 - Fixed view of fields in tracklist are occasionally truncated unnecessarily
 - Fixed problems saving BPM when it contains > 3 digits
 - Fixed auto-organize only uses first 2 digits of track #
 - Fixed MediaMonkey.m3u (Now Playing) playlist should not be scanned
 - Fixed crash on Windows 95
 - Fixed misc graphic / icon glitches

------------------------------------------------------------------

MediaMonkey 2.2 Beta 5

 - Fixed 'OR' searches can be used in all search fields and are only initiated when ';' is used
 - Fixed problems playing/tagging/leveling tracks with non-Western-European fonts
 - Fixed problems if MediaMonkey is used by User without Administrative rights
 - Fixed MediaMonkey doesn't work with fast user switching on Windows XP
 - Fixed cdplayer.ini isn't updated on Win9x/WinME systems when filesize > 64 KB
 - Fixed CDs don't play if cdreader plug-in is incorrectly configured
 - Fixed Access Violation related to re-ordering tracks in CD Burn Wizard
 - Fixed <Home> and <End> keys don't work as expected in the tree
 - Improved <Ctrl><Right> & <Ctrl><Left> changed to <Alt><Right> & <Alt><Left> (in properties dialog)
 - Fixed minor graphical glitches / incorrect icons

------------------------------------------------------------------

MediaMonkey 2.2 Beta 4

 - Added OR functionality to advanced searches
 - Added Monkey's Audio (APE) input plugin thanks to Matt Ashland
 - Updated some icons (color resolution still needs to be reduced)
 - Updated translations for French, German, Dutch thanks to Octopod, Zyb, and Felix
 - Fixed ID3V2 tags sometimes aren't written (most commonly on W9x systems)
 - Fixed CD Burns fail on some systems with multiple drives, if user isn't logged in as Administrator
 - Fixed MP1 and MP2 headers are read incorrectly
 - Fixed CSV export fails on unicode characters
 - Fixed Level Track Volume fails subsequent to the initial leveled track
 - Fixed Splitter appears even when the border is not movable
 - Fixed several shortcuts (<Shift>-<Home>/<End>; <Alt>-<Left>/<Right>/<Home>) based on beta feedback
 - Fixed Now Playing Toolbars don't persist
 - Fixed Advanced search cannot search for drive letter
 - Fixed clicking 'OK' in options dialog leads to long wait
 - Fixed Remove menu item should be inactive for Autoplaylist Tracks
 - Fixed unneeded error message if CD Burn is manually terminated

------------------------------------------------------------------

MediaMonkey 2.2 Beta 3

 - Added 'icon skinning' so artists can easily replace & test new icons
 - Added 'live' searching to the search toolbar
 - Fixed search toolbar doesn't work well in skinless mode
 - Fixed freezes when burning CD or using File Monitor
 - Fixed crash when converting multiple Tracks to .ogg format
 - Fixed File Monitor startup scan performance (runs much quicker now)
 - Fixed File Monitor fails to notice change in Tracks/Folders with unicode
 - Fixed web forms don't work properly in web nodes
 - Fixed misc. UI glitches / tab order problems reported in Beta 2

------------------------------------------------------------------

MediaMonkey 2.2 Beta 2

 - Added/Updated any remaining strings for localization purposes
 - Updated French translation
 - Added Playlist creation option for newly added files (off by default)
 - Added ability to override MediaMonkey theme with Windows system theme
 - Changed Auto-Rename to Auto-Organize and improved default masks slightly to indicate relative paths
 - Fixed numerous usability issues with Portable Device Copying/Synchronization
 - Fixed Portable Device deletion (directories not used by MM aren't deleted)
 - Fixed Portable Device synchronization when used with randomly sorted AutoPlaylists
 - Fixed crash on non-standard MP3 files
 - Fixed occasional freezes on startup and freezes when C: is non-existent
 - Fixed Tempo, Occasion, Mood, & Quality were duplicated when MediaMonkey is used in non-English language
 - Fixed ID3v2 tags with trailing zeroes aren't read correctly & improved tolerance for incorrect unicode tags
 - Fixed file monitor fails to recognize files moved as part of a moved directory
 - Fixed many more text & graphic glitches, especially when DPI settings are > 96
 - Fixed tree is overly sensitive to movement (it moves) when dragging and dropping tracks
 - Fixed search bar doesn't search path/filenames by default
 - Fixed MPC files should be associated with MM by default

------------------------------------------------------------------

MediaMonkey 2.2 Beta 1

 - Added Dutch translation (beta) thanks to Felix and Lowlander
 - Updated French,German, & Spanish translations thanks to Octopod, Zyb, & Pablo
 - Added explicit support for portable devices
   - Added synchronization with portable devices
   - Improved workflow for copying tracks/playlists to portable devices 
 - Added tagging support for MPC and APE formats (APE plug-in needs to be installed separately)
 - Added search for filename
 - Improved Playlist creation/editing workflows
   - Added 'New AutoPlaylist' to Playlist button in toolbar
   - Reduced # steps required for Send-to playlist function
   - Improved playlist usability in Now Playing
 - Improved usability for advanced searches
 - Improved options menu structure
 - Fixed Access Violation when closing form while editing in-place
 - Fixed error on startup on some systems
 - Fixed menubar toolbar problems (they can now be combined again)
 - Fixed status bar grip doesn't work for resizing
 - Fixed skin themes (text highlighting)
 - Fixed some advanced search criteria don't persist
 - Fixed VQF tags aren't read properly (unicode-related)

------------------------------------------------------------------

MediaMonkey 2.2 Alpha 4

 - Added German Translation (alpha) thanks to Zyb and Highelf
 - Replaced in_dsmp3 and optional MAD plugin with mpg123-based plugin by Otochan & Shibatch
 - Updated to LAME 3.95.1, OGG Vorbis 1.0.1 POST
 - Updated to Peter Pawlowski's plugins: Vorbis decoder 1.33a, WAV decoder 2.07, DirectSound Output 2.2.7
 - Updated Italian translation by Argo
 - Fixed crash on playback
 - Fixed track is removed from library when user attempts to delete file from HD, but refuses confirmation
 - Fixed some WMA files appear unsynchronized even when they are
 - Fixed default OGG settings so that volume levels aren't too low when Level Playback Volume is enabled
 - Fixed focus problems when Now Playing is undocked
 - Fixed typing text in web nodes
 - Fixed typing over selected text causes misplaced cursor
 - Fixed installation on top of MM 2.1 fails to correct character conversion tables
 - Fixed numerous graphics/text glitches

------------------------------------------------------------------

MediaMonkey 2.2 Alpha 3

 - Added French translation (alpha) thanks to Octopod
 - Added Italian translation (alpha) thanks to Argo
 - Added Portuguese (Brazil) translation (beta) thanks to Paulino
 - Added Spanish translation (beta) thanks to Pablo
 - Added option to use ASCII for ID3v2 tags
 - Added tooltips for Player
 - Improved exception handling in debug builds (log saved to c:\MMExcept.log)
 - Improved ID3v2 unicode tagging compatibility by defaulting to ASCII if 'foreign' characters aren't used
 - Improved configuration of skins & backgrounds
 - Fixed installation of MM 2.2 over 2.1 fails to update the UI correctly
 - Fixed ID3v1 tags are unreadable when foreign characters are used (now uses ASCII encoding)
 - Fixed tracks appear 'unsynchronized' when foreign characters & ID3v1 tags are used
 - Fixed tagging problems when editing properties of tracks in the library via /My Computer
 - Fixed error when manually renaming directories
 - Fixed error message when deleting drive in /Location
 - Fixed error condition when deleting folders in /My Computer
 - Fixed misplaced cursor when deleting text selection
 - Fixed crashes and missing buttons (in Locate Moved/Missing Files) when non-standard DPI settings are used
 - Fixed stars don't appear when creating search queries by 'rating'
 - Fixed various localization issues
   - Scripts and script titles non-localizable
   - Various app strings non-localizable (based on Octopod's feedback)
   - Properties dialog doesn't adjust to fit strings
 - Fixed access violation on Burn or Leveling empty node & editing properties of multiple tracks
 - Fixed Now Playing | Options context menus. Corrected wording & Options now appear only where relevant.
 - Fixed <Ctrl><a> didn't work in Properties | Comments field
 - Fixed <Ctrl><b> (previous track) and <Ctrl><n> (next track) player shortcuts
 - Fixed only first script is displayed on W9x
 - Fixed Send-to (Convert): selected track isn't checked off  
 - Fixed non-editable dropdowns in options menu appear to retain focus indefinitely
 - Fixed missing tooltips for Menus and added new ones for Minimize to Tray, Minimize to Now Playing.
 - Fixed numerous graphics glitches (album browser drop down, minimized player, tabs, etc.)
 - Fixed numerous display problems when DPI setting > 96
 - Fixed checkbox theming problems on non-XP systems
 - Fixed sleep functionality tab order problem
 - Fixed sleep functionality moved to the player menu
  
------------------------------------------------------------------

MediaMonkey 2.2 Alpha 2

 - Added error protection for incorrectly set mask in auto-rename
 - Improved date representation (removed seconds and show 'today' and 'yesterday')
 - Fixed tagging problems introduced in Alpha 1
 - Fixed auto-rename can delete files in some instances
 - Fixed ratings is preselected on mass tag edits screen, causing inadvertent changes
 - Fixed cannot edit Now Playing track properties via main menu
 - Fixed errors in id3v1 genres list
 - Fixed problems with the Genres drop down list (autocomplete, etc.)
 - Fixed problem running Geiss visualization on initial install
 - Fixed text doesn't show up in searchbar on XP if UI is optimized for performance
 - Fixed Now Playing transparency configuration dialog appears in back of Now Playing
 - Fixed tracklist borders sometimes draw improperly
 - Fixed vertical size of docked Now Playing adjusts incorrectly
 - Fixed Now Playing disappears when minimize/close to tray is executed
 - Fixed disabled player reappears after visiting options menu
 - Fixed problems changing some search options
 - Fixed default: timestamps are now modified on track edits

------------------------------------------------------------------

MediaMonkey 2.2 Alpha 1

 - Added full skinning support for a brand new look (via ThemeEngine)
 - Added support for localization + Czech language
 - Added Unicode support
   - Fixed auto-rename doesn't support accented characters
 - Added Freedb Unicode support
 - Added Visualization functionality (+ bundled Geiss)
 - Added MP3 Gain style volume leveling (useful for portable players)
 - Added Volume Leveling is adjustable
 - Added ability to customize genres list (it's automated--unused genres don't appear)
 - Added 'Date Added' and 'Timestamp' fields (disabled by default)
 - Added 'Minimize to Now Playing' and 'Minimize to Tray' buttons
 - Added ability to dock 'Now Playing' (docked by default) + tree can be docked
 - Added ability to display and edit all fields in the Now Playing node
 - Added support for 'Last Played' queries on advanced search
 - Added <Album Artist> as a possible element of the auto-rename and auto-tag masks
 - Added error protection to warn users of incorrectly set masks
 - Added links to the add-ons pages in the /options/plugins panes
 - Added option to turn off character-limit checking
 - Added Send-to Ratings via tray icon
 - Added Categorization toolbar for rating and categorizing tracks (disabled by default)
 - Added Playlist toolbar button to more easily send tracks to playlists
 - Improved UI-related CPU utilization
 - Improved speed for displaying very large tracklists
 - Improved default behaviour so that popups only appear when MM is minimized
 - Improved misc. menu layouts + toolbar menus + context menus
 - Improved terminology in several areas where it was confusing
   - character limit checking
   - add tracks to library & maintain library
   - retrieve moved files
   - etc..
 - Fixed changes to tags made by another instance of MM aren't recognized
   - Added option to modify timestamp on track edit (enabled by default)
 - Fixed editing MP3 tags can cause failed updates on full hard drives
 - Fixed (partially) sound artifacts when editing tags of a playing track
 - Fixed Y in track X of Y is deleted when updating tags
 - Fixed problems reading some OGG tags
 - Fixed Mass Property Edits updates tags immediately even if Update Tags Immediately is disabled
 - Fixed BPM fields should be rounded to the nearest integer
 - Fixed spaces in mask can lead to failed auto-rename operation
 - Fixed Retrieve Moved Files doesn't retrieve all files in some cases
 - Fixed duplicate titles created by file monitor
 - Fixed file monitor fails to update in some circumstances
   - When tags edited outside MM
   - Volume Leveling information doesn't update
 - Fixed error dialog in file monitor when scanning file in the process of being created
 - Fixed SQL error when file monitor scans path containing quotation mark
 - Fixed ODBC error problems that occurred in some systems
 - Fixed problem scanning directories with non-standard icon ('system' directories)
 - Fixed changes to filename capitalization sometimes don't register when scanning
 - Fixed memory leak when scanning OGG files
 - Fixed problems when copying tracks with trailing periods to Virtual CD
 - Fixed CDs with non-standard offset rip incorrectly
 - Fixed delay in the application of volume leveling/equalizer playback settings
 - Fixed tree horizontal scrollbar appears/disappears depending on node length
 - Fixed Quickfind doesn't work for Artists/Albums consisting of a single character
 - Fixed Quickfind doesn't work in Now Playing node
 - Fixed field text appears truncated when resorted/reordering columns
 - Fixed inability to delete tracks in the Unclassified Tracks node
 - Fixed play counter sometimes fails to update
 - Fixed bitrates appear incorrectly when CD is ripped twice
 - Fixed Send-to Playlist shows autoplaylists
 - Fixed non-functional shortcut descriptions in the system tray (removed them)
 - Fixed 'shuffle' fails to randomize the first track in a node
 - Fixed 'Tracks cannot be played until the cd is inserted...' error
 - Fixed graphical glitches in the player

------------------------------------------------------------------

MediaMonkey 2.1

 - Added tooltips for nodes that are very long (i.e. cut off by the splitter bar)
 - Fixed some Xing-encoded VBR files are incorrectly identified (incorrect file length, etc.)
 - Fixed default sort preferences missing at install time in some cases
 - Fixed editing track property unpauses 'paused' player
 - Fixed inability to edit Album Title and Album Artist for CDs that aren't in the library
 - Fixed Unsynchronized Tags node for cases of newline characters in the comments field

------------------------------------------------------------------

MediaMonkey 2.1 RC-1

 - Added sort preferences are saved
 - Added warning dialog when attempting to modify/delete files on inaccessible networked folder
 - Added shortcuts for previous/next track in Track Properties dialog
 - Added display currently playing track in bold (in all nodes)
 - Added progress indicator to provide feedback re. tag updates
 - Added much nicer html export script (thanks to Lowlander)
 - Added new bundled autoplaylists (only available on clean install)
 - Added editing of Freedb query results (via Album chooser or /My Computer) and save to cdplayer.ini
 - Fixed automatic Freedb queries overwrite manually edited CD entries
 - Fixed Freedb connection problems when no username/user domain is entered
 - Fixed title.mp3.XXXXX is created if editing tags when title is used by another app (e.g. by Winamp)
 - Fixed CD is added to locations node when ripping CD and leveling volume
 - Fixed cannot rip CD Extra tracks
 - Fixed font size problems on some Win 9x, ME, NT systems
 - Fixed ODBC error for some advanced searches on rating
 - Fixed access violation when attempting to convert a missing file
 - Fixed pressing <enter> on track# field of properties dialog doesn't commit changes
 - Fixed <Ctrl>-<x>, <Ctrl>-<v>, <Ctrl>-<c> don't work for in-place editing in tracklist
 - Fixed taskbar hints don't display '&' properly
 - Fixed usability issues in mass tag editor and file monitor configuration

------------------------------------------------------------------

MediaMonkey 2.0.2 Beta 4

 - Added ability to randomize AutoPlaylists so that they're different each time (Gold)
 - Added ability to limit AutoPlaylist time and/or size (MB) (Gold)
 - Added ability to do negative queries (e.g. does not equal, does not contain, etc.) (Gold)
 - Added progress bar for File Monitor (Gold)
 - Added View:Album Browser / Improved Get Track Details
 - Added Clean MP3 Tags functionality
 - Added Most-recently-used list to Send-to menu
 - Added Send-to functionality to tree nodes
 - Added Clear function to Search panel
 - Added <alt><enter> functionality to only play selected track only (vs. selected + subsequent tracks)
 - Added support for reading ID3v2.4 tags (writing not yet supported)
 - Fixed problems reading unicode tags
 - Fixed crash when adding children and collapsing folders in Add Folders dialog
 - Fixed stalls when reading incorrectly formed tags
 - Fixed tracks ripped to Virtual CD are missing tags
 - Fixed inability to convert tracks saved to the Virtual CD
 - Fixed confirmation dialog when volume leveling read-only files
 - Fixed Play Now with Winamp so that it also plays selected only/current + subsequent
 - Fixed 'CD-ROM device is presently unavailable' problem on some systems
 - Fixed occasional duplicate listings of CD tracks
 - Fixed unsynchronized tags node logic to show list based on Tag Configuration settings (see help)
 - Fixed rename filename confirmation dialog which appeared to change filename even on 'No'
 - Fixed Winamp emulation so that Evil Lyrics can be used with MediaMonkey

------------------------------------------------------------------

MediaMonkey 2.0.2 Beta 3

 - Added on the fly encoding to speed up CD ripping
 - Added support for CD-Text for getting track data from Audio CDs
 - Added persistence of the last used scan settings (for Add Tracks...)
 - Re-ordered / renamed MP3 presets to make them more understandable
 - Fixed Add Tracks dialog which often failed to properly scan network drives
 - Fixed Add Tracks dialog which failed to select all children of a selected parent
 - Fixed playback of of enhanced CDs (no longer need to be added to the library)
 - Fixed Play All freezes on large directories that haven't refreshed in the tracklist
 - Fixed (auto) file renaming to directory paths that include a trailing '.'
 - Fixed order of drives listed in Locations node
 - Fixed MP3 ABR mono presets (they were stereo instead of mono)
 - Fixed problem with removing very large numbers of files from the Now Playing list
 - Fixed transposed Play Now options

------------------------------------------------------------------

MediaMonkey 2.0.2 Beta 2

 - Improved quickfind by raising the keyboard timeout by 250ms
 - Improved Play Now usability (by default, 'Play Now' for a single track also plays subsequent tracks)
 - Fixed problems finding tracks when multiple hard drives indicate equivalent/null Serial Number IDs
 - Fixed failure to undo file associations on uninstall
 - Fixed failed MP3 encoding in some advanced modes & improved encoding options
 - Fixed occasional problems when encoding multiple tracks to MP3 at once (tracks are now queued)
 - Fixed error occurs whenever terminating MP3 conversion process prematurely
 - Fixed progess bar flashes

------------------------------------------------------------------

MediaMonkey 2.0.2 Beta

 - Added check for MDAC and MS jet components during install
 - Improved usability for 'Minimize to Now Playing' (now possible to minimize the Now Playing dialog)
 - Fixed disappearing taskbar problem on some Win98 and WinME systems
 - Fixed Auto-Tag failure + sql error message when using auto-tag on Tracks that aren't in the Library
 - Fixed Auto-Tag failures (CPU-->100%) for some mask formats
 - Fixed Auto-Tag fails to change the case of track properties 
 - Fixed changing filename case (i.e. upper or lowercase) fails (manually or via Auto-Rename)
 - Fixed File Monitor sometimes fails to notice changes involving moved folders
 - Fixed errors that occur when attempting to use the File Monitor on a non-existent folder
 - Fixed copying contents in Playlist/AutoPlaylist can cause access violation error
 - Fixed focus problems when copying Playlist contents
 - Fixed audio conversion and leveling problems for <> 16 bits / sample
 - Fixed incorrect time when there are a large number of tracks in the 'Now Playing' queue
 - Fixed missing icons on Advanced Search dialog for non-standard dpi settings
 - Fixed changing attributes of files saved to Virtual CD outside MediaMonkey causes incorrect file labels
 - Fixed annoying 'reading tracks' message
 - Removed Stereo Expander plug-in due to memory leaks on some systems

------------------------------------------------------------------

MediaMonkey 2.0

 - Fixed configuration settings aren't re-used when upgrading from previous versions of MediaMonkey
 - Fixed Search 'Any Text Fields' fails to search Custom fields
 - Fixed minor online help issues

------------------------------------------------------------------

MediaMonkey 2.0 RC-2

 - Improved upgrade process when upgrading from Songs-DB to MediaMonkey
 - Fixed occasional failed OGG encoding on some systems
 - Fixed occasional failed updates to 'Now Playing' list with CDs
 - Fixed occasional UI unresponsiveness in response to CD removal on some systems
 - Fixed tracks saved to Virtual CD cannot be exported to .m3u playlists
 - Fixed tracks saved to Virtual CD cannot be burned
 - Fixed problem with 'lost' background settings when MediaMonkey is restarted
 - Fixed multemedia keyboard volume control should not control only MediaMonkey volume

------------------------------------------------------------------

MediaMonkey 2.0 RC-1

 - Changed name to MediaMonkey
 - Updated online help & documentation
 - Added Yes/No 'to all' to warning dialog for rename operations exceeding 64 character CD limit
 - Simplified equalizer to a more usable 10 bands & added reset button
 - Added ability to use sleep function without turning off the PC
 - Added 'skip' (ignore field) mask to Auto-tag function
 - Fixed crash on exit when equalizer dialog is open
 - Fixed export/burn operations did not act on selected node (only worked on selected tracks)

------------------------------------------------------------------

Songs-DB 1.4 Beta 5 (Builds 536, 538, 540) 

 - Added minimization to the 'Now Playing' window (click the minimize button on the player) 
 - Added support for standard editing to the Properties pane (Ctrl-C, -B, -V, -Z) 
 - Added config entry for background thread priority and changed the default to 'Lower' 
 - Added 'Unknown Rating' to 'Files to Edit' 
 - Added multiple Delete options to the Now Playing node--it's now possible to delete tracks directly from the Now Playing node. 
 - Added Move options for Library Location nodes--you can move the entire folder or just the contents in the Library. 
 - Improved CPU utilization on playback 
 - Improved deletion--previously used settings are saved 
 - Fixed editing of Track Artist in properties pane/tracklist (it's a bit smarter so Album Artist doesn't always change) 
 - Fixed pressing <enter> on 'Now Playing' node doesn't initiate playback 
 - Fixed duplicate DB entries when copying from Library/Locations folder to My Computer folder 
 - Fixed problems playing multiple tracks via Windows Explorer integration 
 - Fixed tracklist/folders don't refresh on Copy/Move move operations for My Computer & Library nodes 
 - Fixed ambiguity in deletion of Library Location nodes via deletion options 
 - Fixed failed deletion of the currently playing track 
 - Fixed slow performance for display of entire collection (> 2000 tracks) 
 - Fixed problem when burning to a non-empty CD-RW 
 - Fixed cropped dialogs on systems using high dpi/font settings 
 - Fixed multimedia keyboard problems--again  
 - Fixed problem re. duplicate entries from playlists (when in root) 
 - Fixed problem with writing ID3 mood tags 
 - Fixed misc. UI cleanup issues (config panels, properties panel, Freedb results, etc.)
 - Fixed problem with CD Location properties that occurs when editing track properties for an uninserted CD 
 - Fixed export status bar and incorrect dialog
 - Fixed Auto-rename deletes files when renaming to same name 
 - Fixed Auto-rename doesn't immediately update formats when new format is chosen 
 - Fixed cannot rename/auto-rename currently playing Track 
 - Began separating strings into resource files for localization 
 - Added shortcut on toolbar for 'Now Playing' and modified shortcuts for improved usability
 
------------------------------------------------------------------

Songs-DB 1.4 Beta 4 (build 519) 

 - Made a number of additions/improvements to CD burning, playback and freedb lookups. 
  - Added digital Audio CD playback (CD Reader plug-in) which solves bugs with concurrent ripping & playback. 
  - Added genre/year to the Freedb query results dialog 
  - Improved CD properties--genre/year are shown even if not saved to the library 
  - Fixed problems with CD autoplay on some systems 
  - Fixed hangs on CD burning on some systems via more conservative defaults 
  - Fixed redundant Freedb queries 
 - Added limited support for general plugins (minimally tested with SQR-soft ACF controller) 
 - Improved playlist import (by default no longer assigns Playlist title/# to empty Track title/track# fields) 
 - Improvements (minor) to Advanced Search usability 
 - Moved Files to Edit:Accessible Songs to Playlists:Accessible Tracks 
 - Fixed problem with OGG Album Artist tags being imported incorrectly 
 - Fixed Sleep Timer 
 - Fixed database problems for users upgrading from Songs-DB 1.3 
 - Fixed double database entries which occurred occasionally 
 - Fixed search functionality which wasn't working for some fields (e.g. lyrics) 
 - Fixed bitrate and khz indicators for Flac, Ape, MPC, and AAC input plug-ins 
 - Fixed default autoplaylists so that they're not deleted when database is cleared 
 - Fixed File Monitor so that it only monitors for file types that are checked in the 'Add Folders' dialog 
 - Fixed display of multiple artist albums in Genre subnodes 
 - Fixed Player configuration dialogs when accessed via the Songs-DB player 
 - Fixed crash in decode.exe when attempting to normalize a video file 
 - Fixed occasional crash on rapid restart + CD+G plugin crash on exit 
 - Fixed copying a file to /Library/Locations now adds the file to the library 
 - Fixed access violation when clicking the right portion of the status bar 
 - Fixed problem with filename character mappings

------------------------------------------------------------------

Songs-DB 1.4 Beta 3 (Build 506)

 - Added File Associations to the installer 
 - Added installer for MAD MP3 input plugin 
 - Improved numeric keypad shortcuts. <+> activates playlist, <enter> = 'Play Now' 
 - Fixed player plugin functionality--now usually works with SQRsoft crossfader 
 - Fixed player volume and balance controls for default CD plugin 
 - Fixed first track is played twice when shuffle is enabled 
 - Fixed CPU-->100% upon enabling Winamp 2.91 as the default player 
 - Fixed double-click of currently playing track doesn't restart the track 
 - Fixed player 'play' button plays selected track instead of active track 
 - Fixed context menu inaccessible in Windows XP task bar 
 - Fixed inability to analyze volume of an OGG file while MP3 tracks are playing 
 - Fixed status bar for OGG conversion operations 
 - Fixed occasionally corrupt freedb queries 
 - Fixed Freedb lookup doesn't occur when CD is inserted and Songs-DB isn't running 
 - Fixed popup occasionally doesn't appear (e.g. play track twice in a row) 
 - Fixed occasional crash on exit

------------------------------------------------------------------

Songs-DB 1.4 Beta 2 (build 503)

 - Added Files to Edit/Unclassified nodes 
 - Added Send to Folder (Explorer)
 - New directory selection dialogs with option to create directories 
 - Improved performance of 'Add Tracks' and 'File Monitor' after the database is initially populated 
 - Improved representation of inaccessible CDs in Now Playing node 
 - Reduced skipping that occurs when editing tags of a track that's playing 
 - Improved plug-in UI 
 - Improved CD insertion--CD is no longer automatically added to the library 
 - Improved status bar UI 
 - Fixed problem with incorrect reads of small percentage of MP3 header attributes 
 - Fixed database issues resulting from upgrades of Windows 9x to Windows 2000 or Windows XP 
 - Fixed a small number of cases of failed tag updates for incorrectly formed tags 
 - Fixed screen refresh problems when inserting/removing CDs / Clicking 'Update' in properties editor 
 - Fixed tracklist sorting problems that occur when no track is selected 
 - Fixed tree refresh problems-new entries are no longer added to the bottom of the tree 
 - Fixed problems with using the property editor for tracks in the Now Playing node 
 - Fixed UI problems with Freedb query results selection 
 - Fixed problems in which prevented the File Monitor from updating library without a restart of Songs-DB 
 - Fixed drag&drop of ratings 
 - Fixed tooltips in the tracklist--they always appear now 
 - Fixed AutoPlaylists--they work again 
 - Corrected errors & grammar in startup tips/error messages/icons/several dialogs 

------------------------------------------------------------------

Songs-DB 1.4 Beta 1

 - added internal equalizer
 - added full OGG Vorbis support (including encoding)
 - added DSP plug-ins support
 - added m3u playlist import when files are added to the Library
 - improved auto-tag function to enable selective edits/updates
 - improved auto-rename function to enable selective edits/updates
 - added auto-tag & auto-rename + arrows to the properties dialog
 - added ability to browse Tracks by decade, then by year
 - added new tree node "Unsynchronized Tags"
 - added ability to associated Songs-DB with audio files to be the default player
 - improved rating system - now 5 star system, preference changed to audio quality
 - improved file sytem scanning to yield more accurate Track information
 - added many new library scanning options, including automatic File Monitoring
 - added support for proxy server for freedb connection
 - added filename and type columns, path is no longer shown by default
 - added delete to recycle bin (this is now the default)
 - improved/overhauled the setup dialog--now integrated and easier to understand
 - added ability to dock the internal player to several positions + new default location
 - many improvements in in-place editing (either tree and song list)
 - improved menu structure and visual representation
 - improved tree structure and visual representation
 - improved context menu structure
 - added support for reading MusicMatch tags
 - improved / simplified support for Multiple Artist Albums
 - improved choices for removing songs from the database 
 - shift-left and shift-right move focused column in song list
 - improved/simplified mask usage
 - added Rip CD function
 - added ability to change track properties while the track is playing
 - support for track#'s greater than 100
 - new task-oriented online help, with context sensitive links via <F1>
 - new now playing node
 - new player skins and integration of skins & backgrounds
 - new bundled plug-ins
 - added support for 'play next'
 - improved the default configuration and some terminology based on user feedback
 - improved d&d within now playing and playlist nodes
 - improved integration between the 'Now Playing' dialog and the Library
 - improved differentiation between deletion from playlist/Library/filesystem
 - fixed problem with saving customized tracklist columns order and loading
 - fixed numerous refresh bugs
 - corrected updating of tags in numerous situations
 - corrected normalization of ripped tracks
 - corrected small search bugs
 - corrected Location node artist and album lists
 - corrected ogg channels handling
 - corrected just one instance starting option
 - corrected sticky properties form closing
 - fixed freedb connectivity problems
 - fixed genres list in properties dialog
 - fixed problems with 'always on' Properties dialog
 - fixed search conditions for Advanced Search
 - fixed several shortcuts that didn't work, and added new ones
 - fixed to Main Panel and Now Playing counters
 - fixed occasional interruptions in the 'Now Playing' queue
 - fixed drag &  drop / cut & paste of tracks between nodes
 - fixed drag & drop / cut and paste of Location nodes
 - corrected loss of focus when sorting the track list
 - fixed hierarchy problems in Location subnodes
 - fixed <tab> usage on mainpanel
 - fixed edits of empty properties on the main panel (switched to a grid)
 - fixed numerous problems related to freedb query results
 - fixed access violation when editing .ogg track properties
 - fixed availability of context menus in some situations
 - fixed access violation when renaming Artist to existing artist
 - fixed double-click timing in main panel / single-click timing for in-place edits
 - fixed application freeze when using context menus while tracklist is updating
 - fixed delete is inactive in several views when it shouldn't be
 - fixed rapid deletion of albums --> access violation error
 + fixed many more smaller bugs and made numerous minor improvements

------------------------------------------------------------------

Songs-DB 1.3 Release 5

 - added more WMA attributes (according to Windows Media 9)
 - new tray icon menu items and mouse commands (click=Play/Pause,Double Click=Restore,
     Drag Left=Previous,Drag Right=Next Track,Drap Up=Volume Up,Drag Down=Volume Down)
 - new tray icon menu - Playlist - shows part of the current playlist
 - new tray icon menu - Volume - allow changing of volume
 - playlist scrolls automatically during drag&drop now
 - playlist does not skip to the current track unnecessary anymore
 - ballon hints on new track are shown just once
 - open in new window function was enhanced for all folders
 - corrected appearance for non-standard Dot Per Inch screen settings
 - playlists behaviour improved for move and delete of songs
 - corrected problem for songs removed from DB but still in the playlist
 - corrected bug: properties dialog caused access violation in some cases
 - corrected bug: playback of locked mp3 files
 - corrected bug: drag&drop error when dropping in the scrollbar
 - corrected occasional problems with help file showing
 - small memory leaks removed

------------------------------------------------------------------

Songs-DB 1.3 Release 4

 - new lame encoder included
 - new id3lib included
 - some improvements in mp3 encoding code
 - tagging improved (read-only files, newly encoded files)
 - new Compiled HTML Help file (.chm) was created
 - corrected problem with playback of incorrect files
 - corrected reading of WMA attributes (track length)
 - an option added to calculate normalization for just not yet calculated files (default)
 - delete key works well in the in-place editor now
 - some smaller modifications

------------------------------------------------------------------

Songs-DB 1.3 Release 3

 - send to ... funtion was added (can send to playlist, classification and folders)
 - playlist window can be made transparent (Windows ME, 2000, XP)
 - new track can be announced by a ballon hint (Windows ME, 2000, XP)
 - media label is shown instead of "?" in "path" column when a media is not present
 - freedb multiple matches are correctly parsed now
 - freedb query always scans media and stores result to the database
 - keys work correctly in the internet browser now
 - individual artists can be removed from the database
 - there is a new option to allow just one instance of Songs-DB
 - properties of the currently playing song can be shown on top (and automatically updated)
 - progress bar for scanning files is now more realistic
 - length of MP3 files is read from ID3v2 tags (when present)
 - shift-Del deletes songs with just a single confirmation
 - corrected toolbar appearance when WinAmp is the default player
 - corrected reading of track number from ID3v2 tags
 - corrected calculation of the total length for big collections
 - improved reading of various artists CDs from CDPlayer.ini file
 - added Barnes&Noble, CDUniverse, PlayCentric, AllPoster and AllMusic web pages
 - other minor improvements

------------------------------------------------------------------

Songs-DB 1.3 Release 2

 - using of WinAmp input plug-ins for decoding is more compatible now
 - output plug-ins are no longer all initialized to a fixed volume and balance
 - new plug-in configuration options were added to the player's context menu
 - scan media dialog does not have floppy drives selected by default
 - toolbars are correctly resized
 - freedb is automatically queried after audio CD scan just when connected to internet
 - minimized player improvements (time output)
 - elapsed/remaining time is now changed by a left click
 - question for new media label is shown just for CDs
 - some other smaller improvements

------------------------------------------------------------------

Songs-DB 1.3

 - added audio CD burning support (Nero is required to be installed)
 - support for format plug-ins which allow scanning and tagging any file format
 - added format plug-in for Ogg Vorbis
 - any input plug-in can be used now for getting song length (so virtually any
      file format is at least partially supported now - by means of WinAmp2 plug-ins)
 - any input plug-in can be used for converting song to other format
 - artists and albums node allows to apply a filter
 - incremental search works for the currently sorted column (and title by default)
 - most of fields can be edited directly in the main song list
 - removing songs from a playlist and the cache doesn't cause list refresh anymore
 - player responds to mouse wheel (volume, balance and position)
 - database was converted to use general sort order by default
 - file size was not shown in the computer node
 - comments and lyrics fields are now in Courier New font (fixed width of all characters)
 - added player pop-up menu
 - songs properties dialog can be shown as always on top
 - mp3 songs length is more accurately calculated now
 - new version of id3lib was included
 - original title field is now stored in id3v2 tag
 - the internal player can show either elapsed or remaining time
 - screen flickering of some components was removed
 - windows XP status bar drawing bug was fixed
 - improved audio CD grabbing (works even with virtual drives on Windows NT,2000 and XP)
 - scripts error messages were improved
 - copy and move logic was improved (cache is used, messages on error)
 - some other small improvements

------------------------------------------------------------------

Songs-DB 1.2 release 6

 - album details dialog was redesigned
 - new Enter key shotcuts
 - new drag&drop possibilities (for categories)
 - added some song list shortcuts
 - audio CDs are sorted after data CDs (in the Media and Database node)
 - corrected wrong grabbing offsets of tracks
 - added jumps to Computer and Database folders
 - added an option to normalize songs during conversion
 - normalization column added to the main song list
 - added new genre (id 126..147)
 - genre handling improved (better parsing and storing in ID3 tags)
 - some smaller improvements

------------------------------------------------------------------

Songs-DB 1.2 release 5

 - freedb support for "various artists CDs"
 - rewritten all Windows XP incompatible code
 - distributed with the latest Lame MP3 engine
 - Freedb query is possible now even for not yet scanned audio CD
 - improved HotKey functionality (more switches)
 - custom field handling corrected

------------------------------------------------------------------

Songs-DB 1.2 release 4

 - Windows XP themes support was corrected

------------------------------------------------------------------

Songs-DB 1.2 release 3

 - grabbing of mixed audio and data CDs was corrected
 - grabbing was one frame shorter
 - some small improvements

------------------------------------------------------------------

Songs-DB 1.2 release 2

 - executable is not packed anymore (caused problems on some machines)
 - corrected startup of the application
 - corrected database values for newly converted songs
 - added better freedb time-out handling
 - added total file size to the status bar
 - added new fields to the main song list: File Size, BPM, Sample rate, Channels
 - some other small corrections

------------------------------------------------------------------

Songs-DB 1.2

 - added script support
 - added AutoPlaylists (playlists with songs selected by a query)
 - the main tree was completely redesigned
 - newly added songs are listed in a special playlist (in Playlists node)
 - improved Drag&Drop support
 - added back and forward tree node buttons
 - corrected WMA input plugin
 - changed bitrate, channels and sample rate showing logic in the internal player
 - shuffle logic was corrected
 - support for WinAmp2 plug-ins was improved
 - added support for WinAmp2 general plug-ins (gen_*.dll)
 - user is asked for volume label just for removable media
 - incremental search logic was corrected
 - corrected DB error messages
 - added new query fields (particularly categories)
 - improved query dialog showing logic
 - changed main toolbar's icons and play toolbars are hidden for the internal player
 - songs are no longer removed in threads (was a bit confusing)
 - added web node with links to various web pages
 - added Album Details dialog with album cover and "Info/Buy" link
 - freedb support improved
 - a check for a new version of Songs-DB available was added
 - several smaller bugs corrected

------------------------------------------------------------------

Songs-DB 1.1 

 - new plug-ins for audio CDs and WMAs
 - custom genres can be added (any string can be entered in song's
       properties dialog for genre name)
 - improved connection to the database
 - corrected current playlist node
 - added the help file and the manual
 - some other fixes

------------------------------------------------------------------

Songs-DB 1.1 beta

 - a new option to turn off warnings when song to be played is not accessible
 - a new version of ID3Lib (solves some problems with tagging MP3 files)
 - after conversion, song is added to database and tagged
 - an option added to automatically set ID3 tag after song's properties edit
 - added an option to import track # from .m3u playlist (instead of ID3 tag)
 - added an option to query freedb automatically after an audio CD is scanned
 - some small changes and bugfixes
 - a command line option /NoSplash to prevent showing splash screen during startup

------------------------------------------------------------------

Songs-DB 1.1 alpha 3

 - added normalization of volume (!)
 - handling of first song's letters changed
 - rewritten songs showing window (now looks like playlist window)
 - few small bugs corrected

------------------------------------------------------------------

Songs-DB 1.1 alpha 2

 - memory is now released correctly when compressing WMAs
 - corrected network node browser labels

------------------------------------------------------------------

Songs-DB 1.1 alpha

 - added an internal player compatible with WinAmp (skins and plug-ins)!!!
 - new properties added for each song: Tempo, Mood, Occasion, Preference
 - browsing possibilities added for song properties
 - new node Network added for browsing local network
 - tray icon (can be disabled)
 - corrected DB access (problem with non-english version of MDAC)
 - corrected CDDB(Freedb) access
 - bugs fixes

------------------------------------------------------------------

Songs-DB 1.0 beta

 - optional jitter correction for CD audio grabbing
 - possibility to setup each CD-ROM drive for grabbing 
  (frames to read, jiter correction, ...)
 - corrected MP3 encoding
 - insert and eject of CD causes refresh of related data immediately
 - a pop-up menu for the currently playing song
 - several bugs corrected

------------------------------------------------------------------

Songs-DB 0.9 beta

 - this file has started, until now there were too many changes...


---------------------------------------------------------------------------------
Copyright (c) 2003 - 2007, Ventis Media, Inc.
Release History:
================

MediaMonkey 3.0.0.1020

2558 Added different headers to Now Playing in minimized mode
2237 Added total lockdown to Party mode
2878 Added option to burn same disc again
1991 Added query by Track#
1992 Added query by Media
1985 Added query by Album / Album Comments
0715 Added query by Type
2558 Improved integration of the Mini-Monkey with the Now Playing window
2851 Improved grouping by Album Artist in Album Art views
2834 Fixed occasional access violations in Album Art views
2839 Fixed access violations when user adds album art before view has refreshed
2860 Fixed access violation on addition of Album Art via group properties
2856 Fixed Track # should be shown in AA view instead of play order #
2832 Fixed minimizing progress bar can trigger access violation
2829 Fixed <ctrl><a> in some views triggers access violation
2836 Fixed access violation when user double-clicks on minimonkey to restore
2830 Fixed access violation when winamp is used as the player
2847 Fixed player flickers when docked under tracklist and mouse hovers on it
2841 Fixed access violation on resizing player
2867 Fixed minimized status bars not visible in unskinned mode
2874 Fixed Editing rating from within player triggers apparent change in Now Playing list
2558 Fixed tracks don't play on double-click in Mini-Monkey if player is stopped/paused
2866 Fixed 'All' nodes fail to update to reflect scanning progress
2802 Fixed Album Ratings shouldn't appear editable
2872 Fixed Access Violation for scripts calling GetNodeData 
2850 Fixed podcasts fail to download if episode title contains > 1 line
2857 Fixed occasional freezes from some podcast downloads
2858 Fixed freeze upon removal of many tracks from the library
2840 Fixed access violation on clearing many Genre fields at once
2837 Fixed database version check fails in some cases
2844 Fixed access violation when multiple selects occur
2842 Fixed 'List index out of bounds' error in virtual tree
2854 Fixed auto-tag from Amazon doubles up track listings
2833 Fixed playlist.m3u should be moved from My Music to App Data directory
2827 Updated to FLAC 1.1.4 libraries

------------------------------------------------------------------

MediaMonkey 3.0.0.1017

2704 Added Vista compatibility for CD playback
2754 Added new themeable player (via msz files)
2389 Added adjustable font sizes in Themes (for Media PC themes)
2583 Added new status bar framework which conserves space
2360 Added new client-side framework for easy installation of scripts (via mmip files)
2399 Added lightweight db (sqlite) for improved performance and reliability
0848 Added ability to display all fields in the Tracklist
1856 Added podcast reader (configurable directories and podcasts)
2253 Added My Documents in the Locations node (needs more work for Vista)
1313 Added iTunes style browser
2699 Added in-tracklist editing of ratings
2524 Added Send-to email
2366 Added the ability to add new folders via Drag and Drop
1273 Added ability to sort the Now Playing list
1273 Added undo capability for changes to the Now Playing list
1988 Added Files to Edit > Unlevelled tracks
2623 Added track selection via spacebar to better comply with accessibility requirements
0104 Added ability to see which playlists a track belongs to
1797 Added empty winamp.exe file to install directory to facilitate winamp plugin installs
2614 Added themeable text to better highlight Burn Wizard warnings
1445 Added ability to burn audio across multiple Audio CDs
2373 Added auto-conversion for CD Burning (e.g. convert Flac on the fly for an MP3 CD)
2242 Added optional warnings to appear in burn wizard when when burn path > 64 characters
2416 Added delete original files option to burn data disc wizard (for archival purposes)
2374 Added 'cache files from network' option for safer burning of non-local files
2521 Added ability to delete tracks in audio cd burn wizard
2173 Added unicode support for disc burning
2072 Added verify disc function for burning
2371 Added much faster audio CD burning via on-the-fly track preparation and larger buffer
1746 Added warning to prevent scanning of a directory containing the Virtual CD
2772 Added option to add tracks to the library on conversion
0097 Added automated volume analysis (optional)
1330 Added Album Gain support
0849 Added ability to edit volume leveling values
2659 Added Micro-Monkey player upon minizing to Tray (currently 'MediaMonkey Desk Player')
0351 Added configurable hotkeys with Global hotkey support
2476 Added remember last node when closing
2505 Added hibernate and sleep options to Sleep function
2180 Added auto-generation of debug logs if MM crashes
1448 Added AAC playback (requires Quicktime)
0117 Added native crossfade support
2545 Added silence removal
2678 Added playback position is bookmarked based on Genre
1380 Added advanced search for 'unknown' fields
2645 Added advanced search for last synched date
1987 Added advanced search for contained in playlist
2335 Added logical operators for quicksearch (' '=AND, ""=exact, ';'=OR)
0096 Added basic logical operators for advanced search ('Any'/'All)
1449 Added AAC tagging
1545 Added improved support for classical music (help file to be updated)
1633 Added global album art configuration settings / improved album art management
1633 Added support for saving Album Art as folder.jpg globally
2667 Added Album Art tagging in FLAC files
2750 Added replay gain support for WMA tags (previously only in DB)
2730 Added Album Art tagging in OGG files
2773 Added linked Album Art locations to FLAC tags
0956 Added WM9 encoding (lossless, Pro, speeach, VBR, CBR-2 Pass, etc)
2605 Added multiple genres support to ID3 tags
2440 Added Send-to My Documents
2147 Added ability to import ratings from jRiver
2655 Added synch support for iPod Gapless mode
2231 Added auto-synch should display number of tracks being deleted
1949 Added synchronization gives more control over auto-generated playlists
2107 Added synchronization config allows user to define formats supported on a device
0714 Added support for multiple Genres, Artists, Albums, CDs
1796 Improved database is stored to Application data instead of My Music
1627 Improved associated file types are not set to 'MediaMonkey file'
2490 Improved burn priority set to High for on-the-fly, and uses default thread priority otherwise
2378 Improved default burn data disk format masks
2212 Improved CD-text usability in the Audio CD wizard
1132 Improved configuration in volume leveling screen (needs more work)
0519 Improved Tooltips behaviour (needs more work)
2731 Improved layout and icons
1807 Improved Auto-tag from Amazon to better display changed tags
2415 Improved Auto-organize with addition masks
2664 Updated to LAME 3.97
2737 Updated FLAC to 1.1.3
2694 Updated Microsoft Windows Media components
2506 Fixed MediaMonkey doesn't work well in multi-monitor environments
2377 Fixed Window Positions not persisted when application is closed
2685 Fixed settings don't persist if application is abnormally terminated
1437 Fixed switching from Winamp back to MM player should trigger Now Playing list to appear
2572 Fixed odbc errors when searching using Chinese characters
2715 Fixed scanning status bar shows track prior to the one actually being scanned
2760 Fixed MediaMonkey can add duplicate entries when a drive is switched from IDE to USB
2643 Fixed MediaMonkey isn't correctly associated with tracks in some environments
2672 Fixed config settings can sometimes be saved to C:\My Music
2695 Fixed file lengths reported incorrectly when headers are incorrect (e.g. MusicMatch rips)
2593 Fixed Audio CD is closed even if 'Allow further writing' is enabled
2575 Fixed if burner/disk fails to initialize, no error message is given
2560 Fixed progress bar shows 'Burning .m3u file' when burning a Single Data file
2550 Fixed non-Gold user cannot click burn if CD/DVD isn't inserted
2549 Fixed Send-to disk has CD/DVD as an available option
0210 Fixed Drag and Drop / Cut & Paste disabled for virtual CD
2460 Removed Virtual CD queue (playlists serve the same function)
2786 Fixed newly added/converted tracks fail to trigger a refresh of the current view
2751 Fixed leveling RVA2 ID3 tags written incorrectly
2692 Fixed leveling RVA2 ID3 tags from Foobar not read correctly
1421 Fixed tracklist scrolls horizontally unnecessarily in some cases
2280 Fixed focus shifts when tracks are added/removed from the view
0266 Fixed Location/Network node shouldn't appear unless tracks are contained within
2526 Fixed wheelmouse works backwards if configured to scroll page at a time
2512 Fixed tray 'restore' function when MM is in foreground causes 'Now Playing' to become hidden
0946 Fixed clicking a Tree shortcut sometimes cause node to display at the bottom of the window 
0700 Fixed <Shift><Delete> should trigger permanent deletion without prompting for choice of method
0021 Fixed empty tree nodes should not have a '+'
0945 Fixed Now Playing transparency stops working after MediaMonkey is restored
1127 Fixed Now Playing transparency blocks confirmation dialogs
0905 Fixed Now Playing doesn't always show the upcoming track
2767 Fixed folder selection dialog can trigger AV, and is slow
2489 Fixed usability issues in folder selection dialog
2548 Fixed invalid MPP files can trigger an access violation
2815 Fixed track never ends after switching back from party mode/full screen
2680 Fixed playcount algorithm should only mark tracks as played when fully played
2726 Fixed playcounts are increased when tracks are paused
2718 Fixed MP3 input plugin introduces slight gaps
1670 Fixed editing tag of currently playing track can lead to 5-10 seconds of repetition
2711 Fixed player timer is stuck at zero if set to count down on a radio stream
0124 Fixed changes in equalizer setting during playback cause audio artifacts
2632 Fixed misc issues with MediaMonkey / Winamp integration
2452 Fixed Auto-DJ performance issues
2674 Fixed copy & paste of autoplaylists doesn't always work
1966 Fixed duplicate detection doesn't give any feedback if no duplicates are detected
2738 Fixed faulty tags in some wave tracks cause them to always remain in unsynchronized tags
2778 Fixed wave tags written by EAsy CD-DA extractor cannot be modified
1765 Fixed auto-tag from Amazon generates incorrect artist info for Various Artist CDs
2165 Fixed My Computer node infers properties of tracks that are already in the DB
2241 Fixed multiple Album Art windows can open for a single file and retain focus incorrectly
2696 Fixed File Monitor adds tracks in 8.3 format on FAT filesystems
2687 Fixed volume leveling information isn't read from LAME info tag
2434 Fixed Volume leveling peak info not stored to MPC tags
2621 Fixed auto-organize tries to organize all checked files even when no change is required
2631 Fixed corrupted MP3 tags are read very slowly
2499 Fixed tagging of tracks in tagging queue can cause damaged Album art
2386 Fixed Auto-organize of large number of tracks leads to an apparent UI freeze
2582 Fixed wording of auto-increment script
2646 Fixed scripting bug: SDB.UI.NewEdit.ControlName = SDB.UI.NewEdit.Text
2782 Fixed MTP synchronization: wmdm driver doesn't delete empty directories
2781 Fixed MTP synchronization: wmdm driver doesn't synch album art from My Computer node
2276 Fixed synchronization: iRiver H Series inaccurately named

------------------------------------------------------------------

MediaMonkey 2.5.5.998

2845 Fixed FLAC tracks not tagged correctly when multiple non-standard metadata blocks are included
2863 Fixed Access violation on adding/pasting Album Art via group track properties

------------------------------------------------------------------

MediaMonkey 2.5.5.997

2800 Fixed non-MediaMonkey ID3 fields (unicode) are tagged incorrectly
2801 Fixed FLAC header not exactly to spec --> compatibility problems with some players

------------------------------------------------------------------

MediaMonkey 2.5.5.996

2792 Fixed moving the currently playing Track may remove the track from the library

------------------------------------------------------------------

MediaMonkey 2.5.5.995 RC-7

2784 Fixed conversion with 'Level Track Volume' --> pre-conversion replaygain value

------------------------------------------------------------------

MediaMonkey 2.5.5.994

2768 Fixed synchronization never completes if auto-synchronization cannot convert a file
2765 Fixed File Monitor can cause links to album art to be lost in some cases
2779 Fixed updates to ID3v2.2 tags causes Album Art to be lost
2771 Fixed conversion of tracks with embedded art to OGG/FLAC creates a link to no art
2759 Fixed some tracks aren't playable with the MP3 plugin when WM cannot process ID3 tag

------------------------------------------------------------------

MediaMonkey 2.5.5.992 RC-6

2758 Fixed FLAC files with unrecognized blocks (incl. Album Art) don't scan/play correctly
2762 Fixed Volume leveling (replay gain) information is lost on conversion

------------------------------------------------------------------

MediaMonkey 2.5.5.991 RC-5

2485 Fixed synchronization: auto-conversion removes album art from tag  
2743 Fixed iPod synchronization: can contain duplicate artists if prefixed by 'The'

------------------------------------------------------------------

MediaMonkey 2.5.5.990 RC-4 (Refresh)

2740 Fixed 'Send to...' doesn't work

MediaMonkey 2.5.5.988 RC-4
2367 Added synchronization of WMA and OGG to MTP devices
2722 Improved iPod synchronization for corrupted iPods
2734 Fixed iPod synchronization: iPod game sounds can be added to the iPod library
2739 Fixed iPod synchronization: browsing iPod during synch can trigger a freeze
2644 Fixed album art may be removed from an iPod on Rebuild Database operation
2725 Fixed volume leveling doesn't work when playing tracks from an iPod in MediaMonkey
2724 Fixed ratings not correctly synchronized to iRiver Clix
2728 Fixed FLAC tracks can be tagged with 2 Ensemble fields
2723 Fixed Scanning of FLAC tracks may fail
2736 Fixed conversion of 24-bit WAV files to FLAC yields faulty tracks
2719 Fixed multiple instances of decoder.exe can occur when auto-converting flac
2709 Fixed .fla extension isn't supported
2735 Fixed reading corrupt WAV tags can trigger a slowdown/freeze
2738 Fixed ogg/flac tags aren't always cleared --> they can be persistently unsynchronized
2732 Fixed some dlls aren't thread safe
2721 Fixed player behaves erratically for tracks > 400 minutes

------------------------------------------------------------------

MediaMonkey 2.5.5.985 RC-3

2707 Fixed iPod synchronization: album art is missing when synched tracks aren't in library
2639 Fixed iPod synchronization: bookmarks are lost on synchronization with iPod Shuffle
2617 Fixed synchronization: devices aren't enabled by default when other devices are disabled
2710 Fixed radio streams can take several seconds to start in some cases
2712 Fixed double-click on header of empty tracklist causes Access Violation

------------------------------------------------------------------

MediaMonkey 2.5.5.983 RC-2

2677 Fixed iPod synchronization: synched playlists can't be played by iPod's alarm clock
2691 Fixed iPod synchronization: when some scripts are used, ratings appear off by 1 star
2690 Fixed conversion can change the length of a track and/or append small part of next track
2683 Fixed visualizations can trigger an access violation in some cases
2684 Fixed scanning a wav file can cause MM to freeze

------------------------------------------------------------------

MediaMonkey 2.5.5.980 RC-1

2536 Added synchronization with Motorola iTunes phones
2663 Fixed synchronization with Zen Vision M: ratings don't synch back to MediaMonkey
2661 Fixed player UI has graphic artifacts on some systems when tagging
2654 Fixed album art doesn't synchronize to 2nd Gen iPod Nano
2660 Fixed disc burning problem on some Win9x/ME systems (hpcde 1.99.3)
2595 Fixed wav tagging bug when ASCII tag contains local language characters e.g. umulauts (thx unzerpum!)
2595 Fixed wav tagging bug when incorect chunk sizes are found in JUNK and PADDING Chunks

------------------------------------------------------------------

MediaMonkey 2.5.4.978

2636 Fixed AutoPlay entries are disabled on install/uninstall
2641 Fixed installation language doesn't 'stick' for non-Admin accounts
2639 Fixed bookmarks are lost on iPod synchronization
2640 Fixed bitrate not reported for FLAC tracks > 25 minutes

------------------------------------------------------------------

MediaMonkey 2.5.4.977 (RC-3)

2618 Fixed track selection via mouse doesn't deselect originally selected track
2622 Fixed iPod plug-in compatibility settings not always enabled by default
2595 Fixed more cases in which WAV tags are not read correctly
2629 Fixed some scripts not working with IE7
2620 Updated Portuguese-Brazil language files

------------------------------------------------------------------

MediaMonkey 2.5.4.975 (RC-2)

2571 Fixed synchronization of Creative Zen devices doesn't work on Windows 2000
2584 Fixed selection of multiple tracks via <Ctrl><Shift>
2551 Fixed highlighting of duplicates in the Burn wizard doesn't work correctly

------------------------------------------------------------------

MediaMonkey 2.5.4.974 (RC-1)

2599 Added Italian back to the installer (newly updated translation)
2553 Fixed Burn wizard freezes on startup on some systems
2610 Fixed Conversion doesn't always transfer Album Art to destination track
2595 Fixed MusicMatch / Goldwave WAV tags may not be read correctly
2601 Fixed minor issues in the German translation

------------------------------------------------------------------

MediaMonkey 2.5.4.971 (Beta 2)

2529 Added Freedb2 as backup to Freedb in case of problems
2537 Fixed iPod Synchronization: Album Art can go missing after using updater 1.2
2510 Fixed conversion of OGG fails sometimes fails halfway through
2510 Fixed occasionally files can't be decoded during conversion
2563 Fixed tags aren't always updated on volume leveling (or whenever a file is locked)
2553 Fixed Burning can take a long time to initialize (upgraded to hpcde 1.99)
2565 Fixed Burning fails if source track is locked
2559 Fixed Burn speed may be invalid if user switches media
2552 Fixed Burning speed is multiplied by 1000 sometimes.
2533 Fixed scans are incomplete with some NAS devices [needs testing]
2573 Fixed Data Execution Prevention policies may prevent Milkdrop from working
2574 Fixed FLAC files restart on their own seek bar is moved to end of track
2566 Fixed debug version of WMDM plugin can crash on 
2567 Fixed MPC files show incorrect bitrate
2564 Fixed <Shift><End> fails to select the last track
2568 Fixed statistics script error on some Windows locales

------------------------------------------------------------------

MediaMonkey 2.5.4.969 (Beta 1)

2530 Added iPod plug-in can create .m3u files (for use with Rockbox firmware)
2553 Improved debug messages to determine why CD Burning freezes when wizard starts
2527 Fixed CD Burning freezes on the last page of the wizard on some systems
2543 Fixed Data Disc Burning of large file can lead to 'Layout cannot be set' error
2551 Fixed Data Disc Burning removes duplicates without warning for tracks not in Library
2534 Fixed Rapid starts/stops can trigger a crash (reported as rating tracks causes crash)
2531 Fixed Send-to sometimes sends incorrect tracks
2518 Fixed FLAC tagging can corrupt tags if they're tagged with ApplicationID
2513 Fixed playback of FLAC files fails when DSP plugins are used
2522 Fixed WMDM Synchronization: disconnected devices may remain in the tree
2514 Fixed some MusicMatch wav tags aren't read correctly
2508 Fixed Scanning some WAV tags can trigger a crash
1422 Fixed Deselection using Shift or CTRL doesn't work correctly
2555 Fixed occasional SQL error when removing Album Art
2159 Fixed Text in the progress bar appears blurry
2533 Fixed scans are incomplete with some NAS devices

------------------------------------------------------------------

MediaMonkey 2.5.3.968

 - Added username/password support for secure streams (e.g. via Slim Server)
 - Updated online help
 - Fixed iPod synchronization/auto-conversion can cause tracks to stop prematurely
 - Fixed connected MTP devices can prevent MediaMonkey from shutting down correctly
 - Fixed CD/DVD burning on some burners (update to burn engine v1.98)
 - Fixed DVD burning doesn't show accurate available burn speeds
 - Fixed Album Art tagging can fail if initiated when track is already in tagging queue
 - Fixed streams from Slimserver don't always display metadata on track change
 - Fixed regression with Preview functionality

------------------------------------------------------------------

MediaMonkey 2.5.3.963 RC-3

 - Added profile for SwiMP3 devices (v2)
 - Added iPod synchronization support for bookmarking when Genre = Podcast
 - Fixed synchronization: Copy .m3u Playlist setting is ignored
 - Fixed thread locking bug (synch lockup, auto-organize issue, etc.) exposed by fixes in RC-2
 - Fixed burning: DVD+RW isn't erased correctly
 - Fixed burning: DVD free space is inaccurate
 - Fixed burning regression: MP3 CD/DVD creation fails in RC-2
 - Fixed showing of empty cells in statistics script

------------------------------------------------------------------

MediaMonkey 2.5.3.959 RC-2

 - Fixed MP3 VBR encoding can produce overly high bitrates
 - Fixed com-related freeze/lockup that occurs when tagging while ripping 2 CDs
 - Fixed scanning MP3 can trigger an Access Violation in rare scenarios
 - Fixed iPod Smartlists are unnecessarily converted to Playlists
 - Fixed regression: sorting by column header truncates column text
 - Fixed problems with folders starting with spaces
 - Fixed Find More from Same Folder (Computer) for network paths

------------------------------------------------------------------

MediaMonkey 2.5.3.956 RC-1

 - Added Synchronization, Playlist, and Burn buttons can have tracks dropped onto them
 - Added Send to device (synchronize) function
 - Improved OGG encoding with new aoTuVb4.51 encoder
 - Improved Field@1 mask should ignore prefixes
 - Fixed various CD/DVD Burning issues with update to burn engine
 - Fixed CD Audio TAO burns have extra four seconds between tracks
 - Fixed iPod browsing occasionally triggers access violation
 - Fixed in place editing is overly sensitive & starts unnecessarily
 - Fixed column auto-resize doesn't work well for ratings column
 - Fixed pre-amp value doesn't properly persist
 - Fixed playback doesn't start sometimes after d&d and doubleclick

------------------------------------------------------------------

MediaMonkey 2.5.3.953 Beta 1

 - Fixed cannot read WMA tag that has a write-protect flag
 - Fixed IE proxy configuration is sometimes read incorrectly
 - Fixed burning method is sometimes blank in unskinned mode
 - Fixed problems with gapless playback of MP3s / streaming issues
 - Fixed synchronization: changed iPod ratings and playcounts sometimes aren't updated in Library
 - Fixed synchronization: Album Art not synchronized to Samsung YP-25
 - Fixed synchronization with Rio Karma
 - Fixed some jpg files cause an error #67
 - Fixed scanning of some corrupted MP3 tracks
 - Fixed writing tags to some non-standard FLAC tracks
 - Fixed volume leveling info not written correctly for APE tracks

------------------------------------------------------------------

MediaMonkey 2.5.2.951

 - Updated translation pack with Croatian (thanks to Emil)
 - Updated online help
 - Fixed ratings & play history not imported from iTunes if int'l characters in filename
 - Fixed playback can start twice in some cases

------------------------------------------------------------------

MediaMonkey 2.5.2.950 RC-3

 - Fixed configuration settings don't persist in some cases
 - Fixed file associations set by the installer can be overwritten in some cases
 - Fixed Synchronization: Empty playlists aren't deleted from MTP devices
 - Fixed corrupt MediaMonkey.m3u file can cause strange behaviour
 - Fixed new format of eMusic .m3u sample playlists fails to play
 - Fixed Rip CD dialog not friendly for the visually impaired

------------------------------------------------------------------

MediaMonkey 2.5.2.948 RC-2

 - Improved Auto-Tag from Amazon search results further
 - Fixed Auto-Tag from Amazon.co.uk adds incorrect tags to Artists
 - Fixed failed write of mediamonkey.ini and mediamonkey.m3u in some cases
 - Fixed Synchronization needlessly synchs tracks with custom masks
 - Fixed Playlist order doesn't persist in some cases
 - Files are incorrectly considered duplicates after conversion
 - Fixed wheel mouse doesn't work in drop down dialogs (e.g. Auto Tag from Amazon)
 - Fixed Album Art window is too insensitive to wheel mouse movement

------------------------------------------------------------------

MediaMonkey 2.5.2.947 RC-1

 - Added command line option to start in Party Mode ( /party)
 - Added command line option to start up and play ( /play)
 - Added track length calculation for VBR files missing header info
 - Added Type-Browsing to Scan Folders dialog
 - Improved auto-tag from Amazon search results when only Artist is known
 - Updated help file
 - Updated default masks
 - Fixed occasional freezes related to file locking
 - Fixed MP3 encoding is slow even at -q 9 (updated to LAME 3.97b2)
 - Fixed FreeDB results should display properly even for incorrectly encoded data
 - Fixed CD Burning: write method is sometimes blank
 - Fixed Audio CD Burning: tracks fail to burn after a faulty file
 - Fixed Audio CD Burning: volume leveling doesn't work correctly
 - Fixed regression: some flac files fail to play correctly
 - Fixed regression: keyboard shortcuts conflict

------------------------------------------------------------------

MediaMonkey 2.5.2.943 Beta 2

 - Added ability to scroll through multiple Album Art entries with wheel mouse
 - Added ability to import metadata from Windows Media Player when scanning
 - Added transparent synchronization support for Sony Ericsson walkman phones
 - Added lyrics support for iPod synchronization
 - Updated flac encoder/decoder to version 1.1.2
 - Improved synchronization speed of MTP devices significantly
 - Improved iPod synchronization when genre = Audiobook (resume playback & not incl. in shuffle)
 - Fixed iPod synchronization - non-music entries (podcasts/movies) are not written correctly
 - Fixed synchronization fails to manually delete tracks on UMS devices using the WMDM plugin
 - Fixed synchronization of tracks via Location node don't use synch mask
 - Fixed synchronization of Album/Artist creates unwanted .m3us for MTP devices with DBs
 - Fixed synchronization of Album Art for some MTP devices
 - Fixed synchronization should never delete filetypes that MM doesn't understand
 - Fixed setting genre to null causes multiple track update
 - Fixed data CD Burning burns tracks in incorrect order
 - Fixed $ character in masks doesn't work as expected
 - Fixed mouse gestures can't be completely disabled
 - Fixed keyboard shortcuts missing for some actions

------------------------------------------------------------------

MediaMonkey 2.5.2.942 (Beta 1)

 - Added lots of scripting fixes and functionality (see script documentation)
 - Added ability to rename iPod
 - Added manual synching of tracks via drag & drop for iPods & other DB-based devices
 - Fixed synchronization with auto-conversion may not fill the device to capacity
 - Fixed synchronization settings don't persist for disabling a device
 - Fixed synchronization of metadata from the device back to the PC doesn't work
 - Fixed synchronization status bar sometimes incorrectly shows 'converting'
 - Fixed iPod doesn't trigger AutoPlay dialog
 - Fixed streaming audio is choppy for some stations
 - Fixed Auto-tag from Amazon displays some unicode incorrectly
 - Fixed Auto-tag from Amazon parsing and problems displaying some comments
 - Fixed tracks may not be found on drive with Volume ID = 0
 - Fixed tracks queued via Explorer are sometimes added to Now Playing twice
 - Fixed focus is lost when tracks are deleted
 - Fixed copy/cut/paste are disabled on Location & My Computer nodes
 - Fixed <Auto number> and <Playlist> masks can't be used for Convert or Auto-organize
 - Fixed $ character in masks is ignored and can cause errors when using Auto-organize
 - Fixed Album Artist tagging in ogg/flac for better compatibility
 - Fixed CMYK Album Art triggers an access violation
 - Fixed Export All Playlists script fails when illegal characters are in Playlist name
 - Fixed FLAC playback doesn't work for non 16-bit per sample streams
 - Fixed volume meter is slow/refreshes slowly for some mp3 files
 - Fixed open threads can cause deadlocks

------------------------------------------------------------------

MediaMonkey 2.5.1

 - Updated Norwegian translation
 - Fixed Data disc burn: save order of playlist tracks is reversed
 - Fixed Disc burning fails when non-unicode characters are present
 - Fixed some buttons are displayed off screen when skinning is disabled

------------------------------------------------------------------

MediaMonkey 2.5.1 RC-4

 - Updated French translation
 - Fixed needless upload of duplicate filenames to iPod or iRiver Hxxx devices

------------------------------------------------------------------

MediaMonkey 2.5.1 RC-3

 - Added Norwegian translation
 - Updated Portuguese Installer text
 - Fixed Random order is sometimes ignored in Auto-Playlists
 - Fixed Synchronization available space calculation isn't always accurate
 - Fixed track count fails to update on deselection via <Shift><Page Up>
 - Fixed corrupt FLAC files stall scanning and can result in crash of decode.exe
 - Fixed hpCDE disc burning logs aren't being generated in debug build
 - Fixed context menu items for script created nodes

------------------------------------------------------------------

MediaMonkey 2.5.1 RC-2

 - Updated Online help with 2.5 features
 - Updated Portuguese, Spanish, and Dutch translations 
   (thanks to Gervasio, Pablo, and UI)
 - Improved priority of disc burn operations has been raised
 - Improved CD Burning: discs should eject by default
 - Fixed Data CD Burning error 'Could not write the image layout to the disk'
 - Fixed Data CD burning  can crash when creating creating .m3u directory
 - Fixed Data CD Burning: .m3u files using prefixes are burned to directories
 - Fixed Data CD Burning: .m3u files still contain some duplicates
 - Fixed Data CD burning: node selection behavior is sometimes incorrect
 - Fixed CD erase: drive list empty on some machines
 - Fixed <Auto Number> mask should default to 3 digits
 - Fixed Synchronization of Virtual CD tracks occurs unnecessarily
 - Fixed Synchronization device node sometimes doesn't have 'Safely Remove Device'
 - Fixed Send-to Folder (Copy) doesn't work in Win 98
 - Fixed Volume Leveling clipping prevention stops some tracks from being releveled
 - Changed Volume Leveling default values to 89 db
 - Fixed scripts that don't display correctly at 144dpi

------------------------------------------------------------------

MediaMonkey 2.5.1.927 RC-1

 - Added iPod synchronization support for Composer field
 - Added first time synch of MTP device --> config screen
 - Added Auto-Synchronize to device context menu
 - Updated French and Dutch translations (Thanks Octopod & UI!!)
 - Fixed app hangs when 'Synchronize as soon as the device is connected' is enabled
 - Fixed synchronization doesn't proceed when user clicks 'Synchronize' in Windows dialog
 - Fixed synchronization: device context menus aren't greyed out if actions not supported
 - Fixed synchronization: Album Art fails to update on device if timestamp hasn't changed
 - Fixed iPod synchronization: strange characters in the device name in some cases
 - Fixed iPod synchronization: AV on reading some iTunes DBs
 - Fixed iPod synchronization: Volume Leveling config shouldn't appear except for Shuffle
 - Fixed Burn Data CD has no size indicator on selection screen
 - Fixed Burn Data CD has 'unknown' nodes (they're unnecessary)
 - Fixed Burn Data CD: duplicates are indicated unnecessarily
 - Fixed Burn Data CD: .m3u contains duplicate track contents when it shouldn't
 - Fixed Burn Data CD: textsearch doesn't work correctly
 - Improved Burn Data CD: Better navigability of .m3u playlists (use of All.m3u)
 - Fixed Shuffle and Auto-DJ should not be mutually exclusive
 - Fixed Party Mode: It's possible to switch tracks even when player actions are disabled
 - Fixed Now Playing toolbars were presented even when entries are disabled
 - Fixed Level Volume and Level Playback volume are off by 6db 
 - Fixed old in_mpg123 plugin crashes when streaming (disable the plugin)
 - Fixed offline tracks are inadvertently edited to get 'URL' in the media field
 - Fixed duplicate detection detects non-existant duplicates from data CDs not in Library
 - Fixed a few more dialogs that display incorrectly at 144 dpi
 - Fixed some missing strings & string corrections
 - Reverted to LAME 3.96.1 (due to problems discovered with 3.97b1)

------------------------------------------------------------------

MediaMonkey 2.5.1.924 Beta 4

 - Added ability to navigate 'My Documents' in Add Folders and My Computer view
 - Added cut and paste of Album Art
 - Updated German translation
 - Improved masks ui: replaced <path> with <folder> (both still work)
 - Fixed Synchronization deletes tracks from the device if on synch list but unavailable
 - Fixed Synchronization can crash with very long filenames
 - Fixed Synchronization fails to update tracks or notify user when tracks are read-only
 - Fixed Synchronization 'Summary': # of tracks is incorrect if auto-conversion is used
 - Fixed Auto-Conversion: MP3-->OGG doesn't transfer metadata
 - Fixed iPod plugin: configuring when unconnected --> exception
 - Fixed iPod plugin: should support multiple devices
 - Fixed iPod Artists node doesn't use 'ignore "The"' sort configuration
 - Fixed Artist Filter results in SQL error
 - Fixed Disc Burning: Drive Type field is empty
 - Fixed Data Disc Burning: some .m3u files cannot be created or are corrupt
 - Fixed Data Disc Burning: .m3u files should be organized in a more useful hierarchy
 - Fixed Data Disc Burning: scrollbar scrolls far below the end of the list
 - Fixed Party Mode: Visualization should be disabled in full-screen mode
 - Fixed in-player volume meter moves slowly on some tracks
 - Fixed track VBRI tags are not read (track length reported incorrectly)
 - Fixed Auto-Tag from Amazon: combo box behaves strangely
 - Fixed Auto-Tag from Amazon: 'select all' doesn't work correctly
 - Fixed regression: Albums display incorrectly in the tree
 - Fixed shortcuts: Party Mode and Album Art
 - Fixed several dialogs have display problems at 144dpi
 - Fixed some localized strings don't appear translated

------------------------------------------------------------------

MediaMonkey 2.5.1.921 Beta 3

 - Added Select All/None checkbox in headers of all relevant dialogs
 - Added configuration for ignoring Artist prefixes (e.g. 'The')
 - Added Tooltips for all new 2.5 config entries
 - Improved masks implementation on Burn Disc dialog
 - Fixed Synchronization: sync to iPod can fail in mid-sync
 - Fixed Synchronization: Tracks appear under 'Movies' on iPod Video
 - Fixed Synchronization: Sort order on iPod sometimes incorrect
 - Fixed Auto-Conversion: Virtual CD tracks are converted needlessly
 - Fixed data disc burning: various glitches in burning .m3u files
 - Fixed data DVD burning: burning at 2x fails on some machines
 - Fixed disc burning: no error when no writable drive exists
 - Fixed disc burning: wizard appears incorrectly in unskinned mode
 - Fixed volume leveling: tags not updated correctly
 - Fixed Net radio: some streams don't play
 - Fixed Net radio: functionality is hidden
 - Fixed scanning: Album art only read when < 20 tracks in directory
 - Fixed Advanced Search (again): some genres are missing from criteria list
 - Fixed shorcuts: back 5 seconds & Party Mode
 - Fixed Access violation on Alt-F4
 - Fixed party mode: improve default settings
 - Fixed Auto-DJ configuration is 'hidden' in Now Playing config
 - Fixed glitches in Blue Monkey and Brushed Monkey skins
 - Fixed conversion error text: no indication that DRM causes the problems
 - Fixed Visualization icon and Net Radio icon
 - Fixed UI text in burn wizard + various other locations

------------------------------------------------------------------

MediaMonkey 2.5.1.918 Beta 2

 - Added Album Art support for iPod Video
 - Added support for MS DRM v1, v7, v9 (can now play tracks from Napster, etc.)
 - Added to data disk burning: burning of .m3u files
 - Added to data disk burning: improved control over Playlist masks
 - Added option to prevent unwanted devices from appearing in the tree
 - Added read more wav metadata (MusicMatch, AudioGrabber, BSI tags)
 - Updated LAME to version 3.97
 - Fixed burning: VCD files fail to burn to data disc
 - Fixed burning: Audio CD disk space indicator gives misleading status
 - Fixed burning: 'Show checked' button doesn't work correctly
 - Fixed Party Mode: unable to lock repositioning of dialogs
 - Fixed Party Mode: audio controls aren't disabled
 - Fixed Party Mode: configuration workflow is too complex
 - Fixed Party Mode: shuffle/repeat buttons can display incorrectly
 - Fixed Party Mode: Now Playing dialog isn't independent of normal mode
 - Fixed Auto-DJ: Unclear how to enable it (add 'enable' to the options dialog)
 - Fixed visualizations: Artist/Title metadata doesn't display in G-Force
 - Fixed advanced search: in some cases some Genres don't appear as criteria
 - Fixed advanced search:  incorrect results for 'Genre' doesn't contain 'xxx'
 - Fixed minimize to Now Playing dialog minimizes/maximizes incorrectly
 - Fixed problems with Unicode characters in masks
 - Fixed paused state persists incorrectly
 - Fixed OGG/FLAC ALBUM ARTIST tags aren't read (only ENSEMBLE is)
 - Improved open File/URL dialog
 - Improved text UI (Auto-DJ config, Burn wizard, mp3 settings)
 - Changed Party mode and Visualization icons
 - Changed Auto-Conversion to a Gold feature

------------------------------------------------------------------

MediaMonkey 2.5.1.913 Beta 1

 - Added duplicate prevention for playlists
 - Added Auto-DJ toggle function to menu bar
 - Added new <Folder:x> mask
 - Added Croatian to the Language installer (thanks to Emil Bobesic)
 - Fixed iPod synchronization: some tracks synched to iPod cannot play
 - Fixed iPod synchronization: synch sometimes halts right after it begins
 - Fixed iPod synchronization: plugging in iPod can trigger a crash
 - Fixed iPod synchronization: occassionally fails to release MM resources
 - Fixed wmdm synchronization: playlists don't synchronize to some devices (H-10)
 - Fixed wmdm synchronization: year metadata not visible (H-10, Zen Sleek, etc.)
 - Fixed wmdm synchronization: duplicate MTP devices appear (requires uninstall)
 - Fixed Play Now context menu plays focused track (vs. selected tracks)
 - Fixed minimizing device node causes Search node dialog to pop up
 - Fixed Party Mode: Shuffle and Repeat shouldn't be configurable
 - Fixed Party Mode: No ability to disable volume & balance control
 - Fixed Party Mode: Seek bar should be disabled when Stop/Play now is
 - Fixed Party Mode: It shouldn't be possible to enable/move toolbars
 - Fixed Auto-DJ isn't random enough
 - Fixed Auto-DJ doesn't play tracks from Virtual CD
 - Fixed Auto-Tag from Amazon: Comments shouldn't be enabled by default
 - Fixed Auto-Tag from Amazon: Javascript causes problems on high security systems
     Added ability to turn off Javascript via [AlbumBrowser] UseJavaScript=1
 - Fixed Auto-Play dialog support for WinXP fails on some systems
 - Fixed DVD burn speed options not all listed & listed with incorrect speeds
 - Tweaks to File Monitor + additional logging
 - Fixed incorrect focus behaviour for some dialogs
 - Improved UI: Synchronization, Auto-DJ config

------------------------------------------------------------------

MediaMonkey 2.5 Alpha 5

 - Added auto-fix to Windows Jet DB deregistration problems
 - Added playlist nodes for USM devices (view/edit/remove)
 - Added playlist nodes for MTP devices (view/remove)
 - Fixed synchronization crashes with some MTP devices on debug build
 - Fixed synchronization: tracks synched needlessly on playcount changes
 - Fixed synchronization: transfer to iPod sometimes fails in mid-sync
 - Fixed synchronization: Album Art fails on inital sync to iPod
 - Fixed synchronization: can't manually delete tracks from Zen Touch
 - Fixed synchronization: playlists don't sync to H10
 - Fixed synchronization: auto-converted tracks don't appear on some devices
 - Fixed synchronization: some tracks uploaded to iPod don't play
 - Fixed synchronization: synchronization is terminated sometimes
 - Fixed synch list/burn list: tree doesn't expand if 'Show All' enabled
 - Fixed burn spanning multiple disks: confusing flow / too many dialogs
 - Fixed burn spanning multiple disks: free space check sometimes incorrect
 - Fixed on-the-fly erase during burn: confusing workflow
 - Fixed file  triggers duplicates sometimes
 - Fixed Auto-DJ isn't sufficiently random
 - Fixed Auto-DJ shouldn't try to play unavailable tracks
 - Fixed Audio CD burn wizard usability/consistency
 - Fixed cosmetic issues with the Brushed Monkey skin

------------------------------------------------------------------

MediaMonkey 2.5 Alpha 4

- Added CD Burning - Disk Spanning
- Added Synchronization auto-conversion tools
- Added Synchronization option to not delete specified folders
- Added Synchronization Album Art support for iPod Nano
- Added striped background support for skins & Brushed Monkey skin
- Fixed Data CD burning mask sometimes doesn't update
- Fixed Data CD burning disk space indicator is inaccurate
- Fixed Data CD burning TAO burns sometimes fail
- Fixed Data CD burning --> Access violations on unrelated operations
- Fixed Data CD burn status indicator
- Fixed Erase CD sometimes doesn't work
- Fixed Freedb metadata isn't looked up for some Rip CD operations
- Fixed database cannot be read in some rare cases when upgrading
- Fixed USB drive results in duplicate entries in some cases
- Fixed problems when searching for consecutive characters (e.g. LL)
- Fixed synchronization: Memory leaks cause a range of problems
- Fixed synchronization: H320 isn't always recognized
- Fixed synchronization: track metadata can't be browsed on USM devices
- Fixed synchronization: device duplicates appear
- Fixed synchronization: freezes if synch button clicked right after connecting
- Fixed synchronization: occassional problems with iPod Album Art
- Fixed synchronization: iPod phantom entries (artist/album/genre)
- Fixed Play Next can cause an Out of Bounds error
- Fixed Access Violations when MS Help isn't correctly installed
- Fixed compatibility problems with Win95 & NT
- Fixed .m3u playlist export isn't in scripts folder
- Improved UI/workflow (Rip CD dialog, Synch UI, Burn Wizard, Config)
- Removed unneeded synchronization plugins

------------------------------------------------------------------

MediaMonkey 2.5 Alpha 3

- Added Data CD Burning & many UI changes -- for real this time :)
- Added Album Art synchronization for iPod Photo
- Added Volume Leveling for iPod Shuffle
- Fixed tracks on VCD cannot be burned
- Fixed iPod Shuffle volume is too low
- Fixed File Monitor regression from earlier alphas
- Improved synchronization UI and default synch masks
- Updated CD burning engine

------------------------------------------------------------------

MediaMonkey 2.5 Alpha 2

- Added basic Data CD Burning (still more to do)
- Added Auto-Play dialog support for WinXP (for CDs and Devices)
- Added encoding plug-in framework so others can add encoding protocols
- Added flac encoder (using the new encoding framework)
- Added synchronization support for Creative devices (& possibly others)
- Added Eject device hack for USB MS devices using WMDM driver
- Fixed synchronization: wmdm.dll doesn't release memory resources
- Fixed synchronization: access violation when brownsing iRiver Hxxx Database
- Fixed 'Back' button doesn't work correctly from Search node
- Fixed Auto-DJ is erratic when Shuffle/Replay are enabled (disabled Auto-DJ)
- Fixed Double-click on white space in track list --> tracks advance
- Fixed options dialog is inaccessible when MM is unskinned
- Fixed converting via 'Send to' menu doesn't include Album Art
- Fixed auto-tag from Amazon: 'unspecified error'
- Fixed auto-tag from Amazon: inaccurate results for search terms with numbers
- Fixed File Monitor monitors the recycle bin when entire drive is monitored
- Fixed .pls should be associated by default so radio plays in MM by default
- Fixed regression: some translated strings don't appear localized
- Improved reading of incorrect ID3 tags
- Improved wording/layout of several dialogs

------------------------------------------------------------------

MediaMonkey 2.5.1.896 (Alpha 1)

- Added Synchronization support for iPod Shuffle
- Added Synchronization support for 'Plays for Sure' (MTP) devices
- Added one-touch synchronization for all flash devices (similar to iPod Shuffle)
- Added 'show checked' button to easily display tracks on synch list
- Added Party mode
- Added basic Auto-DJ functionality (see Now Playing config)
- Added ability to import iTunes / Winamp ratings & play history on scans
- Added ignore 'The' in Artists name for sorting purposes
- Added auto-complete for commonly used fields (Artist/Album/Genre...)
- Added ability to select all/none in various dialogs
- Added more fine-grained control over default playback behaviour
- Added ability to disable mouse gestures
- Added in-place conversion (in addition to conversion to new location)
- Added 'Eject CD after ripping'
- Added proxy support for streaming (in addition to freedb)
- Added ability to export all playlists to .m3u files at once
- Added script: auto-increment track#
- Added script: switch Artist <--> Title
- Added script: Case Checker
- Fixed MPC metadata sometimes isn't read correctly
- Fixed MPC technical info missing for profile 'Radio'/Q5 or lower
- Fixed attempts to read tag on non-existant flac file causes freeze
- Fixed File Monitor: first file per directory sometimes not read correctly
- Fixed auto-complete usability kinks in skinned version
- Fixed Track# = 256 is always listed as 'unsynchronized'
- Fixed 'Double-click Action' should also work in Now Playing node
- Fixed Auto-Tag from Amazon: unspecified error dialog
- Fixed Auto-Tag from Amazon: access violation
- Fixed empty folders sometimes aren't removed after Auto-Organize
- Fixed File Monitor startup scan can cause duplicates in some cases
- Fixed rounding problems in statistics report
- Fixed font color in status bar cannot be changed in skins
- Fixed Playlists that are deleted appear in send-to history list
- Fixed multiple concurrent synchronization operations shouldn't occur
- Fixed Artist/Title should be split in Milkdrop to display better
- Improved image  quality for Album Art (bicubic resampling)
- Improved usability of 'Show checked' in synch dialog
- Improved usability of Freedb lookup so that menu isn't greyed out
- Improved shutdown time (shorter)
- Improved wording on numerous dialogs

------------------------------------------------------------------

MediaMonkey 2.4.2

- Fixed tracks synchronize to iPod needlessly to update play count
- Fixed half-star ratings change when synching from iPod

------------------------------------------------------------------

MediaMonkey 2.4.2 RC-1

- Added basic MP3 and OGG streaming
- Fixed tagging problems with latest version of FLAC encoder
- Fixed empty Genre field in OGG/FLAC tags can be filled incorrectly
- Fixed fields aren't auto-selected for multiple track edits
- Fixed lack of message during connection to update server
- Fixed long titles don't display correctly in Milkdrop visualization
- Fixed non-English Custom field names sometimes labeled incorrectly
- Updated German translation (Onkel Enno)

------------------------------------------------------------------

MediaMonkey 2.4.1

- Fixed iPod synchronization problems when insufficient space remains for the DB
- Updated French translation (Octopod)
- Updated German translation (Onkel Enno)
- Updated Spanish translation (Pablo)
- Updated Italian translation (Arg0)
- Updated Dutch translation (UI)
- Updated Czech translation (Jiri)
- Updated Polish translation (JaroU)

------------------------------------------------------------------

MediaMonkey 2.4.1 RC 1

- Added support for UTF-16 to iPod plugin (used in iTunes 4.8)
- Updated online help / documentation
- Fixed localization issues (missing text)
- Fixed synchronization settings can be lost when foreign languages are used

------------------------------------------------------------------

MediaMonkey 2.4.1 Beta 2

 - Improved text / UI in registration dialog
 - Updated documentation / online help
 - Fixed bidirectional iPod synchronization corrupts files in some cases
 - Fixed Generic Portable/Audio devices should have a default name
 - Fixed tree scrolls horizontally too much when node text is long

------------------------------------------------------------------

MediaMonkey 2.4.1 Beta 1

 - Added new device icon for iPod
 - Added ability to delete extra iPod device plugins by right-clicking them
 - Added ability to edit iPod tracks on the device from within MM & synch DB
 - Added ability to add .GIF files as album art
 - Added functionality to fix damaged MS Jet installations
 - Added new serial number registration functionality
 - Replaced outdated G-Force plugin with Milkdrop
 - Removed unlimited MP3 encoding for patent compliance in new installs
 - Fixed extra iPod plugin instance can be created if iTunes is present
 - Fixed iPod synchronization creates unneeded Playlists for Artist, Album
 - Fixed iPod device name changes when iTunes is run
 - Fixed synchronizing selected playlists doesn't create playlist on iPod
 - Fixed search via searchbar occasionally hangs
 - Fixed failed mass edits of Original Year field
 - Fixed some FLAC files still don't play
 - Fixed playlist order can get corrupted under heavy usage
 - Fixed misc UI issues

------------------------------------------------------------------

MediaMonkey 2.4.1.854 Alpha 3

 - Added Firewire support for iPod synchronization
 - Added support for iTunes-style folders on the iPod (so all tracks will play)
 - Added Playlist display and editing for iPod synchronization
 - Improved device synchronization speed
 - Improved device synchronization: device can be disconnected via the toolbar
 - Improved iPod synching: device database is used by default for browsing
 - Improved iPod synching: all tracks on the device appear in the device node
 - Fixed iPod synch: Playlists are deleted if not on the synch list
 - Fixed iPod synch: Ratings changed in MediaMonkey don't appear updated on iPod
 - Fixed iPod synch: Synching On-the-go Playlists deletes them from iPod
 - Fixed some operations lock files needlessly (preventing iPod from ejecting)
 - Fixed out-of-spec FLAC files don't play
 - Fixed Auto-Tag from Amazon fails if invoked via Properties dialog
 - Fixed 2.2-->2.3/2.4 upgrade problems (db-related) that occur on some systems

------------------------------------------------------------------

MediaMonkey 2.4.1.853 Alpha 2

 - Added ability to auto-unmount after auto-synchronizing an iPod
 - Added tooltips to Auto-Synchronization list to show space used by selections
 - Improved presentation of iPod device name
 - Fixed iPod won't play tracks synched with long filenames or foreign characters
 - Fixed multiple playlists accumulate on iPod after numerous Auto-Synchronizations
 - Fixed playlists synched to iPod should be sorted alphabetically
 - Fixed Auto-Tag from Amazon & tagging sometimes cause 'Floating point errors' 
 - Fixed Clicking 'Summary' on Auto-Synchronization list triggers access violation
 - Fixed CD burning problems on Windows 95/98/ME

------------------------------------------------------------------

MediaMonkey 2.4.1.851 Alpha 1

 - Added iPod synchronization
 - Added Auto-Tag from Amazon for Amazon.fr and Amazon.ca
 - Fixed FLAC tracks' APE tags aren't read when ID3V2 tag exists
 - Fixed eject CD after burn doesn't work
 - Fixed Test & burn can create incorrect track numbering or coasters
 - Fixed genres with a '(' aren't always read correctly
 - Fixed occasional error while scanning the Now Playing queue
 - Fixed leading zeros in Track# aren't stored to tags
 - Fixed some legal characters are disallowed in filenames
 - Fixed paths entered manually in the Scan Folders dialog aren't parsed correctly
 - Fixed browsing device nodes can trigger an access violation on exit
 - Fixed playlist statistics in the synchronization dialog are incorrect
 - Fixed settings don't persist if MediaMonkey doesn't close correctly

------------------------------------------------------------------

MediaMonkey 2.3.1.845

 - Fixed CD ripping is extremely slow in some cases
 - Fixed advanced device synchronization options don't persist
 - Fixed access violation when closing Auto-Tag from Amazon while art is loading

------------------------------------------------------------------

MediaMonkey 2.3.1.843 RC-5

 - Improved robustness of ID3 tagging code
 - Fixed Auto-Tag from Amazon sometimes initiates incorrect search
 - Fixed error message can appear unnecessarily during loading of Now Playing list
 - Fixed Albums not listed alphabetically in Auto-Synchronization Tab

------------------------------------------------------------------

MediaMonkey 2.3.1.842 RC-4

 - Updated online help
 - Fixed confirmation dialogs can be obstructed by transparent Now Playing window
 - Fixed Now Playing Album Art sometimes doesn't display on startup
 - Fixed selection remains after deleting tracks from Now Playing
 - Fixed regression: node contents aren't visible on node expansion
 - Fixed Auto-Tag from Filename: using <Artist> can overwrite Album Artist
 - Fixed rare access violations on exit

------------------------------------------------------------------

MediaMonkey 2.3.1.841 RC-3

 - Updated German translation
 - Fixed occasional ODBC error on scanning operations
 - Fixed selecting/unselecting > 1500 folders in Add Folders dialog --> slowdown
 - Fixed Auto-tag from Amazon: tracks with '?' are updated even if unselected
 - Fixed tree doesn't scroll for drag and drop to non-visible nodes
 - Fixed directory is locked after .m3u file or report is saved
 - Fixed first 'n' tracks in Now Playing are missing properties on startup
 - Fixed first track in a node appears incorrectly when file is accessed via external .m3u

------------------------------------------------------------------

MediaMonkey 2.3.1.839 RC-2

 - Added ability to disable skin themes in the installer
 - Added progress bar to show Now Playing list loading
 - Added Album Artist to Advanced Search/AutoPlaylist queries
 - Fixed File Monitor doesn't work for tracks moved via the My Computer node 
 - Fixed Album Artist field can be converted to Artist during scan for some tracks
 - Fixed strange behaviour when Album or Artist node is renamed to ""
 - Fixed some filters don't work at all
 - Fixed <Field@x> and <Field:-x> mask don't display correctly
 - Fixed default action of drag&drop to portable device should be copy
 - Fixed synchronization can delete non-audio file types
 - Fixed user can inadvertently disable 'Apply to all tracks' in Album Art Properties dialog
 - Fixed Auto Tag from Amazon: Auto-complete is overly aggressive
 - Fixed clipping in MP3 tracks causes the track to skip to the end
 - Fixed some Winamp General Plug-ins cause MM to crash on exit
 - Fixed xml report doesn't work
 - Fixed online help links

------------------------------------------------------------------

MediaMonkey 2.3.1.836 RC-1

 - Added SwiMP3 Portable Audio Device plugin
 - Added switch to disable MultiMedia keyboard processing for problem keyboards via .ini file
 - Updated online help for new 2.3 features
 - Updated German, Russion, Italian, and tweaked French, Dutch localizations
 - Fixed Auto-Tag from Amazon always updates Track #
 - Fixed Auto-Tag from Amazon focus should be on the search bar
 - Fixed Auto-Tag from Amazon umlauts don't display correctly
 - Fixed Auto-Tag from Amazon shouldn't open multiple windows for multiple searches
 - Fixed Auto-Tag from Amazon shouldn't select tracks with a '?' by default
 - Fixed location of Amazon store doesn't persist
 - Fixed Auto-Organize should by default use all digits in the track# field
 - Fixed misc. text/graphics glitches

------------------------------------------------------------------

MediaMonkey 2.3.1.834 (Beta 5)

 - Added Flac playback plugin
 - Added Flac tagging plugin
 - Added check/workaround for Microsoft MDAC/Jet de-registration problem
 - Updated Dutch, French, Spanish localizations for 2.3 features
 - Fixed minor issues in html tracklist report
 - Fixed Now Playing / Album Art refresh problem
 - Fixed auto-organize memory allocation error

------------------------------------------------------------------

MediaMonkey 2.3.1.832 (Beta 4)

 - Optimized linkages of .dlls for faster startup
 - Fixed security vulnerabilities in in_mpg123 plugin
 - Fixed themed radio buttons/checkboxes for visually impaired users
 - Fixed more Generic Portable/Audio Device node refresh issues
 - Fixed scripts aren't correctly updated from MM 2.2
 - Fixed USB-attached CD-ROM inaccessible on some systems
 - Fixed Auto-Tag from Amazon doesn't work for tracks in the Virtual CD
 - Fixed Tag Update progress indicator sometimes doesn't appear
 - Fixed several Localization-related bugs

------------------------------------------------------------------

MediaMonkey 2.3.1.831 (Beta 3)

 - Added Statistics Report contributed by The Rocket
 - Added ability to optionally not delete folders emptied by Auto-Organize
 - Added random albums to AutoPlaylists
 - Added link to Alternate Freedb Servers in config panel
 - Added ability to Uncheck All in Synchronization list
 - Added Auto-Tag from Amazon settings should persist
 - Added Auto-Tag from Amazon support for German, Japanese, UK store lookups
 - Improved Auto-Tag from Amazon so it can be re-used without closing each time
 - Fixed Auto-Tag from Amazon includes html tags in comments
 - Fixed Auto-Tag from Amazon tagging of 'Medium' size images fails
 - Fixed Auto-Tag from Amazon access violation on Win 98
 - Fixed memory leak in Auto-Tag from Amazon code
 - Fixed Album Art dialog settings don't persist
 - Fixed removal of linked Album Art doesn't delete images from the file system
 - Fixed Generic Portable/Audio Devices sometimes don't disappear from the tree
 - Fixed Auto-Organize is slow when performed on large number of files
 - Fixed <Field@y> mask doesn't work for last letters in the alphabet
 - Fixed access violation in some cases on property edit
 - Fixed 'Modify timestamp when updating tags' setting is ignored in some cases
 - Fixed Copy to Device from NP Window doesn't work
 - Fixed MP3s with incorrect XING headers are scanned/played correctly
 - Fixed RVA2 volume leveling not saved to MP3 tags exactly according to spec
 - Fixed regression: sort by path doesn't work correctly
 - Fixed Tab arrow problem & other UI issues

------------------------------------------------------------------

MediaMonkey 2.3.1.826 (Beta 2)
 
 - Added ability to move accompanying files on Move / Auto-Organize
   - Fixed linked Album Art is lost when Auto-Organize is used
   - Fixed empty directories aren't deleted when on Auto-Organize
 - Fixed numerous issues with Auto-Tag from Amazon
   - Fixed Auto-Tag from Amazon doesn't work via the Properties dialog
   - Fixed Auto-Tag from Amazon tags empty image if no album art is found
   - Fixed fields in the Auto-Tag from Amazon dialog aren't editable
   - Fixed (hopefully) access violations on some systems Auto-Tag from Amazon
   - Fixed configuration settings of Auto-Tag from Amazon dialog don't persist
   - Fixed image location config setting changes when saving to OGG file
 - Fixed multiple track selection doesn't unselect when selecting selection subset
 - Fixed more UI / text / context menu / icon issues

------------------------------------------------------------------

MediaMonkey 2.3.1.822 (Beta 1)

 - Added Auto-Tagging functionality based on Amazon lookups (replaces Album Browser)
 - Added 'Remove Image' should give option to remove image from all tracks on album
 - Added ASCII DB format for iRiver plugin (unicode doesn't work 100% on H1xx devices)
 - Fixed iRiver plugin synch tracks to iRiver DB out of order
 - Fixed iRiver plugin sometimes truncates tracks incorrectly
 - Fixed duplicate portable device nodes may be added to the tree
 - Fixed .wav files sometimes hang scanning or are scanned incorrectly
 - Fixed remaining Album Art refresh problem
 - Fixed access violation when output plugin isn't found
 - Fixed further mp3 input plugin for playback of damaged files
 - Fixed OLE Drag and Drop of folders into Now Playing
 - Fixed track selection can trigger file scans freeze
 - Fixed misc. text and cosmetic issues

------------------------------------------------------------------

MediaMonkey 2.3.1.818 (Alpha 3)

 - Added Plugin for Pontis Media portable player
 - Added support for multiple Generic USB Mass Storage Devices
 - Added ability to choose which device to configure/synch if multiple profiles exist
 - Added limits on filename sizes for synching with iRiver devices
 - Added Drag & Drop between MediaMonkey and other applications
 - Added Files to Edit: Unknown Album Art node
 - Added ability to save search as AutoPlaylist in context menu
 - Added 'Always on top' configuration for minimized 'Now Playing' dialog
 - Added currently playing track in Now Playing persists when MM is closed/reopened
 - Fixed scanning of .wav files slows/freezes on corrupt .wav files
 - Fixed some damaged MP3 files never end
 - Fixed files in Now Playing list are occasionally incorrectly marked as unavailable
 - Fixed incorrect scans (missing characters) when track ends in spaces
 - Fixed database isn't correctly updated for changes to off-line tracks
 - Fixed regression: Find more from same folder (Library) doesn't work
 - Fixed auto-organize functionality can move tracks in the virtual CD
 - Fixed Album Art not displayed for tracks on the virtual CD
 - Fixed Album Art may be lost by using arrows on Properties dialog to switch tracks
 - Fixed Album Art is added in duplicate on rescans
 - Fixed Album Art window refresh issues on updates
 - Fixed extra metadata in .m3u files is problematic for some 3rd party apps
 - Fixed shutdown problems on Win98
 - Fixed deleting .m3u files via My Computer doesn't send them to recycle bin
 - Fixed 'All' nodes are configurable regardless of tree configuration
 - Fixed debug build now generates useful logs in skinless mode
 - Fixed misc. UI issues (confusing text, missing icons & graphics, etc.) 

------------------------------------------------------------------

MediaMonkey 2.3.1.811 (Alpha 2)

 - Added .m3u playlists are now represented in the My Computer node
 - Added ability to create new folders in the My Computer node
 - Added 'Show All' functionality to My Computer node
 - Added some basic tree configuration options
 - Added scripting is now part of MediaMonkey standard functionality
 - Added ability to add/remove album art for all tracks on an Album
 - Added ability to disable the Album Art window title bar
 - Added ESC closes Album Art image window
 - Fixed Album Art window doesn't update in response to changes in the Properties dialog
 - Fixed database errors / access violations related to Album Art
 - Fixed paths to Album Art covers should consistently be relative
 - Fixed save Album Art to tag option isn't disabled for non WMA/MP3 files
 - Fixed WMA playback/scanning problems
 - Fixed CD burning doesn't work on some systems with 2 CD drives
 - Fixed minor UI bugs

------------------------------------------------------------------

MediaMonkey 2.3.1.808 (Alpha 1) 

 - Added native Audio CD burning (Nero is no longer required)
 - Added wheel scrolling on mouseover on main panel
 - Added Album Art features
   - Tagging (optional for MP3/WMA
   - Linked graphics for other formats
   - Display during playback
 - Added ability to rename custom fields via options menu
 - Added/Improved portable device synchronization significantly
   - Added Portable Device Plugin interface (API not yet published)
   - Added iRiver H-xxx device plugin (tested only with H-320 device--see readme)
   - Added ability to view/synch the device database from MediaMonkey
   - Added Auto-Synchronization based on Artists, Albums (in addition to Playlists)
   - Added support for custom synchronization masks (e.g. different format for audio books)
   - Improved portable device configuration UI
   - Improved portable device representation--now appears directly in the tree
   - Improved OGG Vorbis encoding quality with switch to Libvorbis 1.1
   - Fixed relative paths aren't supported in iRiver H-xxx devices
   - Fixed need to delete existing tracks from the device before first-time synch
 - Added various new mask features
    - <Path> - Returns full path of the track
    - <Path:n> - Returns path without the first 'n' folders in the hierarchy
    - <Path:-n> - Returns path of the last 'n' folders in the hierarchy
    - <AnyField@n> - Returns a group of n letters where 1 is the first letter of the chosen field
 - Added tagging for .wav files
 - Added ability to configure 'Play Next' as the default double-click action
 - Fixed ripping fails on directory creation if File Monitor is active on the directory
 - Fixed performance issues when recalculating paths in the conversion dialog
 - Fixed 'ghost' entries occasionally appear in the db
 - Fixed some DB fields are unnecessarily short
 - Fixed last character of ID3v2 tags are incorrect in some cases
 - Fixed Various Artist albums are sometimes scanned into too many albums
 - Fixed Album Browser settings don't persist
 - Fixed numerous CD playback problems
   - Fixed CD Reader ASPI settings sometimes not used properly
   - Fixed changes to CD drive letter can interfere with playback
   - Fixed removable CD devices sometimes function incorrectly
 - Fixed player 'previous' button doesn't work in some cases
 - Fixed volume jumps if sleep mode is enabled just before machine turns off
 - Fixed mass edit of track properties incorrectly displays year and track #
 - Fixed track length is reported incorrectly via the Winamp API
 - Fixed explorer shell commands aren't localizable
 - Fixed minor UI bugs / UI cleanup

------------------------------------------------------------------

MediaMonkey 2.2.3

 - Fixed MP3 plugin fails on older Win 9x / ME systems that are missing some .dlls
 - Fixed portable device synchronization sometimes fails on Win98/ME
 - Fixed BPM field may not be read if it includes a decimal component

------------------------------------------------------------------

MediaMonkey 2.2.2 RC-1

 - Added command (39999) to Winamp API for Play/Pause button
 - Fixed <shift><delete> or <ctrl><x> of text in Properties dialog can --> track deletion
 - Fixed 'Find more from...' doesn't work from My Computer node
 - Fixed several issues when Winamp is the player
   - Fixed access violation when editing multiple tracks
   - Fixed 'Now Playing' sorting (disabled it)
   - Fixed currently playing track isn't automatically visible in 'Now Playing'
   - Fixed classification toolbar doesn't work in 'Now Playing'
   - Fixed <ctrl><shift><+> tries to expand the entire tree
 - Fixed unicode characters in genres --> CD metadata not written correctly to cdplayer.ini
 - Fixed 'Get Track Details' in Properties dialog doesn't search based on up-to-date info
 - Fixed converted/ripped tracks aren't added to 'Recently added tracks' playlists
 - Fixed skin theme is overridden only for the first instance of MediaMonkey
 - Fixed showing of default value when release date isn't available in album browser
 - Fixed regression: Now Playing menu bar doesn't indicate 'enabled' status 
 - Fixed glitch when dragging and dropping an entire tree node

------------------------------------------------------------------

MediaMonkey 2.2.2 Beta 1

 - Updated LAME to version 3.96.1
 - Fixed dialog layout problems
 - Fixed unicode support in Album Browser
 - Fixed misc. UI Skinning issues

------------------------------------------------------------------

MediaMonkey 2.2.2 Alpha 1

 - Added ability to sort AutoPlaylists by Custom fields
 - Added Clean Database should also compact it
 - Added Play command to several top level nodes
 - Added MPC/APE for default file associations
 - Added new masks to allow subsets of a field to appear
 - Added beta support of new functionality to better integrate scripts with MediaMonkey UI:
   - Create menu items/ pop-up menu items, toolbar items, tray icon menu items & shortcuts
   - Create new dialogs with controls to edit lines, buttons, drop downs, etc.
   - Create any new hierarchy of tree nodes
 - Updated help file to describe new advanced masks functionality
 - Fixed extended APE2 tags can be deleted on APE or MPC files
 - Fixed APE tracks can be corrupted if tagging previously untagged APE files
 - Fixed M3U playlists sometimes aren't properly processed during scanning
 - Fixed ID3 comments field is occasionally filled with advanced properties and vice versa
 - Fixed ID3 tagging occasionally fails (memory leak)
 - Fixed 'MusicMatch tags' aren't written in a format that is readable by other players
 - Fixed scans sometimes fail partway through an .m3u file
 - Fixed minimize via taskbar doesn't work when 'Minimize to tray' is enabled
 - Fixed popup notifications do not always work correctly
 - Fixed advanced playlist size limitation of 10 GB
 - Fixed MediaMonkey shuts down when it shouldn't in response to some scripts
 - Fixed bitrate field shouldn't be editable
 - Fixed Freedb Unicode support
 - Fixed Audio CD length isn't reported correctly for CDs with data track(s)

------------------------------------------------------------------

MediaMonkey 2.2

 - Added show current classification settings in the classification toolbar
 - Fixed memory leak when writing ID3 tags
 - Fixed ID3 tag reading/writing is extremely slow when comments/lyrics are large  
 - Fixed too easy to accidentally concantenate comments in Edit Multiple Tracks
 - Fixed ratings should not be modifiable via tree nodes--it's too prone to error
 - Fixed multiple Winamp windows sometimes open when Winamp is the default player
 - Fixed player controls sometimes do not appear when Winamp is the default player
 - Fixed Winamp shouldn't be forced open even if Winamp is the default player

------------------------------------------------------------------

MediaMonkey 2.2 RC-4
 
 - Added support for ape 3.99 playback & associated tags
 - Switched default output plug-in to DirectSound output instead of Wave output
 - Fixed regression: VCD track tags aren't updated
 - Fixed genres looked up via Freedb aren't saved if they don't exist in the library
 - Fixed in some cases, wma genres and track #'s aren't read correctly
 - Fixed audio tracks from the VCD are uploaded unnecessarily upon portable device synchronization
 - Fixed CD Burning fails silently if insufficient free space exists
 - Fixed tracklist fails to refresh on node deletion

------------------------------------------------------------------

MediaMonkey 2.2 RC-3

 - Added G-force instead of Geiss
 - Replaced the wave input plugin
 - Updated Italian translation thanks to Argo
 - Fixed CD Reader is buggy on some systems
 - Fixed search on numeric fields broken in RC-2 & search parameters persist when they shouldn't
 - Fixed (again) cursor is 'misplaced' on edits to text fields
 - Fixed cannot convert files on virtual cd
 - Fixed default send-to Folder (Rip/Convert) settings are annoying and don't persist
 - Fixed continuous playback settings don't persist properly on restart
 - Fixed ID3v1 genre ignored on scan
 - Fixed d&d operations on playlist nodes occasionally go unrecognized
 - Fixed auto-complete behaves incorrectly for auto-tagging
 - Fixed in player volume meters occasionally loses synchronization
 - Fixed visualitions can fail when output buffer sizes are very large
 - Fixed spaces in registration keys aren't ignored

------------------------------------------------------------------

MediaMonkey 2.2 RC-2

 - Added new OGG input plugin with full unicode support (even if Windows Language is Western European)
 - Added search for empty fields (use Property equals "")
 - Added <Ctrl><Alt><F5> shortcut to update Playlist play order (+ removed buggy <Alt> drag function)
 - Updated Italian and Portuguese translations (thx to Argo & Paulino)
 - Improved MP3 plugin further to eliminate hiss on damaged/incorrectly formatted files
 - Fixed character mapping feature is broken
 - Fixed network browsing doesn't work properly on Win 9x
 - Fixed some db queries are case-sensitive, negatively impacting performance
 - Fixed 'Clear Library' causes strange behavior in the absence of a restart
 - Fixed Default (Double-click) Action doesn't apply to tree nodes
 - Fixed Virtual CD doesn't indicate filesize on HD
 - Fixed CD nodes (sub to /Location) aren't sorted by Track# by default
 - Fixed 'old style' skins without themes behave incorrectly
 - Fixed Spectrum Data is missing from visualizations (G-force doesn't work well)
 - Fixed cannot play track beginning with space (via Explorer)
 - Fixed Virtual CD directory no longer defaults to root directory
 - Fixed temporary folder is ignored for CD burning
 - Fixed minor UI issues & help errors

------------------------------------------------------------------

MediaMonkey 2.2 RC-1

 - Added volume leveling metadata is saved to MP3 tags (using ID3v2 Relative Volume Adjustment 2 frame)
 - Added proper playlist sorting (sort by headers-->no change in play order; <alt><f5> updates play order)
 - Updated online help to describe new 2.2 features
 - Updated Spanish & Italian translations -- thanks to Pablo & Argo!
 - Improved MP3 plugin -- it's now more tolerant of damaged/incorrectly formatted mp3 files 
 - Fixed MP3 plugin sometimes locks files, preventing moves/deletions/tag updates from occuring
 - Fixed can't tag/play/edit/analyze MP3 files if filename has characters not in Windows' default Language
 - Fixed ID3v2 (ASCII) and ID3v1 tags containing 'foreign' characters are read incorrectly
 - Fixed tag updates fail silently for OGG files if Year < 1500
 - Fixed tagging sometimes gets 'stuck'
 - Fixed burned CDs playback too fast when Frequency < 44100
 - Fixed Analyze Volume doesn't save information to the APE2 tag for APE and MPC audio files
 - Fixed Analyze Volume hangs on damaged MP3 files
 - Fixed Level Volume doesn't save new volume coefficient to the db, leading to numerous issues
 - Fixed tracks in Virtual CD can't be synchronized to portable devices
 - Fixed insufficient space on portable device --> playlists aren't synchronized (only tracks are)  
 - Fixed visualizations occasionally crash when enabled/disabled
 - Fixed <enter> shouldn't 'Play Now' if Double-click action is set to 'Edit Properties' or 'Play Last'
 - Fixed 'Retrieve Moved/Missing Tracks' results in duplicates if moved track has already been scanned
 - Fixed only first character in CD-text is burned
 - Fixed Search bar auto-complete entries result in incorrect search results in some specific cases
 - Fixed impossible to drag & drop playlists in some cases (e.g. if open)
